#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x3b3749a6, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x6cad0bd5, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x3545964d, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x9aa71d71, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xb07d80df, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x692a6ed1, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x53f21e25, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x256c522e, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x7cfd2ec4, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xe2285117, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xc1e354e5, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xd639b32a, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x0eaaabf9, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xd8b20357, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x02c209d9, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x7336a28f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x2fad2218, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x366f0f65, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x25bdf514, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x858e5ccc, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xd3b635ff, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x6d1cb443, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x270a5640, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x3b51dd13, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x31babb51, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xc622c2f5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xd3d38be5, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xf51c7078, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x71e6ed99, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xead2976c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x8e4256c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xce3e9597, "crypto_register_aead" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x3e6b354b, "crypto_unregister_aead" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2074c0aa, "crypto_register_ahash" },
	{ 0x95378f09, "crypto_unregister_ahash" },
	{ 0xba46be6b, "crypto_register_akcipher" },
	{ 0xc310aa2e, "crypto_unregister_akcipher" },
	{ 0x4ab6c357, "crypto_register_kpp" },
	{ 0xb9238af2, "crypto_unregister_kpp" },
	{ 0xebef014a, "crypto_register_skcipher" },
	{ 0x11772f8c, "crypto_unregister_skcipher" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xc721ebc9, "kthread_queue_work" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xb3789337, "lockdep_recursion" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x9eb23f68, "kthread_destroy_worker" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5dbc6011, "kthread_create_worker" },
	{ 0xdcb764ad, "memset" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0xcc132911, "sched_set_fifo" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x593f062, "crypto_enqueue_request" },
	{ 0x175ce435, "crypto_dequeue_request" },
	{ 0xe485e754, "crypto_enqueue_request_head" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "158C7FFEDA40E7C22A24121");
