#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0xefd6f0f5, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0xedbabd2b, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x9fb83a6b, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x5bfaeacc, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0xbe6807d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21c2ac30, "nvdimm_region_notify" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9f478221, "nd_region_provider_data" },
	{ 0xe7905ec3, "nvdimm_bus_add_badrange" },
	{ 0xe8d31da8, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0x9bba51d0, "to_nvdimm" },
	{ 0xc4f1a44, "__nvdimm_create" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9c8382c, "to_nd_region" },
	{ 0xe50e95f1, "nvdimm_bus_check_dimm_count" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa2a2a53, "acpi_dev_remove_notify_handler" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xaab33bc6, "phys_to_target_node" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x1e43a6c7, "kernfs_notify" },
	{ 0x12f44b2e, "to_nvdimm_bus" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5d61bb82, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x638a9653, "memory_add_physaddr_to_nid" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xe6a89eb6, "remove_resource" },
	{ 0xce64340a, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x10600f7f, "acpi_dev_install_notify_handler" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x420838c7, "to_nd_desc" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x919da13, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x2c31340d, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0xafaaeb9, "nvdimm_bus_unregister" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf9a32449, "kernfs_find_and_get_ns" },
	{ 0xdc3d1e0d, "nvdimm_name" },
	{ 0x31a0460f, "to_nvdimm_bus_dev" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcdb401c0, "nvdimm_volatile_region_create" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x8f7a3e51, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdb722fcf, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x20e3933c, "nvdimm_in_overwrite" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x394ec395, "nvdimm_to_bus" },
	{ 0xf801c099, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8b64b973, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x5f347cb4, "nd_cmd_in_size" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0xeb2b7161, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9bd6dbe3, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xe897936d, "nvdimm_pmem_region_create" },
	{ 0x30cdb055, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xbd60050e, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x2d9d2e14, "nvdimm_cmd_mask" },
	{ 0xfe6ac453, "acpi_bus_register_driver" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "597A0A1275101F9CACDC0D3");
