#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x565d1642, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x99e83a89, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x15b8babd, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x05ac782d, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xf9e4bff8, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x2cf18167, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x4c04f9d1, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x6083aa39, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xc9dfe9ee, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xa3f806b1, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xbc344404, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x16bf9c25, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xd9873f17, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xbf7a6cf9, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x0bc353fd, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x9b2d9f0a, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xd4472b16, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xdb90b091, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x634d18cb, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x81354e1a, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x3fe00ca0, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x1f60368e, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xe7ecd558, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x3769e70f, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x35512a4b, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xd8263453, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x4276d1b5, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xb500ec4c, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x160c7f95, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x4c115f32, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xee2846fb, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x6a572083, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xeff24379, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x9e35e41b, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xc8639b56, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xf7462b65, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x0737c26d, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x6b4dc637, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x45ec7199, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x07d5ee32, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xa223524a, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x81fc0361, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xda873217, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xad3660e5, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x32a2917e, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x55686a12, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xfa84df73, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xb908592b, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x15f9555f, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x13028cf1, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x66099a14, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x9107a066, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xb3f11186, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x58daec34, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x9b834b39, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xa17d6e6c, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x72c3599e, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xc02677d9, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x3fd27e40, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xd6abe94d, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x755e5b26, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xb7863f8e, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x587d5922, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xa792d9fd, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xb02066cb, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x76b05e0e, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x2045cd90, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x7bead990, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x7adb397f, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x865bd4cc, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x2386dcb8, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x5ae42d00, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x9b253201, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x56ce13af, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xbabfe93c, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xe53ed429, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x7379f045, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x24c52a41, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0xe6ffe119, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x3be0c4b4, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xd41780c4, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x90ea53a8, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x98ed651b, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xbcc00681, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92499bd7, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x84c930d2, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x40fc5620, "bpf_trace_run4" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x62511192, "dev_set_name" },
	{ 0xdafc572, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2af56432, "cdev_device_del" },
	{ 0x94e7d4e2, "bpf_trace_run6" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xaf301092, "device_unregister" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1ed3888c, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x4023a701, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c3f8473, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x86dae6f0, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x620f419f, "devm_remove_action" },
	{ 0xd0bceb8a, "get_device" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x3cc53975, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0xcfb48194, "pci_read_config_dword" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf39e09a9, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0xafd86393, "cdev_device_add" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f036e7, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x43c91cae, "put_device" },
	{ 0x34768ba5, "bus_for_each_dev" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x5a4acd0, "sysfs_create_link" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xe6a89eb6, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4c468a0a, "compat_ptr_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xc55fbf48, "sysfs_update_group" },
	{ 0x92d1b3d9, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0x919da13, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x9de247c2, "debugfs_create_bool" },
	{ 0x3c636e25, "bus_find_device" },
	{ 0x89786d5b, "device_add" },
	{ 0xf87b84aa, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa1655192, "xa_load" },
	{ 0x55bb0b6a, "noop_llseek" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x6a9ccacf, "device_attach" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf9a32449, "kernfs_find_and_get_ns" },
	{ 0x66767fde, "debugfs_remove" },
	{ 0xfd048bee, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x3cc535b8, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdccdae30, "device_find_child" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x60583d7b, "devm_release_action" },
	{ 0x41b638b0, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xcc37256, "down_read_interruptible" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3ce70c2b, "alloc_free_mem_region" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdb722fcf, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf279b850, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x74a76053, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x98ce0703, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xe6ccedef, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xcc97fb, "down_write_killable" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x9bd6dbe3, "kernfs_put" },
	{ 0x4154d96c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x742d77d1, "seq_printf" },
	{ 0x8a372030, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x19377589, "pci_walk_bus" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xf930b65, "xa_find_after" },
	{ 0xbd60050e, "__devm_add_action" },
	{ 0x7e9aefaf, "pci_find_dvsec_capability" },
	{ 0xc30ba225, "device_find_child_by_name" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x535b0cdb, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xdb523780, "pci_write_config_word" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x2425d9db, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe29a6ff, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e35d4f, "pci_bus_type" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x3d3a4a16, "__request_region" },
	{ 0x85fa263f, "bus_register" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0825513E3D619167DBABBD");
