#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x600fb603, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x88a9b65f, "drm_open" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa74968d4, "drm_poll" },
	{ 0x5ef5b6bf, "drm_mode_crtc_set_gamma_size" },
	{ 0xa8b7d4ae, "drm_plane_enable_fb_damage_clips" },
	{ 0x7c3c8c02, "drm_gem_shmem_dumb_create" },
	{ 0x88a2756a, "i2c_bit_add_bus" },
	{ 0x131f7525, "drm_atomic_helper_disable_plane" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xd1110c2e, "drm_atomic_helper_shutdown" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x92bed11a, "__pci_register_driver" },
	{ 0x1ed3888c, "devm_ioremap" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x32f1fe4e, "drm_crtc_cleanup" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xa2f5150, "drm_encoder_cleanup" },
	{ 0x9efcca6b, "devm_arch_io_reserve_memtype_wc" },
	{ 0x63ff1be0, "drmm_mode_config_init" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe4c07516, "pci_unregister_driver" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0xc6f310bb, "drm_connector_attach_encoder" },
	{ 0xcfb48194, "pci_read_config_dword" },
	{ 0xf39e09a9, "__devm_request_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d452f84, "drm_atomic_helper_damage_iter_init" },
	{ 0x5a8681ef, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30649a1f, "drm_atomic_helper_commit" },
	{ 0x968d5ecf, "drm_atomic_helper_check" },
	{ 0x8cd7ca7c, "__drmm_mutex_release" },
	{ 0xedfa4ee1, "drm_atomic_helper_connector_destroy_state" },
	{ 0xbbd23fa7, "drm_gem_mmap" },
	{ 0xb351435b, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x2d46dd37, "drm_ioctl" },
	{ 0x230f3f99, "drm_plane_cleanup" },
	{ 0xad14e00, "i2c_del_adapter" },
	{ 0x2ef6da62, "drm_atomic_helper_commit_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x36f6bfde, "drm_connector_init_with_ddc" },
	{ 0x55bb0b6a, "noop_llseek" },
	{ 0xfab5912d, "drm_read" },
	{ 0x74168d02, "drm_gem_fb_create_with_dirty" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfc91025a, "drm_gem_begin_shadow_fb_access" },
	{ 0x4a8d4e0c, "pci_map_rom" },
	{ 0x643d8ad5, "drm_atomic_helper_check_plane_state" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5d7ff518, "drm_crtc_init_with_planes" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xfb3b712b, "__drm_dev_dbg" },
	{ 0x5f62756d, "drm_connector_helper_get_modes_from_ddc" },
	{ 0x85e9dce, "drm_dev_unregister" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3df8c42b, "__devm_drm_dev_alloc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x26356c4b, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x19a99d4e, "drm_atomic_helper_set_config" },
	{ 0x32fb2a5e, "drm_fbdev_generic_setup" },
	{ 0xd8a84b9a, "devm_arch_phys_wc_add" },
	{ 0x8cebfed3, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xe1a484b9, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x9cd1c670, "drm_connector_cleanup" },
	{ 0xbc446975, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88644fbd, "drm_universal_plane_init" },
	{ 0xeb913ed6, "drm_gem_destroy_shadow_plane_state" },
	{ 0x5bd3dab, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa6a9f4b4, "drm_crtc_enable_color_mgmt" },
	{ 0x42f25c75, "drm_fb_memcpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x42ed8ddd, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8b2c656, "drm_helper_probe_single_connector_modes" },
	{ 0x2848b4fb, "__drm_atomic_helper_crtc_reset" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x750844a4, "drm_gem_reset_shadow_plane" },
	{ 0xdf82a427, "pcim_iomap" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc05a56d1, "drm_gem_end_shadow_fb_access" },
	{ 0xc5b190fb, "drm_atomic_helper_page_flip" },
	{ 0x8711a84c, "drm_atomic_helper_connector_reset" },
	{ 0x63398ad, "drm_mode_config_reset" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xc79f5753, "pci_unmap_rom" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7039b77a, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2ddd0228, "drm_atomic_helper_update_plane" },
	{ 0xdc5fc1e4, "drm_compat_ioctl" },
	{ 0xff2011b6, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x97c6e93e, "pci_write_config_dword" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xbd696a82, "drm_release" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_shmem_helper,drm_kms_helper");

MODULE_ALIAS("pci:v0000102Bd00000520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000521sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000522sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000524sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000530sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000533sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000534sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000536sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000538sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "57AAD4B62CACFD60DE4074E");
