#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x2fa2e5c6, "");
SYMBOL_CRC(vnic_dev_get_res, 0x7535ee43, "");
SYMBOL_CRC(vnic_dev_unregister, 0xbec93fa7, "");
SYMBOL_CRC(vnic_dev_register, 0xf5b6c9cd, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x13c022c6, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x0d715080, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0cfa2b9, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb90ffcd4, "pci_find_ext_capability" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x1f339b6d, "skb_tstamp_tx" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd0e0886a, "pci_enable_device_mem" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xdfaa6cd5, "pci_iomap" },
	{ 0xc21a4114, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3f940485, "unregister_netdev" },
	{ 0x2f9141f8, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x92bed11a, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x2b13c4cb, "pci_disable_msi" },
	{ 0xb850279f, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0x2b3228a0, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfecb8c8d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9ae6f08c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xe4c07516, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x7e6711e7, "netdev_err" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0x22ef882e, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe06cf811, "dma_map_page_attrs" },
	{ 0xa4c832d9, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x4e623d42, "pci_enable_msix_range" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0xbedd1704, "__hw_addr_unsync_dev" },
	{ 0x65d91e4, "napi_gro_receive" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x98f3ffbd, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x5777f4ba, "pci_enable_msi" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x5a593457, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe69a71b, "netif_set_real_num_tx_queues" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x424725d0, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x7d9c535, "dev_close" },
	{ 0xc24ec197, "dma_alloc_attrs" },
	{ 0xfd048bee, "pci_read_config_word" },
	{ 0xc53d57f6, "napi_enable" },
	{ 0x49d70a90, "netif_receive_skb" },
	{ 0xd342850f, "nla_put" },
	{ 0x503caa15, "register_netdev" },
	{ 0x29b607fc, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc02d48aa, "ethtool_op_get_link" },
	{ 0xa7b537eb, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x35707c5f, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2eb122e0, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8b655da, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffc209a1, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xd4677550, "rps_may_expire_flow" },
	{ 0xd65a5549, "dma_free_attrs" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8378d75d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb019403, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2c54499f, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8a86074b, "__hw_addr_sync_dev" },
	{ 0x42a5ffea, "pci_disable_sriov" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x8021f8b6, "netif_carrier_on" },
	{ 0x560eaf8e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x78e89b8, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc0a2a022, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbc822824, "__skb_flow_dissect" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x62213f6e, "__napi_schedule_irqoff" },
	{ 0xfa7aa024, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa46f74d, "napi_disable" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xedadb194, "pci_enable_sriov" },
	{ 0x3616331b, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x864fd989, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "698D0B539A3E0B77BE7ABC4");
