#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x9d8ef9b7, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x07ff30e7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0cfa2b9, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x97c0b961, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc78665ab, "__skb_pad" },
	{ 0x513be57e, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0xa2a5fac, "param_ops_uint" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x1f1e8d1d, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdafc572, "param_ops_ushort" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xdfaa6cd5, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc21a4114, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x9313efcb, "pci_vfs_assigned" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb684cf88, "dump_page" },
	{ 0x6cfe4342, "ndo_dflt_bridge_getlink" },
	{ 0x3f940485, "unregister_netdev" },
	{ 0xf7dbea34, "napi_get_frags" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x2f9141f8, "dma_unmap_page_attrs" },
	{ 0x30412ff8, "request_firmware" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x92bed11a, "__pci_register_driver" },
	{ 0x6f0bcbc3, "pci_num_vf" },
	{ 0xb850279f, "pci_request_regions" },
	{ 0xf2858545, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x83ed5e8f, "pci_sriov_get_totalvfs" },
	{ 0x9e25811c, "__put_devmap_managed_page_refs" },
	{ 0x2b3228a0, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa548f35, "udp_tunnel_nic_ops" },
	{ 0x9ae6f08c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x401b7b9a, "netif_tx_unlock" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe4c07516, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0x22ef882e, "eth_type_trans" },
	{ 0xcfb48194, "pci_read_config_dword" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe06cf811, "dma_map_page_attrs" },
	{ 0xa4c832d9, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdd36cf7, "__napi_schedule" },
	{ 0x4e623d42, "pci_enable_msix_range" },
	{ 0x4ce69f7b, "netif_device_detach" },
	{ 0xbedd1704, "__hw_addr_unsync_dev" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x4039f740, "netif_device_attach" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x5a593457, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe69a71b, "netif_set_real_num_tx_queues" },
	{ 0x424725d0, "netif_set_real_num_rx_queues" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc24ec197, "dma_alloc_attrs" },
	{ 0xc53d57f6, "napi_enable" },
	{ 0x49d70a90, "netif_receive_skb" },
	{ 0x503caa15, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29b607fc, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc02d48aa, "ethtool_op_get_link" },
	{ 0xa7b537eb, "netif_set_xps_queue" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe9bb7dd6, "pci_iounmap" },
	{ 0x827abac, "pci_restore_state" },
	{ 0x35707c5f, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2eb122e0, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xbcf9e7f3, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8b655da, "pci_set_master" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0x512899e6, "netif_tx_lock" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffc209a1, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xd65a5549, "dma_free_attrs" },
	{ 0x5388ec10, "pci_enable_wake" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8378d75d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7babfc81, "alloc_pages" },
	{ 0x4826cef9, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2c54499f, "netif_carrier_off" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8a86074b, "__hw_addr_sync_dev" },
	{ 0x42a5ffea, "pci_disable_sriov" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x8021f8b6, "netif_carrier_on" },
	{ 0x560eaf8e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x78e89b8, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc0a2a022, "dma_set_mask" },
	{ 0x470dc132, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xfa7aa024, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x882dd834, "pci_sriov_set_totalvfs" },
	{ 0xa46f74d, "napi_disable" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0xd74b1f9c, "_dev_printk" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xedadb194, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x97c6e93e, "pci_write_config_dword" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x864fd989, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E1C7FFCF4852CAE7984BA3D");
