#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nic_netdev_match_check, "", "");
KSYMTAB_FUNC(nic_chip_recover_handler, "", "");
KSYMTAB_FUNC(nic_set_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_get_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_param, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_start, "", "");
KSYMTAB_FUNC(nic_set_torus_param, "", "");
KSYMTAB_FUNC(nic_get_torus_param, "", "");
KSYMTAB_FUNC(nic_clean_stats64, "", "");
KSYMTAB_FUNC(nic_set_cpu_affinity, "", "");
KSYMTAB_FUNC(nic_get_chipid, "", "");
KSYMTAB_FUNC(nic_get_mac_id, "", "");
KSYMTAB_FUNC(nic_get_io_die_id, "", "");
KSYMTAB_FUNC(nic_get_chip_num, "", "");
KSYMTAB_FUNC(nic_get_io_die_num, "", "");
KSYMTAB_FUNC(nic_get_port_num_of_die, "", "");
KSYMTAB_FUNC(nic_get_port_num_per_chip, "", "");
KSYMTAB_FUNC(nic_set_tx_timeout, "", "");
KSYMTAB_FUNC(nic_get_sfp_present, "", "");
KSYMTAB_FUNC(nic_set_sfp_state, "", "");
KSYMTAB_FUNC(nic_disable_net_lane, "", "");
KSYMTAB_FUNC(nic_get_net_lane_status, "", "");
KSYMTAB_FUNC(nic_disable_clock, "", "");
KSYMTAB_FUNC(nic_set_pfc_time_cfg, "", "");
KSYMTAB_FUNC(nic_get_port_fault_status, "", "");
KSYMTAB_FUNC(nic_get_port_wire_type, "", "");
KSYMTAB_FUNC(nic_set_mac_state, "", "");
KSYMTAB_FUNC(nic_set_led, "", "");
KSYMTAB_FUNC(nic_get_led_signal, "", "");
KSYMTAB_FUNC(nic_get_phy_reg, "", "");
KSYMTAB_FUNC(nic_set_phy_reg, "", "");

SYMBOL_CRC(nic_netdev_match_check, 0x2e7e8e55, "");
SYMBOL_CRC(nic_chip_recover_handler, 0xd5441872, "");
SYMBOL_CRC(nic_set_pfc_storm_para, 0x0e65a58f, "");
SYMBOL_CRC(nic_get_pfc_storm_para, 0xe928b62f, "");
SYMBOL_CRC(nic_set_notify_pkt_param, 0x2c9cbe0b, "");
SYMBOL_CRC(nic_set_notify_pkt_start, 0xcf9d695c, "");
SYMBOL_CRC(nic_set_torus_param, 0x0f15f9a9, "");
SYMBOL_CRC(nic_get_torus_param, 0x48b8ad22, "");
SYMBOL_CRC(nic_clean_stats64, 0x2805225a, "");
SYMBOL_CRC(nic_set_cpu_affinity, 0xa415751a, "");
SYMBOL_CRC(nic_get_chipid, 0xe11e6f62, "");
SYMBOL_CRC(nic_get_mac_id, 0xdb784659, "");
SYMBOL_CRC(nic_get_io_die_id, 0xac4a9381, "");
SYMBOL_CRC(nic_get_chip_num, 0xb18e47b2, "");
SYMBOL_CRC(nic_get_io_die_num, 0xe8daaa7b, "");
SYMBOL_CRC(nic_get_port_num_of_die, 0x8a2405c0, "");
SYMBOL_CRC(nic_get_port_num_per_chip, 0x328edcb2, "");
SYMBOL_CRC(nic_set_tx_timeout, 0xbd0736f8, "");
SYMBOL_CRC(nic_get_sfp_present, 0x80311580, "");
SYMBOL_CRC(nic_set_sfp_state, 0x9141d70c, "");
SYMBOL_CRC(nic_disable_net_lane, 0xfa884e08, "");
SYMBOL_CRC(nic_get_net_lane_status, 0x5fcd28d9, "");
SYMBOL_CRC(nic_disable_clock, 0x2ddfa61f, "");
SYMBOL_CRC(nic_set_pfc_time_cfg, 0x5844d584, "");
SYMBOL_CRC(nic_get_port_fault_status, 0xa6414c8b, "");
SYMBOL_CRC(nic_get_port_wire_type, 0xa60448a5, "");
SYMBOL_CRC(nic_set_mac_state, 0x971eeb84, "");
SYMBOL_CRC(nic_set_led, 0x6a8bed4e, "");
SYMBOL_CRC(nic_get_led_signal, 0xc0cd6376, "");
SYMBOL_CRC(nic_get_phy_reg, 0xc0d3fc55, "");
SYMBOL_CRC(nic_set_phy_reg, 0xcf34980d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac2fdfde, "genphy_restart_aneg" },
	{ 0xb0cfa2b9, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc78665ab, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb6c780ca, "page_pool_get_stats" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0xa2a5fac, "param_ops_uint" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x1f339b6d, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x6f5d008b, "page_pool_alloc_frag" },
	{ 0xd68723c, "__napi_alloc_skb" },
	{ 0xc21a4114, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9313efcb, "pci_vfs_assigned" },
	{ 0xb684cf88, "dump_page" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x3f940485, "unregister_netdev" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0x2f9141f8, "dma_unmap_page_attrs" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x92bed11a, "__pci_register_driver" },
	{ 0xaf4a6b71, "dma_sync_single_for_device" },
	{ 0x6f0bcbc3, "pci_num_vf" },
	{ 0xa21f9a7e, "skb_add_rx_frag" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x96a3af35, "page_pool_destroy" },
	{ 0x9e25811c, "__put_devmap_managed_page_refs" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x86dae6f0, "bpf_trace_run2" },
	{ 0xfecb8c8d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xdaa1001c, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9ae6f08c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xe4c07516, "pci_unregister_driver" },
	{ 0x7e6711e7, "netdev_err" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x22ef882e, "eth_type_trans" },
	{ 0xe06cf811, "dma_map_page_attrs" },
	{ 0xa4c832d9, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x5f52a330, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdd918967, "net_dim" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x9891b50b, "ipv6_skip_exthdr" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x65d91e4, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x45278d0e, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x47a8e2b1, "eth_get_headlen" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xebfceaee, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x919da13, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x5a593457, "softnet_data" },
	{ 0xe64a8272, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe69a71b, "netif_set_real_num_tx_queues" },
	{ 0x424725d0, "netif_set_real_num_rx_queues" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xc24ec197, "dma_alloc_attrs" },
	{ 0x5c211f6a, "hnae3_register_client" },
	{ 0x66767fde, "debugfs_remove" },
	{ 0xc53d57f6, "napi_enable" },
	{ 0x503caa15, "register_netdev" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29b607fc, "free_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa7b537eb, "netif_set_xps_queue" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xab9c4e98, "netif_tx_stop_all_queues" },
	{ 0x612891c6, "bpf_trace_run1" },
	{ 0x35707c5f, "netif_tx_wake_queue" },
	{ 0x4caa979b, "hnae3_register_ae_dev" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2eb122e0, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x9289b995, "page_pool_create" },
	{ 0x2b7d994f, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x6b1b977, "netif_schedule_queue" },
	{ 0xace37f4a, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x14a5f8c5, "netdev_set_tc_queue" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x29fec214, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3da53ab6, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x35360b34, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x29620f1a, "netdev_reset_tc" },
	{ 0xd65a5549, "dma_free_attrs" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4826cef9, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2c54499f, "netif_carrier_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8a86074b, "__hw_addr_sync_dev" },
	{ 0x42a5ffea, "pci_disable_sriov" },
	{ 0x8021f8b6, "netif_carrier_on" },
	{ 0x4c45e4ab, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x840e7a96, "phy_ethtool_ksettings_get" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb49bfc65, "phy_ethtool_ksettings_set" },
	{ 0x7f8c5430, "napi_gro_flush" },
	{ 0xbc822824, "__skb_flow_dissect" },
	{ 0xb8d8fcdd, "dma_unmap_sg_attrs" },
	{ 0x8934506, "hnae3_unregister_client" },
	{ 0x62213f6e, "__napi_schedule_irqoff" },
	{ 0xfa7aa024, "napi_schedule_prep" },
	{ 0xaded5a49, "napi_consume_skb" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa46f74d, "napi_disable" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0x1818cdf7, "hnae3_unregister_ae_dev" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xedadb194, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfe68fc6b, "skb_to_sgvec" },
	{ 0x3616331b, "skb_clone_tx_timestamp" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfb9a7ae3, "ethtool_op_get_ts_info" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x864fd989, "netdev_info" },
	{ 0xba5c9242, "dma_map_sg_attrs" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "hnae3");

MODULE_ALIAS("pci:v000019E5d0000A220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A224sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A226sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2A75B6915FC5C495B5C5FA2");
