#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xgene_mdio_rd_mac, "", "");
KSYMTAB_FUNC(xgene_mdio_wr_mac, "", "");
KSYMTAB_FUNC(xgene_mdio_rgmii_read, "", "");
KSYMTAB_FUNC(xgene_mdio_rgmii_write, "", "");
KSYMTAB_FUNC(xgene_enet_phy_register, "", "");

SYMBOL_CRC(xgene_mdio_rd_mac, 0x48fed58d, "");
SYMBOL_CRC(xgene_mdio_wr_mac, 0x2d0114a7, "");
SYMBOL_CRC(xgene_mdio_rgmii_read, 0x2595c5cb, "");
SYMBOL_CRC(xgene_mdio_rgmii_write, 0x4a5df01e, "");
SYMBOL_CRC(xgene_enet_phy_register, 0x39643e48, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa243119c, "get_phy_device" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbfe19e02, "phy_device_register" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x10d114b3, "phy_device_free" },
	{ 0x6ea3d476, "__platform_driver_register" },
	{ 0x551c0c8f, "mdiobus_unregister" },
	{ 0x3613929e, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x1e8b3a3, "platform_driver_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe6dababc, "acpi_fetch_acpi_dev" },
	{ 0x4c61d14e, "acpi_dev_get_property" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x428479f, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x3eb5f429, "of_match_device" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0xcbc4c7f, "devm_platform_ioremap_resource" },
	{ 0x79d51c38, "devm_clk_get" },
	{ 0x87399a82, "mdiobus_alloc_size" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2409691b, "__of_mdiobus_register" },
	{ 0x296aba05, "__mdiobus_register" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xa1037785, "acpi_match_device" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:APMC0D65:*");
MODULE_ALIAS("acpi*:APMC0D66:*");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-rgmii");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-rgmiiC*");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-xfi");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-xfiC*");

MODULE_INFO(srcversion, "7CB6896E6212555E7B730E9");
