#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x1c1c2ad3, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0x9c8a2f3d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0cfa2b9, "alloc_etherdev_mqs" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0x503caa15, "register_netdev" },
	{ 0x2c54499f, "netif_carrier_off" },
	{ 0x664c99db, "failover_register" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x29b607fc, "free_netdev" },
	{ 0x3f940485, "unregister_netdev" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x98f3ffbd, "dev_open" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x1d051019, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7316ec58, "dev_set_mtu" },
	{ 0x19e35d4f, "pci_bus_type" },
	{ 0x8e300b9f, "vlan_uses_dev" },
	{ 0x7e6711e7, "netdev_err" },
	{ 0xf3eb1e41, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xce1837a0, "vlan_vid_del" },
	{ 0xd020cb19, "vlan_vid_add" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x45278d0e, "netdev_pick_tx" },
	{ 0x4ce69f7b, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7ece7dc5, "failover_slave_unregister" },
	{ 0x170e86db, "failover_unregister" },
	{ 0x7b71fe11, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xdcb764ad, "memset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xa0acef18, "dev_get_stats" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8021f8b6, "netif_carrier_on" },
	{ 0x35707c5f, "netif_tx_wake_queue" },
	{ 0x7d9c535, "dev_close" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4d842af, "netdev_lower_state_changed" },
	{ 0xab9c4e98, "netif_tx_stop_all_queues" },
	{ 0x48cb4747, "dev_uc_sync_multiple" },
	{ 0x28c17ebe, "dev_mc_sync_multiple" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x4671e21b, "vlan_vids_del_by_dev" },
	{ 0x8c766e19, "dev_uc_unsync" },
	{ 0xc4239480, "dev_mc_unsync" },
	{ 0x864fd989, "netdev_info" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x656f103, "vlan_vids_add_by_dev" },
	{ 0xb019403, "call_netdevice_notifiers" },
	{ 0xeef4db4d, "__dev_queue_xmit" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xc98ba264, "netdev_core_stats_alloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x33392680, "passthru_features_check" },
	{ 0x2b3228a0, "eth_validate_addr" },
	{ 0xc02d48aa, "ethtool_op_get_link" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
