#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x6f9271ff, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xc6a49da9, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x81dc6fc2, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x3951931e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x3d32327e, "__skb_checksum_complete" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8cea97eb, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xda4b86c9, "__rht_bucket_nested" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0x7326bdf9, "__nlmsg_put" },
	{ 0xe19a8a4a, "netdev_adjacent_change_commit" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xb446bd80, "eth_mac_addr" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb26f9215, "ip6_dst_hoplimit" },
	{ 0xdafc572, "param_ops_ushort" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xf836cd6d, "udp_sock_create4" },
	{ 0x88b243e8, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x76983629, "udp_tunnel6_xmit_skb" },
	{ 0x4366b0cb, "rtnl_link_register" },
	{ 0x8aec90c, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc9668a06, "lockdep_rht_bucket_is_held" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2b3228a0, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x82fb1cd2, "rhashtable_init" },
	{ 0x1f3d4ba1, "gro_cells_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfe0cb2ba, "rtnl_create_link" },
	{ 0x4182cc5b, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x7b71fe11, "unregister_netdevice_queue" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xa67781cf, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xe4c431e4, "ether_setup" },
	{ 0xfb9606c4, "udp_tunnel_drop_rx_port" },
	{ 0xffbe3c9c, "netdev_upper_dev_link" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x6b7ad00f, "register_pernet_subsys" },
	{ 0xa904b6c1, "lockdep_rht_mutex_is_held" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0xc98ba264, "netdev_core_stats_alloc" },
	{ 0x22ef882e, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x993f86e7, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0x17fc442b, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x4716f364, "eth_gro_complete" },
	{ 0xe0944e15, "rtnl_set_sk_err" },
	{ 0xec3e003, "eth_gro_receive" },
	{ 0x4294cba0, "rtnl_configure_link" },
	{ 0x3a1b7764, "skb_tunnel_check_pmtu" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x82038756, "peernet2id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x3e19d316, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x9e464017, "__dev_get_by_index" },
	{ 0xa6c3e25c, "rtnl_link_unregister" },
	{ 0x8f74e781, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc991188c, "ipv6_stub" },
	{ 0xe929390e, "skb_pull" },
	{ 0x669ac94a, "gro_find_complete_by_type" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x75ab9dea, "dev_get_by_index_rcu" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x6abd62a2, "gro_cells_receive" },
	{ 0x43647b3b, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x308120ba, "netdev_upper_dev_unlink" },
	{ 0xd342850f, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29b607fc, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf5e42b7e, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x324d37ba, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeba1bce5, "lock_sock_nested" },
	{ 0xc02d48aa, "ethtool_op_get_link" },
	{ 0x73e0aa8d, "nexthop_find_by_id" },
	{ 0x1967cac2, "arp_create" },
	{ 0xf3eb1e41, "__ethtool_get_link_ksettings" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x63110309, "netdev_adjacent_change_prepare" },
	{ 0x6b799f1f, "rtnl_register_module" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc503e006, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xd06bedc6, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x16a82174, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x48f6c1c6, "netdev_adjacent_change_abort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x1e9d0d2a, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xad2bb544, "__iptunnel_pull_header" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xe83c1401, "dev_get_tstats64" },
	{ 0xd40bacae, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xa05fc4c6, "rhashtable_destroy" },
	{ 0x54bd8aea, "setup_udp_tunnel_sock" },
	{ 0xa1a588b, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b610d85, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x29fec214, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x548ae91c, "skb_scrub_packet" },
	{ 0x17e01122, "nexthop_select_path" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xfbc20f8b, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xbb55a0f3, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9e60e3bb, "neigh_destroy" },
	{ 0xa3f00e4b, "dst_cache_get_ip6" },
	{ 0x2f3dce49, "dst_cache_get_ip4" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0xa8fefefa, "udp_tun_rx_dst" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x14046c9, "dst_cache_set_ip6" },
	{ 0x7c033b9b, "rtnl_notify" },
	{ 0xafb989e, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x798edfc5, "__netif_rx" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3c6bde03, "metadata_dst_alloc" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x1dc9c0d1, "dst_release" },
	{ 0xf1caedfb, "unregister_nexthop_notifier" },
	{ 0x52133984, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe30bacb3, "udp_tunnel_notify_del_rx_port" },
	{ 0x706b98a9, "register_nexthop_notifier" },
	{ 0xb4166066, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd6b7406e, "rht_bucket_nested" },
	{ 0xb53e9069, "gro_find_receive_by_type" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x864fd989, "netdev_info" },
	{ 0x345144d1, "skb_dump" },
	{ 0x9e6f564e, "neigh_lookup" },
	{ 0x89b18b3b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7c1b5bf0, "register_netdevice" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "89AC3FF60EE280C8E0C1D71");
