#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath_rxbuf_alloc, "", "");
KSYMTAB_FUNC(ath_is_mybeacon, "", "");
KSYMTAB_FUNC(ath_printk, "", "");
KSYMTAB_DATA(ath_bus_type_strings, "", "");
KSYMTAB_FUNC(ath_is_world_regd, "", "");
KSYMTAB_FUNC(ath_is_49ghz_allowed, "", "");
KSYMTAB_FUNC(ath_regd_find_country_by_name, "", "");
KSYMTAB_FUNC(ath_reg_notifier_apply, "", "");
KSYMTAB_FUNC(ath_regd_init, "", "");
KSYMTAB_FUNC(ath_regd_get_band_ctl, "", "");
KSYMTAB_FUNC(ath_hw_setbssidmask, "", "");
KSYMTAB_FUNC(ath_hw_cycle_counters_update, "", "");
KSYMTAB_FUNC(ath_hw_get_listen_time, "", "");
KSYMTAB_FUNC(ath_hw_keyreset, "", "");
KSYMTAB_FUNC(ath_hw_keysetmac, "", "");
KSYMTAB_FUNC(ath_key_config, "", "");
KSYMTAB_FUNC(ath_key_delete, "", "");
KSYMTAB_FUNC(dfs_pattern_detector_init, "", "");

SYMBOL_CRC(ath_rxbuf_alloc, 0xad083210, "");
SYMBOL_CRC(ath_is_mybeacon, 0x9488e21c, "");
SYMBOL_CRC(ath_printk, 0xb4146375, "");
SYMBOL_CRC(ath_bus_type_strings, 0xb6588ba6, "");
SYMBOL_CRC(ath_is_world_regd, 0x4571aea8, "");
SYMBOL_CRC(ath_is_49ghz_allowed, 0x108b188f, "");
SYMBOL_CRC(ath_regd_find_country_by_name, 0xa18f224e, "");
SYMBOL_CRC(ath_reg_notifier_apply, 0xae555e66, "");
SYMBOL_CRC(ath_regd_init, 0x1f4c46f1, "");
SYMBOL_CRC(ath_regd_get_band_ctl, 0x0b1ab353, "");
SYMBOL_CRC(ath_hw_setbssidmask, 0xa19e5e18, "");
SYMBOL_CRC(ath_hw_cycle_counters_update, 0x34caf17e, "");
SYMBOL_CRC(ath_hw_get_listen_time, 0x5dc8dbb6, "");
SYMBOL_CRC(ath_hw_keyreset, 0x9d3ba6a3, "");
SYMBOL_CRC(ath_hw_keysetmac, 0xb264e6eb, "");
SYMBOL_CRC(ath_key_config, 0x69fc94e2, "");
SYMBOL_CRC(ath_key_delete, 0xd4f49549, "");
SYMBOL_CRC(dfs_pattern_detector_init, 0xef1d72cb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdba126c1, "reg_initiator_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9cabab26, "ieee80211_get_channel_khz" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfaeb4304, "wiphy_apply_custom_regulatory" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0x59e5aeb2, "freq_reg_info" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "8A78219D4C2EDF434AEA572");
