#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x7fc4509c, "");
SYMBOL_CRC(ath10k_info, 0x9dba39e6, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x368b3dae, "");
SYMBOL_CRC(ath10k_err, 0x97ae5040, "");
SYMBOL_CRC(ath10k_warn, 0x1c6f9bcf, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x05336a53, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x97267715, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0xfe795167, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xf9b4c40d, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x1c374c72, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0xcd3fed89, "");
SYMBOL_CRC(ath10k_core_start, 0x3a0ab164, "");
SYMBOL_CRC(ath10k_core_stop, 0x72a19906, "");
SYMBOL_CRC(ath10k_core_register, 0x98c27cb6, "");
SYMBOL_CRC(ath10k_core_unregister, 0x38face9d, "");
SYMBOL_CRC(ath10k_core_create, 0x89f50308, "");
SYMBOL_CRC(ath10k_core_destroy, 0xeb3c087f, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xd501ab3c, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x925a854f, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xce5b847f, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x242d9e63, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xae9eb017, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x1c5d6c0f, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x6c3a199c, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x9d3c49b1, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x22c1313a, "");
SYMBOL_CRC(ath10k_bmi_start, 0xda7dfa9b, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x8c0d5194, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x84144b8a, "");
SYMBOL_CRC(ath10k_coredump_new, 0x00863f1a, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xfa5b5948, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x30e77f6e, "");
SYMBOL_CRC(ath10k_ce_send, 0x7498886b, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x5f412669, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xcb834c99, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xa285d553, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xb9ec91e7, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xa88e5ad6, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x6e0e39d6, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xb19687ad, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x6d9e5f5f, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x678c4f1a, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x90f2f8b2, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xe3d7cf48, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xa1286a10, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xf2a9e530, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x5c5722c9, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xc4da517c, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x47cf508d, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x362ca2b9, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0xaceff63a, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x6b285c1e, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x79603d6b, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x6d1268dc, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x050e57ce, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x2685b3af, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x405c8f2d, "cpu_latency_qos_remove_request" },
	{ 0x30aae14, "ieee80211_beacon_update_cntdwn" },
	{ 0xf29eb1f0, "ieee80211_sta_register_airtime" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd59d061, "device_set_wakeup_enable" },
	{ 0xff0b90ac, "completion_done" },
	{ 0x412cd3, "ieee80211_connection_loss" },
	{ 0x41dc945b, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x428479f, "is_acpi_device_node" },
	{ 0xbadb60fc, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa1f31441, "__ieee80211_schedule_txq" },
	{ 0x7344405a, "idr_find" },
	{ 0xb432ac36, "ieee80211_txq_get_depth" },
	{ 0xa2a5fac, "param_ops_uint" },
	{ 0xe8d31da8, "param_ops_ulong" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x1d3659bc, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x954e6880, "firmware_request_nowarn" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0xc7c5ea2b, "ieee80211_txq_may_transmit" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x49bda2c8, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x109cf5bb, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x2f9141f8, "dma_unmap_page_attrs" },
	{ 0xc8bb0c24, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6e19db5f, "ieee80211_iterate_stations_atomic" },
	{ 0xaf4a6b71, "dma_sync_single_for_device" },
	{ 0xc87c3d6c, "ieee80211_tx_status_ext" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfa394efa, "ieee80211_beacon_loss" },
	{ 0x9bbfc63f, "cpu_latency_qos_add_request" },
	{ 0x13402c00, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4a90b0fe, "thermal_cooling_device_register" },
	{ 0x96a14546, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x98e59b34, "ieee80211_restart_hw" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xdf65a63b, "ieee80211_wake_queue" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xd6ff8114, "ieee80211_hw_restart_disconnect" },
	{ 0x59d61c47, "of_get_property" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x14d9a387, "skb_queue_purge_reason" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x42d306ff, "ieee80211_find_sta" },
	{ 0xe06cf811, "dma_map_page_attrs" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x55f3277f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x8cec7ab9, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa72e0b26, "cfg80211_put_bss" },
	{ 0x93228d66, "idr_get_next" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0x9cabab26, "ieee80211_get_channel_khz" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x5a4acd0, "sysfs_create_link" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x7abbf827, "wiphy_to_ieee80211_hw" },
	{ 0xae555e66, "ath_reg_notifier_apply" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe2b384b6, "ieee80211_queue_delayed_work" },
	{ 0xc7d9bbc, "ieee80211_proberesp_get" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xe64a8272, "simple_open" },
	{ 0xe929390e, "skb_pull" },
	{ 0xf87b84aa, "sysfs_remove_link" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x67e41f49, "init_uts_ns" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xa61ad67f, "ieee80211_find_sta_by_ifaddr" },
	{ 0x977f5b45, "ieee80211_next_txq" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xba5de671, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc24ec197, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xc53d57f6, "napi_enable" },
	{ 0x79b51849, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7aa39cc7, "ieee80211_wake_queues" },
	{ 0xe561489, "of_property_read_string" },
	{ 0xbb101931, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd79eb3a1, "ieee80211_report_low_ack" },
	{ 0xfe95e497, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd5db70b5, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd672077, "dev_coredumpv" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x899b2dbb, "ieee80211_alloc_hw_nm" },
	{ 0x7f0a2df3, "cfg80211_get_bss" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaa64e57b, "default_llseek" },
	{ 0x89012c08, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xbcf9e7f3, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x21eefc32, "skb_dequeue_tail" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xaf2af894, "of_property_read_variable_u8_array" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x7a0a644d, "devm_nvmem_cell_get" },
	{ 0x492b975e, "ieee80211_stop_queue" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xd90f3719, "ieee80211_ready_on_channel" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x7b9e6422, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b610d85, "skb_trim" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xfeacc93b, "skb_realloc_headroom" },
	{ 0xb0b4d013, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xea47fcd6, "idr_for_each" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x35360b34, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xd65a5549, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x18225178, "ieee80211_scan_completed" },
	{ 0xbd14605d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xae67a3c1, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1f4c46f1, "ath_regd_init" },
	{ 0xcd178c0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x84b935ab, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xb70789e, "__might_fault" },
	{ 0xd3d17b6a, "ieee80211_tdls_oper_request" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1663d69, "ieee80211_radar_detected" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe190a310, "thermal_cooling_device_unregister" },
	{ 0xcacc5afa, "ieee80211_tx_rate_update" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xfab358ea, "ieee80211_queue_work" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa46f74d, "napi_disable" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xad64de71, "init_dummy_netdev" },
	{ 0xaa1f6574, "of_property_read_string_helper" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xb31f30b, "ieee80211_csa_finish" },
	{ 0x5597d9d6, "skb_queue_head" },
	{ 0xa182d5e, "ieee80211_rx_napi" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "969ED40A259DE86BAEE57ED");
