#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x41cbe817, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0xbffa1cf2, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x73bcb319, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x5dede7b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xd48fd61e, "brcmu_pktq_mlen" },
	{ 0xc539678b, "cfg80211_sched_scan_results" },
	{ 0x4198aafc, "sdio_retune_hold_now" },
	{ 0xe266e3da, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88346a11, "usb_alloc_urb" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x439005b1, "sdio_disable_func" },
	{ 0xf3364ef4, "cfg80211_mgmt_tx_status_ext" },
	{ 0xd59d061, "device_set_wakeup_enable" },
	{ 0x5d7c4b6, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x25f81ea4, "sdio_set_block_size" },
	{ 0x428479f, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x769a39a3, "usb_free_urb" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0x297087eb, "of_node_put" },
	{ 0x1f1e8d1d, "pci_enable_device" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x266cc683, "brcmu_pkt_buf_free_skb" },
	{ 0x1d3659bc, "of_property_read_variable_u32_array" },
	{ 0x71c94f62, "sdio_retune_crc_disable" },
	{ 0x951c9c07, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x954e6880, "firmware_request_nowarn" },
	{ 0x1e8b3a3, "platform_driver_unregister" },
	{ 0x4facd1b4, "sdio_claim_host" },
	{ 0xd499dd63, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7336cc7, "sdio_memcpy_fromio" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x38a3f6a1, "sdio_register_driver" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x3f940485, "unregister_netdev" },
	{ 0x92d1d49e, "cfg80211_remain_on_channel_expired" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0xc2529a8c, "cfg80211_register_netdevice" },
	{ 0x2f9141f8, "dma_unmap_page_attrs" },
	{ 0x30412ff8, "request_firmware" },
	{ 0x173fa01b, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x92bed11a, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x2b13c4cb, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x1566ce9e, "cfg80211_port_authorized" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x30855044, "brcmu_pktq_init" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x67593808, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x906d0acf, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf514b735, "cfg80211_new_sta" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xd1e5accd, "cfg80211_disconnected" },
	{ 0xe4c431e4, "ether_setup" },
	{ 0xe4c07516, "pci_unregister_driver" },
	{ 0x59d61c47, "of_get_property" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x4ffa4272, "wake_up_process" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0x63907012, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x22ef882e, "eth_type_trans" },
	{ 0xcfb48194, "pci_read_config_dword" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe06cf811, "dma_map_page_attrs" },
	{ 0xf2e7b82b, "alloc_netdev_mqs" },
	{ 0xf4d5e674, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbcb44709, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1d9ee9ff, "devm_kstrdup" },
	{ 0x76593ebf, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52aa5aa8, "sdio_release_irq" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x697b2009, "cfg80211_crit_proto_stopped" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x77550ebe, "wiphy_register" },
	{ 0x4707432e, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa72e0b26, "cfg80211_put_bss" },
	{ 0xaa993f1b, "cfg80211_roamed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9bfb9e87, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x911b68ae, "of_get_mac_address" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0x9cabab26, "ieee80211_get_channel_khz" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x415c2e4c, "cfg80211_check_combinations" },
	{ 0x36724590, "sdio_set_host_pm_flags" },
	{ 0x7f03e4b7, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xab041808, "sdio_unregister_driver" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x234889d9, "sdio_readsb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xde7f5a4b, "usb_match_id" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5777f4ba, "pci_enable_msi" },
	{ 0x7e4c3df5, "efi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x267d99a1, "device_wakeup_enable" },
	{ 0xee761b2a, "cfg80211_ibss_joined" },
	{ 0x18004d1e, "request_firmware_nowait" },
	{ 0xe64a8272, "simple_open" },
	{ 0xe929390e, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xc49906d1, "irq_get_irq_data" },
	{ 0xfaeb4304, "wiphy_apply_custom_regulatory" },
	{ 0x968f2e64, "cfg80211_michael_mic_failure" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x43647b3b, "skb_push" },
	{ 0xfd321861, "sdio_retune_crc_enable" },
	{ 0xbef9b44d, "brcmu_pktq_flush" },
	{ 0x31240f14, "brcmu_pktq_peek_tail" },
	{ 0xc24ec197, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x14e37621, "cfg80211_del_sta_sinfo" },
	{ 0x90e46c85, "sdio_readl" },
	{ 0x8065bf29, "mmc_set_data_timeout" },
	{ 0xd342850f, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x503caa15, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2e057b56, "wiphy_unregister" },
	{ 0x29b607fc, "free_netdev" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0xe561489, "of_property_read_string" },
	{ 0xbb101931, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f019506, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x273db069, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2e56bf3c, "eth_platform_get_mac_address" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xea05ee0c, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x35707c5f, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0xd6045e0e, "brcmu_pktq_pdeq_match" },
	{ 0x2dab327, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x1b711fce, "sdio_writel" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x8b655da, "pci_set_master" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x4498a304, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0xd40bacae, "netif_rx" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0x8920b89, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b610d85, "skb_trim" },
	{ 0x4f3e2f63, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x7371241b, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9e39d0e, "kthread_create_on_node" },
	{ 0xed218ab9, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x5147a4dd, "pm_runtime_forbid" },
	{ 0x35360b34, "debugfs_create_file" },
	{ 0x295d434c, "brcmu_pktq_mdeq" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x442fe13a, "cfg80211_unregister_wdev" },
	{ 0x9f6960f7, "pci_pme_capable" },
	{ 0x7ab3dd2b, "brcmu_pktq_penq" },
	{ 0xd65a5549, "dma_free_attrs" },
	{ 0xd255767c, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x16947d51, "__platform_driver_probe" },
	{ 0xc8a088dd, "of_device_is_compatible" },
	{ 0x27a78bc2, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x37eb35ca, "usb_autopm_get_interface" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x92f54df4, "brcmu_pktq_pdeq_tail" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe59213a9, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x7d2b6902, "usb_kill_urb" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2c54499f, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x8021f8b6, "netif_carrier_on" },
	{ 0x4424431f, "brcmu_pkt_buf_get_skb" },
	{ 0x23c8f600, "mmc_hw_reset" },
	{ 0xe3e878e0, "sdio_retune_release" },
	{ 0x7962ac1e, "sdio_claim_irq" },
	{ 0xa1815584, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x78e89b8, "pci_disable_device" },
	{ 0x2cde435e, "pci_match_id" },
	{ 0x2f1c6540, "sdio_enable_func" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c61d14e, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x127b4152, "send_sig" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x788fb1aa, "cfg80211_inform_bss_data" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x44146da5, "irq_of_parse_and_map" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x535b0cdb, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0x72475209, "of_find_node_opts_by_path" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xc47a0e05, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x7e947cd6, "wiphy_free" },
	{ 0xaa1f6574, "of_property_read_string_helper" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x34eff160, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x97c6e93e, "pci_write_config_dword" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5597d9d6, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1975555, "sdio_readb" },
	{ 0xa0f77c88, "sdio_writeb" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "C788D4499264A43ABB1A80E");
