#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xb2c88a3a, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xc2280419, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xcaf4a739, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xabe39d59, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x344639a1, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x333b3b02, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xe380fdd2, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x685a9c05, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xf9b343bb, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x7d330390, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x150bc9ec, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xc79c995d, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x4db4ff80, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xfad3e854, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x9b0521ca, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0xaaa736e3, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xf3024da4, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xe507fb12, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x71150c77, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xcae510bc, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xf6fa5ba7, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x34941cc0, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x1382377d, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xf690146a, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xeb00d684, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x7f9a5c49, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x014f1378, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x371a7573, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x58bf8967, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x9820de50, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x5b966755, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x2f3a61f2, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0xe97c1f94, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x6b7b5d6e, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xb66a2e7d, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xb9047d6d, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x6725cb7e, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x5a103cb1, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xbf2505f7, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x5353413e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x96cfdb88, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xac1fdcac, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x9e38e611, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xd1bc3fdb, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x73507dbe, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x086d6858, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0xb8ce2c05, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x0ce5c170, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xe4024c4a, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xf31b8484, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x3d42fb48, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x85a1de01, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xdb39165b, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x54a0452f, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x4dfc38c9, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x9e85bb44, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x327efb2b, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x0b941e04, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xd04cd527, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xd5e0b078, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xcbfaf0b3, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x6bd8d13f, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x620482b7, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x07b8970e, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x5d13a69b, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x9f96e212, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf29eb1f0, "ieee80211_sta_register_airtime" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xbb14fdd9, "__traceiter_mac_txdone" },
	{ 0x82f8ed2b, "mt76_dma_rx_poll" },
	{ 0xe59e6c18, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1ebc33f9, "simple_attr_open" },
	{ 0xc3839764, "debugfs_attr_write" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc21a4114, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe724ce65, "mt76_tx_status_skb_get" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x1a3dfc6b, "mt76_tx_status_lock" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0x2dc3022a, "mt76_csa_check" },
	{ 0x17980df1, "mt76_tx_status_skb_add" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9d28c26e, "__tracepoint_mac_txdone" },
	{ 0x7cdb30b2, "__traceiter_dev_irq" },
	{ 0xc4508bd9, "mt76_tx_check_agg_ssn" },
	{ 0xc87c3d6c, "ieee80211_tx_status_ext" },
	{ 0x75a13066, "mt76_stop_tx_queues" },
	{ 0xf2858545, "___pskb_trim" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe5ebb4a9, "__mt76_tx_complete_skb" },
	{ 0x9c8faf78, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x98e59b34, "ieee80211_restart_hw" },
	{ 0x86dae6f0, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd680c14f, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xf5cbe68a, "kthread_park" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xa45ec217, "mt76_mcu_rx_event" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x47b73f01, "mt76_tx_status_check" },
	{ 0x4ffa4272, "wake_up_process" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0x81c051c5, "ieee80211_get_buffered_bc" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xa4c832d9, "napi_complete_done" },
	{ 0xa3d7899, "ieee80211_get_tx_rates" },
	{ 0x177896f5, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf2879029, "debugfs_create_devm_seqfile" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd6f9c97, "mt76_tx" },
	{ 0xcdd36cf7, "__napi_schedule" },
	{ 0xc5cbc831, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xce353194, "mt76_wcid_key_setup" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x9711b50e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x565b0627, "mt76_rx" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x1885219c, "kthread_unpark" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb88a49f8, "mt76_phy_dfs_state" },
	{ 0x7abbf827, "wiphy_to_ieee80211_hw" },
	{ 0x94b47bc1, "mt76_init_queue" },
	{ 0x4371303d, "debugfs_attr_read" },
	{ 0xaeb98cbc, "__mt76_sta_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7616566d, "mt76_tx_status_skb_done" },
	{ 0xe2b384b6, "ieee80211_queue_delayed_work" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x9de247c2, "debugfs_create_bool" },
	{ 0xe929390e, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5ef1f3a8, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc53d57f6, "napi_enable" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x6bfb5956, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x7aa39cc7, "ieee80211_wake_queues" },
	{ 0xd4908c01, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5145b544, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0x46b7165b, "__mt76_mcu_msg_alloc" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x72b77ca7, "mt76_set_irq_mask" },
	{ 0x612891c6, "bpf_trace_run1" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2186d478, "ieee80211_calc_tx_airtime" },
	{ 0x36e02d7a, "debugfs_create_u32" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x2d777ff7, "mt76_seq_puts_array" },
	{ 0x7b9e6422, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0x2d5680d1, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xe19ec91a, "mt76_mcu_get_response" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x35360b34, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xbd14605d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x7564820d, "mt76_txq_schedule_all" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x76756138, "mt76_rx_aggr_start" },
	{ 0xda3578e2, "____mt76_poll_msec" },
	{ 0x742d77d1, "seq_printf" },
	{ 0xcd178c0, "ieee80211_beacon_get_tim" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6678c0e7, "seq_puts" },
	{ 0x1663d69, "ieee80211_radar_detected" },
	{ 0xa2ec4229, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2c5c6920, "mt76_queues_read" },
	{ 0xd52a087, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xfa7aa024, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xa46f74d, "napi_disable" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0xef803200, "__mt76_poll" },
	{ 0xcc1895af, "mt76_rx_aggr_stop" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x2eaddf5e, "debugfs_create_u8" },
	{ 0x958328f3, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xe7ace211, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "FD229E656F7B0E92162B15B");
