#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x717c15a8, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x3dbd1a01, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x95fe9176, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xcfad41e6, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x39d0d527, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x8aa7ac11, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x56d795ed, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0xc92fe180, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7b8970e, "mt76x02_update_beacon_iter" },
	{ 0x17c574af, "ieee80211_iterate_interfaces" },
	{ 0x5d13a69b, "mt76x02_enqueue_buffered_bc" },
	{ 0xfad3e854, "mt76x02_remove_hdr_pad" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x620482b7, "mt76x02_resync_beacon_timer" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x371a7573, "mt76x02_mcu_parse_response" },
	{ 0x2dc3022a, "mt76_csa_check" },
	{ 0x17980df1, "mt76_tx_status_skb_add" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x448baca1, "mt76u_single_wr" },
	{ 0xe5ebb4a9, "__mt76_tx_complete_skb" },
	{ 0x71150c77, "mt76x02_mac_reset_counters" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd680c14f, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x5d7f1879, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc5cbc831, "mt76_csa_finish" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xe929390e, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x43647b3b, "skb_push" },
	{ 0x9f96e212, "mt76x02_init_beacon_config" },
	{ 0x46b7165b, "__mt76_mcu_msg_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x34941cc0, "mt76x02_mac_write_txwi" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb582dea5, "mt76u_vendor_request" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x5df674c6, "mt76_skb_adjust_pad" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6bd8d13f, "mt76x02_mac_set_beacon" },
	{ 0x362ef70, "hrtimer_active" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xef803200, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,mt76-usb,cfg80211");


MODULE_INFO(srcversion, "D261E3FCE0DF5E7E72F227D");
