#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x9fc211d1, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x546c668e, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x63737f11, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xe941e966, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x3d7d0302, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x80e4db9f, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xb97c28f6, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x66ce41e7, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xede45141, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x10520b92, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xbef87041, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x4cb975ba, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x7b81665e, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x35fcbac0, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xdee856c6, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x7ac03493, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x74a1b2ee, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0x1beb2a97, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xe3abf40c, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x82be2778, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xfe5651e4, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xd4d5e879, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x68d6e67e, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x488d8ea4, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x9070028d, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xfc437015, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x743f26c7, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x672fdab3, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xb5a07ab5, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x4f035adc, "_gpl");
SYMBOL_CRC(rt2800_config, 0x12293c4d, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xccf409d9, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xc4681871, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x55ba5572, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xa5e683e0, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xb46f0265, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x471c8898, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xca7f9040, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xc0bd451d, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x185616c5, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xee966567, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x26ecb182, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x2f740ad2, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x5927318a, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xad6de0ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xf9a482f9, "msleep" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x50f8f5c5, "rt2x00queue_get_entry" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x2c55d4d0, "rt2x00mac_conf_tx" },
	{ 0x9711b50e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9d935fb8, "rt2x00lib_get_bssidx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x51a1232a, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x3b62909b, "rt2x00lib_txdone" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x8521ab6b, "rt2x00lib_txdone_noinfo" },
	{ 0x43647b3b, "skb_push" },
	{ 0x5ecfb5ec, "rt2x00debug_dump_frame" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0xc78665ab, "__skb_pad" },
	{ 0x98e59b34, "ieee80211_restart_hw" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xe929390e, "skb_pull" },
	{ 0x229ad1ca, "rt2x00lib_set_mac_address" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "C4A7C108BE26B9366EE3D16");
