#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x0017888b, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x73636d6c, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x12d420dc, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x9016ba1a, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0xead034b9, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0xe487a89f, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x7b813b0b, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x8510ca84, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0xc63a3113, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x801dc0e5, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0xa3c27eeb, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x9f129a8e, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x95a85d34, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xa64aa95c, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x1d3ce512, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0xaf63ea22, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xede45141, "rt2800_process_rxwi" },
	{ 0xdcb764ad, "memset" },
	{ 0x12293c4d, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x50f8f5c5, "rt2x00queue_get_entry" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf9a482f9, "msleep" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x3d7d0302, "rt2800_get_txwi_rxwi_size" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0xe941e966, "rt2800_disable_wpdma" },
	{ 0x63737f11, "rt2800_wait_wpdma_ready" },
	{ 0xa5e683e0, "rt2800_enable_radio" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x4cb975ba, "rt2800_txstatus_timeout" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xbef87041, "rt2800_txdone" },
	{ 0x35fcbac0, "rt2800_txdone_nostatus" },
	{ 0x7b81665e, "rt2800_txstatus_pending" },
	{ 0xc0bd451d, "rt2800_probe_hw" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7216fd53, "rt2x00lib_pretbtt" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x224bee4e, "rt2x00mmio_rxdone" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x556e0559, "rt2x00lib_beacondone" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2x00lib,rt2x00mmio");


MODULE_INFO(srcversion, "01CE6D4B6D990DC362815EA");
