#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00debug_dump_frame, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x9d935fb8, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x556e0559, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x7216fd53, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x81e3aac0, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x322e5d0e, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x51a1232a, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x3b62909b, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x8521ab6b, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x94e0732a, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x229ad1ca, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xc4ba2400, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xa79ccf9d, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xdc7abae0, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x8580071b, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x0a2be083, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x694747d4, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x7154b8b2, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x0988e4f0, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xe37ea4ca, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0xe021c783, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xbae313a0, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0xd7bf6794, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0xd3600a25, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xec13cc1b, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x39ba4261, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xff595d27, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0xb04b40bb, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0xf64a86ae, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x2c55d4d0, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x0265b396, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x57246c2d, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x40045e3e, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x73414ece, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0xfdbd266f, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x568d6276, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x27624d45, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x1877dc33, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xe29803cd, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x50f8f5c5, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x4f7f4607, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x14cdcc82, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x3bd7c6c5, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0xf6bba8bf, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x766f7453, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x9314bd9a, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x230949d6, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x67d8e5c5, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0x5ecfb5ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4e8e96e9, "try_module_get" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x17c574af, "ieee80211_iterate_interfaces" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0x53df7429, "finish_wait" },
	{ 0x2f9141f8, "dma_unmap_page_attrs" },
	{ 0x30412ff8, "request_firmware" },
	{ 0xb05fe9c7, "led_classdev_suspend" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0xc87c3d6c, "ieee80211_tx_status_ext" },
	{ 0xeca58fc, "debugfs_create_blob" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbfcde84, "led_classdev_unregister" },
	{ 0x96a14546, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xb8d2a792, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x98e59b34, "ieee80211_restart_hw" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd680c14f, "ieee80211_get_hdrlen_from_skb" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xdf65a63b, "ieee80211_wake_queue" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14d9a387, "skb_queue_purge_reason" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0x81c051c5, "ieee80211_get_buffered_bc" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe06cf811, "dma_map_page_attrs" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x911b68ae, "of_get_mac_address" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0xcecc76da, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe2b384b6, "ieee80211_queue_delayed_work" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xe64a8272, "simple_open" },
	{ 0x21835f80, "ieee80211_ctstoself_get" },
	{ 0xe929390e, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x43647b3b, "skb_push" },
	{ 0x66767fde, "debugfs_remove" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd5db70b5, "ieee80211_free_txskb" },
	{ 0xa7900253, "led_classdev_register_ext" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xaa64e57b, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x36e02d7a, "debugfs_create_u32" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x8caaf109, "ieee80211_tx_status" },
	{ 0x492b975e, "ieee80211_stop_queue" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0x7b9e6422, "ieee80211_stop_queues" },
	{ 0x2b610d85, "skb_trim" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0b4d013, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xe3b81085, "wiphy_rfkill_start_polling" },
	{ 0x35360b34, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbd14605d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x70e68294, "led_classdev_resume" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xae67a3c1, "ieee80211_unregister_hw" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcd178c0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf66feb6c, "ieee80211_rts_get" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xb70789e, "__might_fault" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xfab358ea, "ieee80211_queue_work" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0x42008ceb, "generic_file_llseek" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xa182d5e, "ieee80211_rx_napi" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "85E3D6DC14C47ED1A12AEAF");
