#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x1ae8e635, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x7cdbf7e0, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x068de566, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xb6ff6ff2, "");
SYMBOL_CRC(rtw89_core_rx, 0xa37362d5, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xacd3fac5, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x1b11755a, "");
SYMBOL_CRC(rtw89_core_napi_init, 0xd582252c, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x7fd46461, "");
SYMBOL_CRC(rtw89_core_init, 0x63fa4488, "");
SYMBOL_CRC(rtw89_core_deinit, 0xd22683e9, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x93b3c828, "");
SYMBOL_CRC(rtw89_core_register, 0xcc6ce080, "");
SYMBOL_CRC(rtw89_core_unregister, 0x76444928, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0xec523268, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xcfcce9a2, "");
SYMBOL_CRC(rtw89_ops, 0xba7d074a, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x84c76faa, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x3db7e25e, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x3b1c1656, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xeb3435b1, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x445db9d1, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0xee78a87b, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xa9d535ed, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x39a9b4b9, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0xd730b9e3, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0x28990ed2, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x30f0884a, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xfa8b0b91, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x0ee8f3dc, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x195c6976, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xffe7b7dd, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x0f1e1aea, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0xb8b1396c, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0x6942a52b, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x94e539a8, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x5acc7c18, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x60ddb6ad, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xa0839f7e, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x21b4d43c, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xb1482206, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x604d0bc5, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xa8f0ef02, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x9ae150d8, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x3ef0433d, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xfec5c633, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0x35738220, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0xfabd3f40, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0xa6f66c50, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0xbc155954, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x28580400, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x5078ac66, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x416d4ea3, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x027bb17c, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x0421465b, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xdfe60a4b, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xd22b170d, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x0d50f541, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xe9d209f8, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xbbf65602, "");
SYMBOL_CRC(rtw89_ser_notify, 0xf3061aa2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58020dde, "ieee80211_stop_tx_ba_session" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd59d061, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x412cd3, "ieee80211_connection_loss" },
	{ 0x51bcba7a, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x428479f, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa1f31441, "__ieee80211_schedule_txq" },
	{ 0xb432ac36, "ieee80211_txq_get_depth" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xcfcce4ab, "cfg80211_bss_iter" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc21a4114, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x109cf5bb, "ieee80211_free_hw" },
	{ 0x3b398196, "ieee80211_probereq_get" },
	{ 0xc8bb0c24, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x30412ff8, "request_firmware" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6e19db5f, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x718b8024, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0x13402c00, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x58f87875, "ieee80211_nullfunc_get" },
	{ 0xc2a386ba, "ieee80211_pspoll_get" },
	{ 0x96a14546, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x98e59b34, "ieee80211_restart_hw" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9ae6f08c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x42d306ff, "ieee80211_find_sta" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdd36cf7, "__napi_schedule" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x9711b50e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7abbf827, "wiphy_to_ieee80211_hw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xe2b384b6, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x977f5b45, "ieee80211_next_txq" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xba5de671, "ieee80211_remain_on_channel_expired" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc53d57f6, "napi_enable" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7aa39cc7, "ieee80211_wake_queues" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5145b544, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd5db70b5, "ieee80211_free_txskb" },
	{ 0xd672077, "dev_coredumpv" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x899b2dbb, "ieee80211_alloc_hw_nm" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x89012c08, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xd90f3719, "ieee80211_ready_on_channel" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x7b9e6422, "ieee80211_stop_queues" },
	{ 0x4f3e2f63, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x18225178, "ieee80211_scan_completed" },
	{ 0xbd14605d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xae67a3c1, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x742d77d1, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xcd178c0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x84b935ab, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x573e8ee2, "ieee80211_cqm_rssi_notify" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6678c0e7, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xfab358ea, "ieee80211_queue_work" },
	{ 0xfa7aa024, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa46f74d, "napi_disable" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xad64de71, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0xa182d5e, "ieee80211_rx_napi" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "574F37FC8F8AFF2121393AB");
