#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x0ae4ab4d, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x5d62a510, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe357d611, "bio_integrity_prep" },
	{ 0xcaf13ef0, "__blk_alloc_disk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7dba62e, "flush_dcache_page" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4cd2c8f8, "blk_queue_logical_block_size" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x67274971, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x985cf7ad, "devm_namespace_enable" },
	{ 0x549a9eb6, "debugfs_create_u16" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9c8382c, "to_nd_region" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x76838ee7, "nd_btt_arena_is_valid" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x6d57f79d, "bio_end_io_acct_remapped" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xab5a26f2, "put_disk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6fdfac9, "debugfs_create_x64" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x1ea382d6, "blk_queue_flag_set" },
	{ 0xd1565d, "nd_dev_to_uuid" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x516037ca, "bio_start_io_acct" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc01ac175, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa1ac38fd, "nd_region_release_lane" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe7ac035e, "set_capacity" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x66767fde, "debugfs_remove" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x9166fada, "strncpy" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x999301d5, "del_gendisk" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xc0061ec4, "to_nd_btt" },
	{ 0x54fca846, "nd_region_acquire_lane" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x36e02d7a, "debugfs_create_u32" },
	{ 0x115decf6, "nvdimm_namespace_disk_name" },
	{ 0x463b5506, "debugfs_create_x32" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x64173177, "nvdimm_namespace_capacity" },
	{ 0x3d54e295, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x778080b8, "nvdimm_check_and_set_ro" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x5d91ec61, "badblocks_check" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x58da0a9f, "nd_btt_version" },
	{ 0x41deb28c, "blk_queue_max_hw_sectors" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "BAD3DECE6CEE9A046ABB0A3");
