#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qmi_encode_message, "", "");
KSYMTAB_FUNC(qmi_decode_message, "", "");
KSYMTAB_DATA(qmi_response_type_v01_ei, "", "");
KSYMTAB_FUNC(qmi_add_lookup, "", "");
KSYMTAB_FUNC(qmi_add_server, "", "");
KSYMTAB_FUNC(qmi_txn_init, "", "");
KSYMTAB_FUNC(qmi_txn_wait, "", "");
KSYMTAB_FUNC(qmi_txn_cancel, "", "");
KSYMTAB_FUNC(qmi_handle_init, "", "");
KSYMTAB_FUNC(qmi_handle_release, "", "");
KSYMTAB_FUNC(qmi_send_request, "", "");
KSYMTAB_FUNC(qmi_send_response, "", "");
KSYMTAB_FUNC(qmi_send_indication, "", "");

SYMBOL_CRC(qmi_encode_message, 0x28ac2fd2, "");
SYMBOL_CRC(qmi_decode_message, 0x6051451d, "");
SYMBOL_CRC(qmi_response_type_v01_ei, 0x4cd2fe40, "");
SYMBOL_CRC(qmi_add_lookup, 0x3d124640, "");
SYMBOL_CRC(qmi_add_server, 0xe6051f1a, "");
SYMBOL_CRC(qmi_txn_init, 0x0acff31d, "");
SYMBOL_CRC(qmi_txn_wait, 0xeea9e2cd, "");
SYMBOL_CRC(qmi_txn_cancel, 0xdb0b9202, "");
SYMBOL_CRC(qmi_handle_init, 0x34d96b8a, "");
SYMBOL_CRC(qmi_handle_release, 0x51923c26, "");
SYMBOL_CRC(qmi_send_request, 0x899a2f73, "");
SYMBOL_CRC(qmi_send_response, 0x6af8880e, "");
SYMBOL_CRC(qmi_send_indication, 0x8ac6f0dd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7344405a, "idr_find" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfd0af528, "kernel_recvmsg" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc13422f4, "__traceiter_sk_data_ready" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9cf157aa, "kernel_getsockname" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x24877b3a, "idr_alloc_cyclic" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x38d3c7e4, "sock_create_kern" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xac94c006, "sock_release" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe882a0f6, "kernel_sendmsg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B2A7ED1E034FD7925DF1207");
