#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xf7496891, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xc32c4976, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xef175cd6, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x4191a60a, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x6f8fb69a, "");
SYMBOL_CRC(sdw_show_ping_status, 0xece81d77, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xac7ab776, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xc0acf9b7, "");
SYMBOL_CRC(sdw_write_no_pm, 0xa86c3fdd, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xf3b74d4a, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x1e21ddef, "");
SYMBOL_CRC(sdw_read_no_pm, 0xc20d461f, "");
SYMBOL_CRC(sdw_update_no_pm, 0x474acf61, "");
SYMBOL_CRC(sdw_update, 0x311ec54a, "");
SYMBOL_CRC(sdw_nread, 0x50dd0f37, "");
SYMBOL_CRC(sdw_nwrite, 0x296c6d22, "");
SYMBOL_CRC(sdw_read, 0xe0ba1242, "");
SYMBOL_CRC(sdw_write, 0x52c61cbe, "");
SYMBOL_CRC(sdw_compare_devid, 0xd2d069af, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xae447303, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x50323e10, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xaef56c51, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xa9290ff5, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x184f3d75, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xaae2067b, "");
SYMBOL_CRC(sdw_slave_add, 0x87249745, "");
SYMBOL_CRC(sdw_master_read_prop, 0x35f2fb97, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x843c5385, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x4171f302, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x64df9373, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x7a0776fb, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x0c17aa8e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xa857eae0, "device_property_present" },
	{ 0x67f96a4, "devm_device_add_groups" },
	{ 0x428479f, "is_acpi_device_node" },
	{ 0x64106ee7, "of_fwnode_ops" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x62511192, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9009a26b, "lockdep_register_key" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0xaf301092, "device_unregister" },
	{ 0xc74b48fb, "pm_runtime_set_autosuspend_delay" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x2d6e706d, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9c8faf78, "seq_lseek" },
	{ 0xbcf286ea, "of_node_get" },
	{ 0x726a5842, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x2a4a3904, "devm_device_add_group" },
	{ 0x3c3f8473, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x59d61c47, "of_get_property" },
	{ 0xd902f789, "pm_generic_runtime_resume" },
	{ 0xa5ccf809, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xad4b0887, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x43c91cae, "put_device" },
	{ 0x8441dcc, "pm_runtime_enable" },
	{ 0x67b96a0e, "device_property_read_u32_array" },
	{ 0x2184e91d, "fwnode_property_read_u32_array" },
	{ 0x563347bc, "dev_pm_domain_detach" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x12e818e, "pm_generic_runtime_suspend" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x92d1b3d9, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x66767fde, "debugfs_remove" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x3cc535b8, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x8a0c5bb4, "device_register" },
	{ 0xc01789ae, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x580fa23d, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xed218ab9, "devm_kasprintf" },
	{ 0x2d5680d1, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7c79168, "fwnode_property_present" },
	{ 0x35360b34, "debugfs_create_file" },
	{ 0x48adda67, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x6a51fefb, "device_get_named_child_node" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x742d77d1, "seq_printf" },
	{ 0xd1aa17a8, "irq_create_mapping_affinity" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa2ec4229, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5ac36930, "acpi_dev_for_each_child" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x2b0cc944, "__pm_runtime_suspend" },
	{ 0xca592293, "irq_set_chip" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xb2d053db, "__pm_runtime_use_autosuspend" },
	{ 0x958328f3, "single_open" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x576f296a, "__pm_runtime_disable" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0x2425d9db, "driver_register" },
	{ 0xe642e474, "__pm_runtime_idle" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x7d89af0f, "lockdep_unregister_key" },
	{ 0x85fa263f, "bus_register" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0666F09C6D217B5B73A6775");
