#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0x13b4413e, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x9371675a, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x2cbe1e41, "_gpl");
SYMBOL_CRC(tee_device_register, 0xcdfa595d, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0xc7403470, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0xdd65c93b, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0xc421acb8, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xb46eeb05, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x27e618be, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x1836cc7e, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x30d4dae4, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0xe0d7f1bb, "_gpl");
SYMBOL_CRC(tee_bus_type, 0xf8309b15, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x4af96123, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x69aa8187, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xee773656, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x9c367102, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0xf460fbd4, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x034ad2cb, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x90e72737, "_gpl");
SYMBOL_CRC(tee_shm_put, 0xd0f2c6a8, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x6b1a85e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d49a11a, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7344405a, "idr_find" },
	{ 0x62511192, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x708dc10d, "gen_pool_create" },
	{ 0xb684cf88, "dump_page" },
	{ 0x2af56432, "cdev_device_del" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xcd2f24ad, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x392e013c, "idr_replace" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4023a701, "device_initialize" },
	{ 0xe38d862f, "unpin_user_pages" },
	{ 0x5cd857b5, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9e25811c, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xfab659f1, "crypto_destroy_tfm" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8d1b45e1, "gen_pool_destroy" },
	{ 0x122c3a7e, "_printk" },
	{ 0xafd86393, "cdev_device_add" },
	{ 0x9078094b, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x43c91cae, "put_device" },
	{ 0x4c468a0a, "compat_ptr_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x92d1b3d9, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6aeb9e1e, "class_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd7f1ff48, "crypto_shash_update" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0xe837155d, "gen_pool_add_owner" },
	{ 0xca224526, "make_kgid" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdc2bc280, "crypto_shash_final" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd0d24a81, "gen_pool_free_owner" },
	{ 0x4826cef9, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbdeabde6, "gen_pool_alloc_algo_owner" },
	{ 0x3ad25d97, "gen_pool_first_fit_align" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5b939cab, "gen_pool_virt_to_phys" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x76f7734b, "crypto_alloc_shash" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xe29a6ff, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x85fa263f, "bus_register" },
	{ 0xd359a5e6, "class_find_device" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9D9A6EC69FD2723157DD4F1");
