#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xd0483463, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xa4c6e5d5, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xf1d478e0, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xa2db5519, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x50acab45, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x09875c2a, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x9460fb0d, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x9fe84531, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x45944df2, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x4e8dcecf, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x8adb6b15, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x25fdec00, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x83cbd68c, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xe0d64f86, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x406f4227, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x86ca159f, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x86b8820d, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x318e89f1, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x44fa3dbb, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97c0b961, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x84c930d2, "request_resource" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6d46ead4, "pci_read_vpd" },
	{ 0x2fc389cd, "bus_unregister_notifier" },
	{ 0x8b9ac59e, "pci_request_selected_regions" },
	{ 0xee22ab3c, "pci_release_selected_regions" },
	{ 0x4c70f6f5, "pci_user_write_config_byte" },
	{ 0x1f1e8d1d, "pci_enable_device" },
	{ 0x121360e7, "pci_bus_max_busnr" },
	{ 0x128a990c, "pci_check_and_mask_intx" },
	{ 0xdfaa6cd5, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x51068a6d, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x44a9d96d, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x29d43bc9, "pci_dev_put" },
	{ 0xa62fc23e, "iommu_group_get" },
	{ 0x28e954c9, "vfio_virqfd_disable" },
	{ 0xbb11f727, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xbe1457f8, "fget" },
	{ 0x6f0bcbc3, "pci_num_vf" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4ef2b81e, "pci_user_read_config_dword" },
	{ 0x5cd857b5, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f768806, "dump_mm" },
	{ 0xa8e4e8da, "pci_user_read_config_word" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7a21c9eb, "pci_probe_reset_bus" },
	{ 0x66c29f55, "pci_probe_reset_slot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x4720de07, "zap_vma_ptes" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xdaa1001c, "pci_set_power_state" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xdfa903ff, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0xcfb48194, "pci_read_config_dword" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xa054d0c0, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x4f008f13, "pci_user_write_config_word" },
	{ 0x9c44df28, "bus_register_notifier" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x6007cdee, "vfio_file_is_group" },
	{ 0xbeecf2d9, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x1fe2f6c, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f0884fc, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x45caeff9, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xf26f53de, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x3803642e, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfb52bbbb, "vfio_virqfd_enable" },
	{ 0xda392661, "vga_client_register" },
	{ 0xfd048bee, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x19ef33f8, "aperture_remove_conflicting_pci_devices" },
	{ 0x87ebc810, "vfio_unregister_group_dev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4a8d4e0c, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x8fdfa7ff, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xe9bb7dd6, "pci_iounmap" },
	{ 0x827abac, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x451a72a5, "pcie_get_mps" },
	{ 0x7c3a124e, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x90cc0ac4, "down_write_trylock" },
	{ 0x74a76053, "down_read" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xc6e6890c, "pci_dev_driver" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0xccdc503c, "__mmap_lock_do_trace_start_locking" },
	{ 0xb9c6e26e, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x1e9a4e07, "_dev_notice" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x5147a4dd, "pm_runtime_forbid" },
	{ 0xd255767c, "pm_runtime_allow" },
	{ 0xad8af57f, "pci_reset_bus" },
	{ 0xea900b20, "mmput" },
	{ 0x48adda67, "__pm_runtime_resume" },
	{ 0x49bac9b1, "vfio_register_group_dev" },
	{ 0x20c9613e, "vfio_assign_device_set" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x8b0b7bd1, "pci_user_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe1784887, "pci_try_reset_function" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x36a730f8, "pci_get_class" },
	{ 0x56f8df12, "pci_user_write_config_dword" },
	{ 0xe92a31cd, "pcie_capability_read_dword" },
	{ 0xa1864040, "__mmap_lock_do_trace_released" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6c3522bf, "pci_load_and_free_saved_state" },
	{ 0x42a5ffea, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0xb0c99d5a, "vfio_device_set_open_count" },
	{ 0x78e89b8, "pci_disable_device" },
	{ 0x2cde435e, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc462d9fd, "pci_check_and_unmask_intx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf792ea5f, "pcie_set_readrq" },
	{ 0x19377589, "pci_walk_bus" },
	{ 0xb8fb78f4, "pci_msix_alloc_irq_at" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc79f5753, "pci_unmap_rom" },
	{ 0xbd44bf11, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1366fe77, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x863daf1b, "vga_set_legacy_decoding" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb967c5c, "pci_dev_unlock" },
	{ 0xdb523780, "pci_write_config_word" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xa5b83c29, "pci_free_irq_vectors" },
	{ 0xedadb194, "pci_enable_sriov" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xe642e474, "__pm_runtime_idle" },
	{ 0x11845fb, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e35d4f, "pci_bus_type" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "2E7DF53C1FD7245CDE457C9");
