#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0x01361fea, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xf05b7e1a, "");
SYMBOL_CRC(fscache_acquire_cache, 0x15265e51, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x32d86f77, "");
SYMBOL_CRC(fscache_add_cache, 0xeade0765, "");
SYMBOL_CRC(fscache_io_error, 0xd72ec602, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x4afb5f87, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x92652e32, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xe00549d2, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x8e83105f, "");
SYMBOL_CRC(fscache_caching_failed, 0x20e93050, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x48a33b87, "");
SYMBOL_CRC(__fscache_use_cookie, 0x05c9f24d, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xea28fa14, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x876a3646, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xc3d5e8fb, "");
SYMBOL_CRC(fscache_put_cookie, 0xbce56c0a, "");
SYMBOL_CRC(fscache_get_cookie, 0x7adee171, "");
SYMBOL_CRC(__fscache_invalidate, 0x93605961, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xb57d4a83, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x76c47e1a, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xa2fe079c, "");
SYMBOL_CRC(fscache_dirty_folio, 0x2f501585, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x51fb8e6e, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xa6f7a8b9, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x32f94ca8, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2b389369, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x71fb0e58, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x77e19a42, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xcb913742, "");
SYMBOL_CRC(fscache_end_volume_access, 0xfeb0eaeb, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xfb589245, "");
SYMBOL_CRC(fscache_put_volume, 0x4802d417, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x51abfa8f, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xd43c305c, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x40fc5620, "bpf_trace_run4" },
	{ 0xa2a5fac, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x64d8168c, "xas_find" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x298b2e8d, "netfs_stats_show" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x86dae6f0, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x80e7d25e, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xcb560e20, "kmem_cache_create" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0x734cb72e, "timer_reduce" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc8d3970e, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x4b3cd3f6, "__var_waitqueue" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xd4fc33b, "bpf_trace_run5" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0xc2045cf4, "kmem_cache_free" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x612891c6, "bpf_trace_run1" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3a4a5b2b, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa756aea, "folio_end_private_2" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x98ce0703, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb0e62f3f, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x742d77d1, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0x2150d268, "filemap_dirty_folio" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x6678c0e7, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc018f008, "iov_iter_xarray" },
	{ 0xe2dd8d8, "proc_create_single_data" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xecc98bfe, "proc_create_seq_private" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xcf398dfb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "223868418CE91516021EBE1");
