#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x3aa80009, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x27ba4499, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x558d5f29, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x2190a46a, "_gpl");
SYMBOL_CRC(dccp_death_row, 0xe6ae33e9, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xdc2c4605, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x389918cf, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x30200d06, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xaaaf685f, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xa59f79a5, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x8f7cb501, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0xf0ab14dd, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x7d55f809, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x1512b7b3, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xc252a67d, "_gpl");
SYMBOL_CRC(dccp_connect, 0x7c38ec27, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xfc9471c5, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0xf490559b, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0x1516c2a9, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x27c0fc3f, "_gpl");
SYMBOL_CRC(dccp_done, 0x4d64537f, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xcd558909, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x6ce22838, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x3a27d774, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xf41b31c1, "_gpl");
SYMBOL_CRC(dccp_poll, 0x8ed66bb4, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x3dbfb145, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x4f4477a1, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x43d08df4, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x4f6200b2, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0xccf5f44f, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xe91f9148, "_gpl");
SYMBOL_CRC(dccp_close, 0x2ffc7092, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xede42c15, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc4dad677, "inet_hashinfo2_init_mod" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd74f40c7, "inet_bhash2_reset_saddr" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7dc7f21e, "inet_ehash_locks_alloc" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xfdb11d9c, "sock_wmalloc" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0x9f7ee9b8, "proc_dointvec_ms_jiffies" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x86dae6f0, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfd367267, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xcb560e20, "kmem_cache_create" },
	{ 0x65aec7f8, "inet_twsk_alloc" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x77d6158b, "sk_error_report" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0xc68dd818, "register_net_sysctl_sz" },
	{ 0x62a8970e, "inet_sock_destruct" },
	{ 0xe1753ab5, "inet_put_port" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3c273c3a, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0xf2256800, "sk_reset_timer" },
	{ 0xc8d3970e, "kmem_cache_alloc" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0x673c20df, "sk_stream_wait_close" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x1c3ef6e9, "inet_twsk_hashdance" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x8df0165e, "sk_free" },
	{ 0xfff06b8b, "sock_wake_async" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc2045cf4, "kmem_cache_free" },
	{ 0x99a001ae, "proc_doulongvec_minmax" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeba1bce5, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x2717937d, "skb_copy_datagram_iter" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x8c33aaa8, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xb906bb29, "sk_wait_data" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xabb5edb0, "inet_csk_clone_lock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x4f3e2f63, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xceedea14, "inet_csk_listen_start" },
	{ 0xa0b3d252, "sk_free_unlock_clone" },
	{ 0xaee3702e, "sock_rfree" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x52fc343e, "skb_set_owner_w" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x61cbc654, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xde163800, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x1dc9c0d1, "dst_release" },
	{ 0xabbcd8d7, "sk_stream_wait_connect" },
	{ 0xd060b2d4, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x38d8f2ef, "inet_csk_destroy_sock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x13a5b16d, "sk_stop_timer" },
	{ 0x9abc3839, "unregister_net_sysctl_table" },
	{ 0xb966764c, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0x1bf14d8a, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x2b9f2455, "inet_csk_listen_stop" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x3e135525, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x345144d1, "skb_dump" },
	{ 0xcf398dfb, "kmem_cache_destroy" },
	{ 0x4a66807e, "inet_csk_complete_hashdance" },
	{ 0x89b18b3b, "release_sock" },
	{ 0x818c5d53, "inet_csk_reqsk_queue_drop" },
	{ 0x9be8622f, "__inet_twsk_schedule" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9777E7B6A5AC712574068C0");
