#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x22948e85, "");
SYMBOL_CRC(is_hsr_master, 0xaa2e457d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x7316ec58, "dev_set_mtu" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc78665ab, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x26497505, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2845fe99, "netdev_update_features" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4366b0cb, "rtnl_link_register" },
	{ 0x24db011a, "genlmsg_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44b842c2, "dev_set_promiscuity" },
	{ 0x9c8faf78, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0xfecb8c8d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7b71fe11, "unregister_netdevice_queue" },
	{ 0x60c6178f, "netlink_ack" },
	{ 0x4ff3c888, "netdev_state_change" },
	{ 0xbc6d2dca, "__pskb_copy_fclone" },
	{ 0xe4c431e4, "ether_setup" },
	{ 0x7e6711e7, "netdev_err" },
	{ 0xffbe3c9c, "netdev_upper_dev_link" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0xc98ba264, "netdev_core_stats_alloc" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe584c2df, "netdev_rx_handler_unregister" },
	{ 0x6d3b1312, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xce3d821c, "netlink_broadcast" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0x447349b9, "skb_copy_expand" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9e464017, "__dev_get_by_index" },
	{ 0xa6c3e25c, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xe929390e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf39a5c4, "netlink_unicast" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x75ab9dea, "dev_get_by_index_rcu" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x8dcbeae8, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0x43647b3b, "skb_push" },
	{ 0x66767fde, "debugfs_remove" },
	{ 0x308120ba, "netdev_upper_dev_unlink" },
	{ 0xd342850f, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xd40bacae, "netif_rx" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x2b610d85, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x2d5680d1, "seq_read" },
	{ 0x162dd717, "debugfs_rename" },
	{ 0x35360b34, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xeef4db4d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb019403, "call_netdevice_notifiers" },
	{ 0x41223fc3, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2c54499f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x742d77d1, "seq_printf" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x8021f8b6, "netif_carrier_on" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4145efcf, "netdev_rx_handler_register" },
	{ 0x6678c0e7, "seq_puts" },
	{ 0xa2ec4229, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbacd115d, "genl_unregister_family" },
	{ 0x4777d8c4, "dev_disable_lro" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0x958328f3, "single_open" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0x6ff11c8a, "genl_register_family" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x864fd989, "netdev_info" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x7c1b5bf0, "register_netdevice" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A305EE1D69C908602F9E65F");
