#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x342cae99, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0x44b1b2c0, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0xa9cd9cbb, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0xa6bf7fc7, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0x4cc14fc0, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0xc29fa242, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x51c5086f, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0xe484fdca, "_gpl");
SYMBOL_CRC(ip_set_test, 0xab3a45d5, "_gpl");
SYMBOL_CRC(ip_set_add, 0xa9e53b5c, "_gpl");
SYMBOL_CRC(ip_set_del, 0x0ae9c038, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x27af3329, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0xaadc9815, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0x27a329b8, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0xc639c73a, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0x9e7803ad, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x1699a7da, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x3a6e4297, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x0fba721c, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6ea3d76, "__netlink_dump_start" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4e8e96e9, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0x7326bdf9, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x476060aa, "nf_register_sockopt" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0xc2171f42, "nfnetlink_subsys_register" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x5a72443e, "lockdep_nfnl_is_held" },
	{ 0x60c6178f, "netlink_ack" },
	{ 0x6b7ad00f, "register_pernet_subsys" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3c4691b2, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9891b50b, "ipv6_skip_exthdr" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0xcecc76da, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa30de34c, "rcu_bh_lock_map" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x3939f2d7, "nfnetlink_unicast" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x5a921311, "strncmp" },
	{ 0xd342850f, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd60db2c8, "ns_capable" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc503e006, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x5d228ce0, "nfnetlink_subsys_unregister" },
	{ 0x2b610d85, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "9E3221C43D61D04A027F2B2");
