#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x2b905759, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xd53ea541, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xa7d6ca97, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xfbf99a18, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x806bb563, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x2566cc89, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xe70aae8d, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x4adbbc6d, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x31f4119d, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xef731ada, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x6f9b60b0, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xaaff9c64, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x76124923, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xc85eb125, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x0664f8a4, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x97cad283, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xed4010ff, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x60042616, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xd4f8b3c1, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x9736b262, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xb39356f5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x62a7d96f, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xb2771ab8, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xc0c1e1f9, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x6f3aba01, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xb0fb2d6e, "_gpl");
SYMBOL_CRC(print_tuple, 0x1cd43727, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xd2c5d12b, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xe1d91284, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x733a2a3f, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x11eea90f, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x787ff21f, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x373e0525, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xf612b1d5, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x27707829, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x3387b94b, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x5d492a09, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xc3940b6e, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xad028c9c, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x489dd8ff, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xf99d7a05, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x014cfe7f, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xaaeb3bd9, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x4c998c94, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x68ec32c6, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xc7a8da14, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x0309e223, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x97394394, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x9ad8f6c7, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xc09df5f5, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x13f47eb0, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xf146539e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x77985f20, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x04712e55, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xb083ec61, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x49d52a4e, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xbbf036da, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xda4dda55, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x49e7e15f, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x5eb8592c, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xcbb925cb, "_gpl");
SYMBOL_CRC(nf_confirm, 0x753e54de, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xcbd3498a, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x4b685ed2, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xfdeffdde, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x2f19f1f1, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xe05ba4fb, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x85675e0c, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xd553df37, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x54f51a1a, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x1457ac64, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x51f67cde, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x673390dc, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x482eb680, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x7efba730, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x75f18956, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x5037a3a3, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xea8e2057, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x07c853c6, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xc1edf399, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x59eaecba, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x8ab44885, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x85b50c74, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xdb86326a, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x050c40b9, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x52cd8adb, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xe2ae27eb, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x911ff3ea, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x3863a798, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xf584718c, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xb04039ed, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xaceb1c8f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b9391d5, "__do_once_done" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x4e8e96e9, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb3e8a9d3, "nf_defrag_ipv4_disable" },
	{ 0x8372e04d, "nf_ip6_checksum" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x16099bce, "proc_dou8vec_minmax" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0xa2a5fac, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xdc019d85, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x476060aa, "nf_register_sockopt" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x21025233, "nfct_btf_struct_access" },
	{ 0xf7eb8ed4, "param_set_uint" },
	{ 0x7a882942, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf3c6a60, "nf_ct_frag6_gather" },
	{ 0xe23d2463, "get_net_ns_by_id" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xcb560e20, "kmem_cache_create" },
	{ 0xeda21fe6, "nf_ct_hook" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xf444ee5, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x6b7ad00f, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc68dd818, "register_net_sysctl_sz" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x3c4691b2, "nf_unregister_sockopt" },
	{ 0x3a01cdac, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x255b0f17, "make_kuid" },
	{ 0x3c57feb, "nf_defrag_ipv6_disable" },
	{ 0x9891b50b, "ipv6_skip_exthdr" },
	{ 0xa5d7481e, "nf_register_net_hooks" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xc8d3970e, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xcecc76da, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x168ed816, "nf_checksum" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xf9316128, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc2045cf4, "kmem_cache_free" },
	{ 0xdb653ca, "seq_putc" },
	{ 0xd342850f, "nla_put" },
	{ 0x240cded9, "nf_checksum_partial" },
	{ 0x7f8ac402, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6addc9bd, "nf_unregister_net_hooks" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xeba1bce5, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc503e006, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8b18856e, "ip_defrag" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xb52fb288, "nf_log_packet" },
	{ 0xca224526, "make_kgid" },
	{ 0x1f4d37e8, "nf_ip_checksum" },
	{ 0x874b5e16, "register_btf_kfunc_id_set" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xad1c5cb8, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0x68ffff81, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa8bdbfdf, "__skb_checksum" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xe7e3a7a7, "proc_set_user" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0x4edc3ac7, "inet_proto_csum_replace4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb0e62f3f, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x742d77d1, "seq_printf" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x44292f8e, "nf_defrag_ipv6_enable" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2bfed471, "proc_dointvec" },
	{ 0x6678c0e7, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe2b14eba, "nf_nat_hook" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x9abc3839, "unregister_net_sysctl_table" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xecee8f93, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xe4096ed5, "pskb_trim_rcsum_slow" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb64cdd73, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcf398dfb, "kmem_cache_destroy" },
	{ 0x89b18b3b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "5EFC91646ADB6A5245684DE");
