#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x5908ec28, "skb_free_datagram" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x53dea1ff, "ax2asc" },
	{ 0x66b81ac5, "ax25_linkfail_register" },
	{ 0xee02e420, "ax25_findbyuid" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc1444946, "ax25cmp" },
	{ 0xb0b24f30, "ax25_display_timer" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x3f940485, "unregister_netdev" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4e7f63a4, "ax25_listen_register" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ede9e26, "ax25_protocol_release" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xe8d1c2b9, "__dev_get_by_name" },
	{ 0x14d9a387, "skb_queue_purge_reason" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0xc68dd818, "register_net_sysctl_sz" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf2e7b82b, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xa83c3ac7, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0x282e9215, "sock_register" },
	{ 0x3ef0cd6a, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0xf2256800, "sk_reset_timer" },
	{ 0x92f1d78c, "proto_register" },
	{ 0xa0cb52ca, "ax25_send_frame" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc1f3c423, "sock_no_shutdown" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf57a2109, "sk_filter_trim_cap" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xe929390e, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242852b9, "ax25_uid_policy" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x8df0165e, "sk_free" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x43647b3b, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x503caa15, "register_netdev" },
	{ 0xd43ecbf1, "null_ax25_address" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29b607fc, "free_netdev" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x11a997a5, "ax25_listen_release" },
	{ 0xeba1bce5, "lock_sock_nested" },
	{ 0x2717937d, "skb_copy_datagram_iter" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x7d2a217, "ax25_find_cb" },
	{ 0xaa22b4b9, "sk_alloc" },
	{ 0x150d0d7f, "__sock_queue_rcv_skb" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x40390b11, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9b127ec2, "sock_no_mmap" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x106b0308, "ax25_register_pid" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x52fc343e, "skb_set_owner_w" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x3c0f3bbf, "skb_recv_datagram" },
	{ 0x633ae06, "ax25_linkfail_release" },
	{ 0x61cbc654, "sock_alloc_send_pskb" },
	{ 0xb0e62f3f, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x742d77d1, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xd060b2d4, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6678c0e7, "seq_puts" },
	{ 0xa8a07f4d, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x13a5b16d, "sk_stop_timer" },
	{ 0x127b4152, "send_sig" },
	{ 0x9abc3839, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4502c65a, "asc2ax" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0x1bf14d8a, "iov_iter_revert" },
	{ 0xd113f30f, "skb_append" },
	{ 0xecc98bfe, "proc_create_seq_private" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd6813394, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x89b18b3b, "release_sock" },
	{ 0x5597d9d6, "skb_queue_head" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "ax25");


MODULE_INFO(srcversion, "D7AD91601786FBD2AAA5717");
