#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x47abdb8b, "");
SYMBOL_CRC(tipc_dump_start, 0x56c14e03, "");
SYMBOL_CRC(tipc_dump_done, 0xd190282f, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0xe255e637, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb793dec1, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x71644d77, "sock_i_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x40fc5620, "bpf_trace_run4" },
	{ 0xda4b86c9, "__rht_bucket_nested" },
	{ 0x7326bdf9, "__nlmsg_put" },
	{ 0x7344405a, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb26f9215, "ip6_dst_hoplimit" },
	{ 0x5e717aa1, "trace_output_call" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x7ed77ee5, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xf836cd6d, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf6abb121, "__ip_dev_find" },
	{ 0x88b243e8, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x76983629, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x24db011a, "genlmsg_put" },
	{ 0xf2858545, "___pskb_trim" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc9668a06, "lockdep_rht_bucket_is_held" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x82fb1cd2, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9d690b2c, "crypto_alloc_aead" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xfecb8c8d, "netdev_warn" },
	{ 0x61e9bde3, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x9b8abd8b, "crypto_aead_decrypt" },
	{ 0xdbd8c860, "kernel_accept" },
	{ 0xb7411b80, "__module_get" },
	{ 0x4182cc5b, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xff593473, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbc6d2dca, "__pskb_copy_fclone" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x6b7ad00f, "register_pernet_subsys" },
	{ 0x95b070d3, "put_cmsg" },
	{ 0xa904b6c1, "lockdep_rht_mutex_is_held" },
	{ 0x14d9a387, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0xc68dd818, "register_net_sysctl_sz" },
	{ 0xfab659f1, "crypto_destroy_tfm" },
	{ 0x22ef882e, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xa83c3ac7, "proto_unregister" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x282e9215, "sock_register" },
	{ 0x70daf8be, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf2256800, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xe1d79225, "skb_try_coalesce" },
	{ 0x92f1d78c, "proto_register" },
	{ 0x447349b9, "skb_copy_expand" },
	{ 0x9ad9bd3e, "__wake_up_sync_key" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0xcecc76da, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd499112c, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9e464017, "__dev_get_by_index" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xc13422f4, "__traceiter_sk_data_ready" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xc991188c, "ipv6_stub" },
	{ 0xe929390e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x478d631f, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xaf39a5c4, "netlink_unicast" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x1e4d44c5, "dev_remove_pack" },
	{ 0x8df0165e, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x9ae20ee3, "kernel_sock_shutdown" },
	{ 0x427bf355, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x43647b3b, "skb_push" },
	{ 0x7a6a9799, "dst_cache_get" },
	{ 0xc646c416, "sock_no_listen" },
	{ 0xd342850f, "nla_put" },
	{ 0x99a001ae, "proc_doulongvec_minmax" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x565c9c98, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf5e42b7e, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd978a5e, "rhashtable_walk_start_check" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xa6a60fa6, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeba1bce5, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2717937d, "skb_copy_datagram_iter" },
	{ 0x231d2047, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xd9d86528, "_raw_spin_trylock_bh" },
	{ 0xaa22b4b9, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0xc503e006, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xf2a376c6, "kfree_skb_partial" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x16a82174, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0x1e9d0d2a, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x9b127ec2, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xd40bacae, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0xa05fc4c6, "rhashtable_destroy" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x54bd8aea, "setup_udp_tunnel_sock" },
	{ 0xa1a588b, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b610d85, "skb_trim" },
	{ 0x40ccb03, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x98ce0703, "bpf_trace_run3" },
	{ 0xfbc20f8b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xaee3702e, "sock_rfree" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7460d0ce, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6524afde, "kernel_listen" },
	{ 0xeef4db4d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0x41d98ea1, "dev_nit_active" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x38d3c7e4, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x14046c9, "dst_cache_set_ip6" },
	{ 0x13857d95, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xafb989e, "udp_tunnel_xmit_skb" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x86b0673e, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x84b935ab, "skb_copy" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x74e7a3ca, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xd060b2d4, "_copy_from_iter" },
	{ 0xac94c006, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x9ed682c3, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xfae06116, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x13a5b16d, "sk_stop_timer" },
	{ 0x9abc3839, "unregister_net_sysctl_table" },
	{ 0xbacd115d, "genl_unregister_family" },
	{ 0xd2eb6247, "from_kuid_munged" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x1bf14d8a, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff11c8a, "genl_register_family" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xe882a0f6, "kernel_sendmsg" },
	{ 0xd6b7406e, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfe68fc6b, "skb_to_sgvec" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x15437646, "rhashtable_walk_exit" },
	{ 0x8df3faf, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xd6813394, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x89b18b3b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "64B19CC8CEFFF056FD0060B");
