#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x2761e7bd, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xaa8b8174, "_gpl");
SYMBOL_CRC(tls_get_record, 0x27a82ee5, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x26907649, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xf3b9622b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa367a129, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe16e4415, "tcp_bpf_sendmsg_redir" },
	{ 0x7dba62e, "flush_dcache_page" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x30628b23, "tcp_read_sock" },
	{ 0x40fc5620, "bpf_trace_run4" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0xae202119, "sk_page_frag_refill" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x297c84a6, "tcp_sendmsg_locked" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb684cf88, "dump_page" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x1b7345cc, "sk_psock_msg_verdict" },
	{ 0x94e7d4e2, "bpf_trace_run6" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4e21cb38, "iov_iter_get_pages2" },
	{ 0xf2858545, "___pskb_trim" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x9e25811c, "__put_devmap_managed_page_refs" },
	{ 0x65400231, "clean_acked_data_enable" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3a4750b0, "skb_splice_bits" },
	{ 0x9d690b2c, "crypto_alloc_aead" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x61e9bde3, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0x9b8abd8b, "crypto_aead_decrypt" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x52a1d212, "sk_stream_error" },
	{ 0x49d2469f, "sk_msg_recvmsg" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x164f821d, "sk_msg_memcopy_from_iter" },
	{ 0x77d6158b, "sk_error_report" },
	{ 0x6b7ad00f, "register_pernet_subsys" },
	{ 0x95b070d3, "put_cmsg" },
	{ 0x6ae24ff0, "__sk_flush_backlog" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0xfab659f1, "crypto_destroy_tfm" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb7927450, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xcbb3c295, "sk_msg_clone" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0xa676950, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xf633bb5a, "iov_iter_extract_pages" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x247708b7, "tcp_recv_skb" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd499112c, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xd21cccf3, "down_write" },
	{ 0xc13422f4, "__traceiter_sk_data_ready" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x606d8142, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x478d631f, "crypto_aead_encrypt" },
	{ 0xd4fc33b, "bpf_trace_run5" },
	{ 0x8df0165e, "sk_free" },
	{ 0xa229877f, "skb_store_bits" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x50d04bf0, "__sk_mem_reclaim" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xb3a080c1, "sk_stream_wait_memory" },
	{ 0xd342850f, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x565c9c98, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa9e91f3f, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xeba1bce5, "lock_sock_nested" },
	{ 0x65822779, "sk_msg_return_zero" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2717937d, "skb_copy_datagram_iter" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x612891c6, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0xc503e006, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xc5e0fbc, "sock_efree" },
	{ 0xc7ca7074, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf5c10f04, "kfree_skb_list_reason" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6fd823e8, "clean_acked_data_disable" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x4b12ee90, "sk_msg_free_partial" },
	{ 0x74a76053, "down_read" },
	{ 0x2b610d85, "skb_trim" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0x70babbc2, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xa392a28f, "tcp_register_ulp" },
	{ 0x98ce0703, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x3bb4b160, "sk_psock_drop" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x89ad258a, "skb_page_frag_refill" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xc745dde0, "sk_msg_free_nocharge" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7babfc81, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4826cef9, "__folio_put" },
	{ 0xb0e62f3f, "remove_proc_entry" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x742d77d1, "seq_printf" },
	{ 0x63306361, "proc_create_net_single" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x1dc9c0d1, "dst_release" },
	{ 0xd060b2d4, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x94e401b6, "skb_copy_header" },
	{ 0x8a927618, "sk_msg_trim" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xe54214dc, "netdev_sk_get_lowest_dev" },
	{ 0x1d2cb6af, "sk_msg_alloc" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x3cb442cb, "_copy_from_iter_nocache" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc4ce6967, "tcp_rate_check_app_limited" },
	{ 0xd676155d, "tcp_poll" },
	{ 0x1bf14d8a, "iov_iter_revert" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xc6eb8cd8, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfe68fc6b, "skb_to_sgvec" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x41143ee6, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x58418d2, "tcp_read_done" },
	{ 0x89b18b3b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1FCA2FCFBD6EDCEF93846FF");
