#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x39581476, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x48cf8d81, "");
SYMBOL_CRC(__bcma_driver_register, 0x1090f9f2, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x0b07f81c, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x60a31005, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xa8894898, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x5224efdd, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xef7ba9ba, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x4d180e1e, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x36c6a466, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x2740d027, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x99b025db, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xac075fc1, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xfba795ad, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x3d785ab7, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xe7a7032d, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x8722b835, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0xc2caae60, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x3848d883, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x9e87ac44, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xab78c370, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xe2c3143f, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xb2579dfb, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x4b546b17, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xbda28c50, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xf2375e36, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1f1e8d1d, "pci_enable_device" },
	{ 0x62511192, "dev_set_name" },
	{ 0xdfaa6cd5, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2b8e22b, "of_address_to_resource" },
	{ 0xaf301092, "device_unregister" },
	{ 0x81721195, "of_platform_default_populate" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x92bed11a, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4023a701, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb850279f, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd0bceb8a, "get_device" },
	{ 0x78f7d8be, "of_irq_parse_one" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0xe4c07516, "pci_unregister_driver" },
	{ 0xcfb48194, "pci_read_config_dword" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa88f7b6b, "of_irq_parse_raw" },
	{ 0xad4b0887, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x43c91cae, "put_device" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x92d1b3d9, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x89786d5b, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x653cdb63, "platform_device_unregister" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x3cc535b8, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xe9bb7dd6, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8b655da, "pci_set_master" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x5109b5d1, "platform_device_register_full" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8378d75d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x78e89b8, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf792ea5f, "pcie_set_readrq" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x43319750, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x17873c52, "of_dma_configure_id" },
	{ 0x2425d9db, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x97c6e93e, "pci_write_config_dword" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x85fa263f, "bus_register" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "051D7BBE22F3855C26086A1");
