#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(extcon_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_state, "_gpl", "");
KSYMTAB_FUNC(extcon_set_state, "_gpl", "");
KSYMTAB_FUNC(extcon_set_state_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_property, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_property_capability, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property_capability, "_gpl", "");
KSYMTAB_FUNC(extcon_get_extcon_dev, "_gpl", "");
KSYMTAB_FUNC(extcon_register_notifier, "_gpl", "");
KSYMTAB_FUNC(extcon_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(extcon_register_notifier_all, "_gpl", "");
KSYMTAB_FUNC(extcon_unregister_notifier_all, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_free, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_register, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_unregister, "_gpl", "");
KSYMTAB_FUNC(extcon_find_edev_by_node, "_gpl", "");
KSYMTAB_FUNC(extcon_get_edev_by_phandle, "_gpl", "");
KSYMTAB_FUNC(extcon_get_edev_name, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_allocate, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_free, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_register, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_register_notifier, "", "");
KSYMTAB_FUNC(devm_extcon_unregister_notifier, "", "");
KSYMTAB_FUNC(devm_extcon_register_notifier_all, "", "");
KSYMTAB_FUNC(devm_extcon_unregister_notifier_all, "", "");

SYMBOL_CRC(extcon_sync, 0x830b547a, "_gpl");
SYMBOL_CRC(extcon_get_state, 0x6abb5ab4, "_gpl");
SYMBOL_CRC(extcon_set_state, 0x8fc1199e, "_gpl");
SYMBOL_CRC(extcon_set_state_sync, 0xd8224297, "_gpl");
SYMBOL_CRC(extcon_get_property, 0xf738d56e, "_gpl");
SYMBOL_CRC(extcon_set_property, 0xc743c15c, "_gpl");
SYMBOL_CRC(extcon_set_property_sync, 0xfb174313, "_gpl");
SYMBOL_CRC(extcon_get_property_capability, 0x2dfb499a, "_gpl");
SYMBOL_CRC(extcon_set_property_capability, 0x00c96aa5, "_gpl");
SYMBOL_CRC(extcon_get_extcon_dev, 0x3a9a42c7, "_gpl");
SYMBOL_CRC(extcon_register_notifier, 0xf67cc56c, "_gpl");
SYMBOL_CRC(extcon_unregister_notifier, 0x5aeadaee, "_gpl");
SYMBOL_CRC(extcon_register_notifier_all, 0x6f583a0e, "_gpl");
SYMBOL_CRC(extcon_unregister_notifier_all, 0x7ede62a0, "_gpl");
SYMBOL_CRC(extcon_dev_free, 0xd891a91f, "_gpl");
SYMBOL_CRC(extcon_dev_register, 0xd497d486, "_gpl");
SYMBOL_CRC(extcon_dev_unregister, 0x6aaf2f9b, "_gpl");
SYMBOL_CRC(extcon_find_edev_by_node, 0xa91ea7ea, "_gpl");
SYMBOL_CRC(extcon_get_edev_by_phandle, 0xb0a27434, "_gpl");
SYMBOL_CRC(extcon_get_edev_name, 0x0b7371be, "_gpl");
SYMBOL_CRC(devm_extcon_dev_allocate, 0x1cce436b, "_gpl");
SYMBOL_CRC(devm_extcon_dev_free, 0x0db2f1e8, "_gpl");
SYMBOL_CRC(devm_extcon_dev_register, 0x866eb3e7, "_gpl");
SYMBOL_CRC(devm_extcon_dev_unregister, 0x6d5093f9, "_gpl");
SYMBOL_CRC(devm_extcon_register_notifier, 0xa048b1e5, "");
SYMBOL_CRC(devm_extcon_unregister_notifier, 0x7c233e69, "");
SYMBOL_CRC(devm_extcon_register_notifier_all, 0xff8cb145, "");
SYMBOL_CRC(devm_extcon_unregister_notifier_all, 0x811ed3ce, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0x297087eb, "of_node_put" },
	{ 0x62511192, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x30318a42, "device_match_of_node" },
	{ 0xaf301092, "device_unregister" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcd2f24ad, "class_destroy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd0bceb8a, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0xb85c2733, "devres_add" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x43c91cae, "put_device" },
	{ 0xac221bd7, "devres_release" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xa9d1ccc5, "kobject_uevent_env" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xb872726a, "__of_parse_phandle_with_args" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6aeb9e1e, "class_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xa5da5b6b, "__devres_alloc_node" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8a0c5bb4, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x7bdfb667, "kobject_uevent" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C3D21868AD380189738579");
