#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(scmi_protocol_register, "_gpl", "");
KSYMTAB_FUNC(scmi_protocol_unregister, "_gpl", "");

SYMBOL_CRC(scmi_protocol_register, 0x06b6a9d9, "_gpl");
SYMBOL_CRC(scmi_protocol_unregister, 0x93caa165, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x3b7b1f6f, "debugfs_create_str" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xba51ae25, "mbox_send_message" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x4e8e96e9, "try_module_get" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbbc1c110, "devres_release_group" },
	{ 0x7344405a, "idr_find" },
	{ 0x2fc389cd, "bus_unregister_notifier" },
	{ 0xcb178ba0, "devres_close_group" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0x297087eb, "of_node_put" },
	{ 0x1d3659bc, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1e8b3a3, "platform_driver_unregister" },
	{ 0x8d258dbd, "mbox_free_channel" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x2b8e22b, "of_address_to_resource" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x6d467b08, "arm_smccc_1_1_get_conduit" },
	{ 0x94e7d4e2, "bpf_trace_run6" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1ed3888c, "devm_ioremap" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x6e2dfa1, "scmi_bus_type" },
	{ 0xbcf286ea, "of_node_get" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xfa697d30, "of_get_next_available_child" },
	{ 0xd8a609d, "scmi_device_create" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xb85c2733, "devres_add" },
	{ 0xeabb2a8b, "blocking_notifier_chain_register" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x843f04ac, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xac221bd7, "devres_release" },
	{ 0x9c44df28, "bus_register_notifier" },
	{ 0x93228d66, "idr_get_next" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0xcecc76da, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xa87b95bb, "devm_bitmap_zalloc" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0x919da13, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x9de247c2, "debugfs_create_bool" },
	{ 0xb872726a, "__of_parse_phandle_with_args" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0xd4fc33b, "bpf_trace_run5" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x66767fde, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xa5da5b6b, "__devres_alloc_node" },
	{ 0x6870fbc6, "mbox_client_txdone" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0xb2a6539, "devres_open_group" },
	{ 0xe561489, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xd8b5535b, "mbox_request_channel" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xe15f9efc, "bpf_trace_run9" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x36e02d7a, "debugfs_create_u32" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xffc7e607, "scmi_requested_devices_nh" },
	{ 0x6ea3d476, "__platform_driver_register" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xea47fcd6, "idr_for_each" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x14fb66d5, "blocking_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xc8a088dd, "of_device_is_compatible" },
	{ 0x1cb36758, "scmi_device_destroy" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x2ae2a249, "of_irq_get_byname" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb519f82c, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3d93c7c2, "__arm_smccc_sve_check" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc223c074, "of_count_phandle_with_args" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xbd60050e, "__devm_add_action" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xa464f7f7, "of_device_get_match_data" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0xcc36ef45, "try_wait_for_completion" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd89265c2, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "scmi-core");

MODULE_ALIAS("of:N*T*Carm,scmi");
MODULE_ALIAS("of:N*T*Carm,scmiC*");
MODULE_ALIAS("of:N*T*Carm,scmi-smc");
MODULE_ALIAS("of:N*T*Carm,scmi-smcC*");
MODULE_ALIAS("of:N*T*Carm,scmi-smc-param");
MODULE_ALIAS("of:N*T*Carm,scmi-smc-paramC*");

MODULE_INFO(srcversion, "00CEBED2CE2EC5D4E3B7E82");
