#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(of_drm_find_bridge, "", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_width, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_height, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_debug, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_gpuva_manager_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_manager_destroy, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_gem_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(of_drm_find_panel, "", "");
KSYMTAB_FUNC(of_drm_get_panel_orientation, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_of_crtc_port_mask, "", "");
KSYMTAB_FUNC(drm_of_find_possible_crtcs, "", "");
KSYMTAB_FUNC(drm_of_component_match_add, "_gpl", "");
KSYMTAB_FUNC(drm_of_component_probe, "", "");
KSYMTAB_FUNC(drm_of_encoder_active_endpoint, "_gpl", "");
KSYMTAB_FUNC(drm_of_find_panel_or_bridge, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_data_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count_ep, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_dsi_bus, "_gpl", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(__drm_set_edid_firmware_path, "", "");
KSYMTAB_FUNC(__drm_get_edid_firmware_path, "", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x0f0d04a3, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x05aee798, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x600fb603, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xab3945bb, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x3a7afff6, "");
SYMBOL_CRC(drm_atomic_state_init, 0xd946ecc9, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x6a5651e6, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x9488c166, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x75fad7f6, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x8af2fc80, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0xd0bf2166, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x73195028, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x4be02419, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xc5f1bf83, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x4d654058, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xcc14024f, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0xbd57fd4d, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x3c26bf5a, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x50592fe0, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x5a0b87f2, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xf51ae4dc, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x073eaf98, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x21edca30, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xd25ee9d0, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xa719d30b, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x79233b94, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xff1f1598, "");
SYMBOL_CRC(drm_atomic_check_only, 0x43076a91, "");
SYMBOL_CRC(drm_atomic_commit, 0x16763ec5, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xfab1e2d1, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x8d87466e, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xce5eb0cf, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x5ec37258, "");
SYMBOL_CRC(drm_state_dump, 0x544e2af5, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x97d69aa3, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x28f3e206, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xb8516015, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x939249ab, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xdad36489, "");
SYMBOL_CRC(drm_is_current_master, 0xcef18db7, "");
SYMBOL_CRC(drm_master_get, 0xea8aaf8b, "");
SYMBOL_CRC(drm_file_get_master, 0x9b7c4ab0, "");
SYMBOL_CRC(drm_master_put, 0x12fe5bc7, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x6852feac, "");
SYMBOL_CRC(drm_master_internal_release, 0xb775b6a5, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x0825719a, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x2e699b04, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xf13ec827, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xbdf42346, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x22219287, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x313d2b13, "");
SYMBOL_CRC(drm_bridge_add, 0xbb25c204, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x28a434ce, "");
SYMBOL_CRC(drm_bridge_remove, 0x05b35970, "");
SYMBOL_CRC(drm_bridge_attach, 0x56323642, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x2c0185dd, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x7b6231ef, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x8de05b1f, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x82f4dc85, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x83c55a52, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x167f8905, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x8456b29d, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x4dae0e09, "");
SYMBOL_CRC(drm_bridge_detect, 0xa33015df, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xaa8974db, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xb3283200, "_gpl");
SYMBOL_CRC(drm_bridge_get_edid, 0xbedc5ba7, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0xb64c3819, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xdaf62d5f, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xec4f4798, "_gpl");
SYMBOL_CRC(of_drm_find_bridge, 0xc34880f3, "");
SYMBOL_CRC(drm_clflush_pages, 0xcde207cb, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x9daecd76, "");
SYMBOL_CRC(drm_client_register, 0x88d58103, "");
SYMBOL_CRC(drm_client_release, 0x27374318, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xa1607354, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x35eb8f7d, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x85c19d36, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0xc00c256b, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x791ae2ae, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xf3b03ef8, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x1e40e36b, "");
SYMBOL_CRC(drm_client_rotation, 0xcef96b0e, "");
SYMBOL_CRC(drm_client_modeset_check, 0xa512f5a9, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x1a18f37f, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x76a3d2bf, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x1ffcd5bc, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xa6a9f4b4, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x5ef5b6bf, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x716553f9, "");
SYMBOL_CRC(drm_color_lut_check, 0x5fb3da32, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x6e2c5025, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x36f6bfde, "");
SYMBOL_CRC(drmm_connector_init, 0xa4cc077a, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x982c253b, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xc6f310bb, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x5b83827b, "");
SYMBOL_CRC(drm_connector_cleanup, 0x9cd1c670, "");
SYMBOL_CRC(drm_connector_register, 0x03c9565c, "");
SYMBOL_CRC(drm_connector_unregister, 0x8f4a27f5, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x0eaa9374, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x3eb054ba, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x6c0f3a31, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0x7c0d9cad, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xd4a78cf5, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x4624b9e2, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0xe07ea725, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x2063a220, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x22f224f4, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xde7b0799, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xf90e3dbe, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x34382d61, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x4e8e968a, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x06eb3d6d, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x045af229, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x0c7f57d4, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x402aec2e, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x45df6db0, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0xdd53140e, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xa5f35074, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0xb6b419bf, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xa411fdfc, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0xe481d5b5, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x68a16524, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x71664f39, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xf327c398, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xccf500f8, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x5d0c3bb2, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xc6ad2b6b, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xafd4c554, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xbe513ac5, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x5fe7087f, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x876c144a, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x5eb2767d, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xc63a2991, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xf84e4f9d, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x1461a538, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xaa63c0d1, "");
SYMBOL_CRC(drm_crtc_from_index, 0x1cf6e1bf, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x5d7ff518, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x235177d4, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x6d2375b7, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x32f1fe4e, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xa32ed488, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x514f1960, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x17622764, "");
SYMBOL_CRC(drm_put_dev, 0xafc8a075, "");
SYMBOL_CRC(drm_dev_enter, 0x3665d602, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x13b667f8, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x3df8c42b, "");
SYMBOL_CRC(drm_dev_alloc, 0x36e1c9bc, "");
SYMBOL_CRC(drm_dev_get, 0x83b2a168, "");
SYMBOL_CRC(drm_dev_put, 0x2d8bc079, "");
SYMBOL_CRC(drm_dev_register, 0xff2011b6, "");
SYMBOL_CRC(drm_dev_unregister, 0x085e9dce, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x24993e50, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0x8d72789e, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x200875aa, "");
SYMBOL_CRC(drm_do_get_edid, 0x6e498d28, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x4489a5e9, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xedd6095a, "");
SYMBOL_CRC(drm_get_edid, 0x6855df2e, "");
SYMBOL_CRC(drm_edid_read_custom, 0xb0792719, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x6d438dd3, "");
SYMBOL_CRC(drm_edid_read, 0x9deb9f56, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x363b2b73, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x6b370c6f, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x070cbf57, "");
SYMBOL_CRC(drm_edid_duplicate, 0x7edf470b, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x615dc996, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0xe22e3065, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x7c545285, "");
SYMBOL_CRC(drm_edid_to_sad, 0x6ac01ea8, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3cdc37e9, "");
SYMBOL_CRC(drm_av_sync_delay, 0xfeb90a75, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0x38690d99, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xa248afde, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xd9d65bed, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x8fd5c3f8, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x222d7e2f, "");
SYMBOL_CRC(drm_add_edid_modes, 0x0c8f24fc, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x0243dd6a, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x9bf78118, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xeaec4e7b, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xa322e05f, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x5a93c135, "");
SYMBOL_CRC(drm_encoder_init, 0x42ed8ddd, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x0a2f5150, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0xa62f39e8, "");
SYMBOL_CRC(drmm_encoder_init, 0x93b0175d, "");
SYMBOL_CRC(drm_open, 0x88a9b65f, "");
SYMBOL_CRC(drm_release, 0xbd696a82, "");
SYMBOL_CRC(drm_release_noglobal, 0x98d119c5, "");
SYMBOL_CRC(drm_read, 0xfab5912d, "");
SYMBOL_CRC(drm_poll, 0xa74968d4, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x661bb394, "");
SYMBOL_CRC(drm_event_reserve_init, 0x2b3760b4, "");
SYMBOL_CRC(drm_event_cancel_free, 0x4f0a21ad, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xf356f0d6, "");
SYMBOL_CRC(drm_send_event_locked, 0x5e08f3a8, "");
SYMBOL_CRC(drm_send_event, 0x2f25a4ac, "");
SYMBOL_CRC(drm_print_memory_stats, 0x16b809c8, "");
SYMBOL_CRC(drm_show_memory_stats, 0x01ff67da, "");
SYMBOL_CRC(drm_show_fdinfo, 0x86fe647e, "");
SYMBOL_CRC(mock_drm_getfile, 0x5f3959b8, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x97158733, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0xf120261a, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xfd0af01f, "");
SYMBOL_CRC(drm_framebuffer_init, 0x44859dac, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xe3445396, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0xe78fd49d, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xc81b0c4e, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x0d81e23a, "");
SYMBOL_CRC(drm_framebuffer_plane_width, 0x28aed2f5, "");
SYMBOL_CRC(drm_framebuffer_plane_height, 0x7a484e01, "");
SYMBOL_CRC(drm_gem_object_init, 0x27df4b8f, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x349a203a, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xd0533355, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x0c76a00f, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xd5df497a, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xd0abe9a6, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xa49b1eab, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x091d6fc7, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xca1f9485, "");
SYMBOL_CRC(drm_gem_get_pages, 0x75d39293, "");
SYMBOL_CRC(drm_gem_put_pages, 0x0f8597fb, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x66dd1bbc, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x9703ff5d, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x45f1ea0f, "");
SYMBOL_CRC(drm_gem_object_release, 0xb6154dc2, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xf3b1ac2d, "");
SYMBOL_CRC(drm_gem_vm_close, 0x482c00ce, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xfab1d015, "");
SYMBOL_CRC(drm_gem_mmap, 0xbbd23fa7, "");
SYMBOL_CRC(drm_gem_vmap, 0x00d213c4, "");
SYMBOL_CRC(drm_gem_vunmap, 0x515f3c8f, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x35299bee, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x67ab26ae, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xa2960f0f, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x6241d306, "");
SYMBOL_CRC(drm_gem_lru_init, 0x6057d2f7, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xe40730a1, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xd8e5e3aa, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x9ab25759, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x0fbf4b7b, "");
SYMBOL_CRC(drm_gem_evict, 0xe9625b56, "");
SYMBOL_CRC(drm_noop, 0x6815fd20, "");
SYMBOL_CRC(drm_invalid_op, 0x86b5f17f, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x49f8c3a1, "");
SYMBOL_CRC(drm_ioctl, 0x2d46dd37, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x1c56474c, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x5a8681ef, "");
SYMBOL_CRC(drmm_kmalloc, 0x16b6c074, "");
SYMBOL_CRC(drmm_kstrdup, 0x880079e9, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x0d2fd973, "");
SYMBOL_CRC(__drmm_mutex_release, 0x8cd7ca7c, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x0f7acb66, "");
SYMBOL_CRC(drm_mode_config_reset, 0x063398ad, "");
SYMBOL_CRC(drmm_mode_config_init, 0x63ff1be0, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x6587cbd7, "");
SYMBOL_CRC(drm_mode_object_find, 0x018bf322, "");
SYMBOL_CRC(drm_mode_object_put, 0x6b29e8b0, "");
SYMBOL_CRC(drm_mode_object_get, 0xa7856ba4, "");
SYMBOL_CRC(drm_object_attach_property, 0x173bda3d, "");
SYMBOL_CRC(drm_object_property_set_value, 0x369f0f4e, "");
SYMBOL_CRC(drm_object_property_get_value, 0x39d9d83d, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x09c891c8, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xf34d9d9b, "");
SYMBOL_CRC(drm_mode_destroy, 0x79944177, "");
SYMBOL_CRC(drm_mode_probed_add, 0x24e89726, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x3727e8c4, "");
SYMBOL_CRC(drm_cvt_mode, 0xa7eee41d, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xf115250c, "");
SYMBOL_CRC(drm_gtf_mode, 0xbc3ca7d0, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x43776529, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xcc04897c, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xffc0d1e1, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x8f38ac0b, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xe3347bd1, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x3ca2cbb5, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x7bb79926, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe3ac15d5, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xdd3c6afa, "");
SYMBOL_CRC(drm_mode_is_420, 0xdb320a08, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x09409f60, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x8660b761, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xaecee287, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x97a8b2f2, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xb731a481, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xfc78ad77, "");
SYMBOL_CRC(drm_modeset_backoff, 0xceec61d9, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x8e06d5cc, "");
SYMBOL_CRC(drm_modeset_lock, 0xa4a6e61e, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xc6b71e77, "");
SYMBOL_CRC(drm_modeset_unlock, 0xb4493f02, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0xb9d6325b, "");
SYMBOL_CRC(drm_universal_plane_init, 0x88644fbd, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x5490312d, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xb3eea8d9, "");
SYMBOL_CRC(drm_plane_cleanup, 0x230f3f99, "");
SYMBOL_CRC(drm_plane_from_index, 0x2928fc50, "");
SYMBOL_CRC(drm_plane_force_disable, 0xd587d01a, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x8deccacb, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x4b6acf07, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xa8b7d4ae, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x67115af1, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x6b0f1ebb, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xef46815c, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xc941badb, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x8a0d25fa, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x9d99df75, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x5c10d613, "");
SYMBOL_CRC(drm_gem_map_attach, 0xe09d4bb0, "");
SYMBOL_CRC(drm_gem_map_detach, 0xea37c867, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xb3c85d0f, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x942ae7eb, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x0485097e, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x70d78bc5, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xc1564ea2, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x7221453e, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x3e4f001f, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x9267b04c, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xa4c00be4, "");
SYMBOL_CRC(drm_gem_prime_import, 0x23b35c54, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0xc4f379db, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x48fd2ea3, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x3b0e5e9c, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xea00fe81, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x513072fe, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0xfeb953b1, "");
SYMBOL_CRC(__drm_printfn_info, 0xe317082a, "");
SYMBOL_CRC(__drm_printfn_debug, 0xf824c7db, "");
SYMBOL_CRC(__drm_printfn_err, 0x3f405489, "");
SYMBOL_CRC(drm_puts, 0x521ad6d0, "");
SYMBOL_CRC(drm_printf, 0x28779e52, "");
SYMBOL_CRC(drm_print_bits, 0x32a0cc37, "");
SYMBOL_CRC(drm_dev_printk, 0xfc03b8ea, "");
SYMBOL_CRC(__drm_dev_dbg, 0xfb3b712b, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xa46fbf13, "");
SYMBOL_CRC(drm_property_create, 0x9762c73e, "");
SYMBOL_CRC(drm_property_create_enum, 0x05a4da7b, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x31652f5a, "");
SYMBOL_CRC(drm_property_create_range, 0x1a96b584, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xec5e30e9, "");
SYMBOL_CRC(drm_property_create_object, 0xea722954, "");
SYMBOL_CRC(drm_property_create_bool, 0x737844f5, "");
SYMBOL_CRC(drm_property_add_enum, 0x0f25c518, "");
SYMBOL_CRC(drm_property_destroy, 0x0bb5a40d, "");
SYMBOL_CRC(drm_property_create_blob, 0x1b60e17a, "");
SYMBOL_CRC(drm_property_blob_put, 0xc80cadf3, "");
SYMBOL_CRC(drm_property_blob_get, 0x6308b61e, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x502792e4, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x15c434c0, "");
SYMBOL_CRC(drm_property_replace_blob, 0xb52e0e13, "");
SYMBOL_CRC(drm_syncobj_find, 0x94888ffa, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xe1e3d190, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xbcb4ceb8, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x2daed3f5, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x0874ec0b, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0xa9e31bcc, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xb5b92110, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x7160ae36, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x0b2f4303, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x2762c64d, "");
SYMBOL_CRC(drm_class_device_register, 0xc8f9e76c, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x4101f448, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x06b1aeab, "");
SYMBOL_CRC(drm_vblank_init, 0xaffeede6, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x556662ed, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x9db72834, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x413317ae, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x10c9c664, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xa3a4c38c, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x0df7a02d, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xd04b0950, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x6d48d9b9, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x75ea7deb, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0xa0d57e26, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xe25a9981, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x567dbec9, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x74c89a49, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x11fc6fb1, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xf3303a91, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x63ef9574, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x795a487b, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x93c4fab2, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x54dea9c3, "");
SYMBOL_CRC(drm_handle_vblank, 0x3a4fd004, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x48cef79e, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x9bbe9c27, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x6e5a1218, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xddf227f6, "");
SYMBOL_CRC(drm_vblank_work_init, 0xd436ac48, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x6689cb55, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0xae5a2b59, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xbea1e421, "");
SYMBOL_CRC(drm_vma_offset_add, 0x0a1b2eb5, "");
SYMBOL_CRC(drm_vma_offset_remove, 0xb29cd39a, "");
SYMBOL_CRC(drm_vma_node_allow, 0xd0985040, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x68f209f8, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xb9f76fb3, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x988f1543, "");
SYMBOL_CRC(drm_gpuva_manager_init, 0x1cb3bfc6, "_gpl");
SYMBOL_CRC(drm_gpuva_manager_destroy, 0x38a78318, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x88848dd8, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xf372d94a, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xea2a10ab, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xea059b59, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0xe5e40064, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x8522966f, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0xd4864fab, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x7d1b81e3, "_gpl");
SYMBOL_CRC(drm_gpuva_interval_empty, 0x6603860c, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x369b4b76, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0xf30eebd6, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x4bb4f198, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map, 0x6d67167a, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap, 0x4b961093, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map_ops_create, 0x607e01cb, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap_ops_create, 0xb6efd85d, "_gpl");
SYMBOL_CRC(drm_gpuva_prefetch_ops_create, 0x3901d4f6, "_gpl");
SYMBOL_CRC(drm_gpuva_gem_unmap_ops_create, 0x8b1118c6, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0xb5cbee58, "_gpl");
SYMBOL_CRC(drm_writeback_connector_init, 0xad7e575e, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xd905b81c, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x54cf2153, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xf33c5730, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xd6d964d3, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x6f78a1cd, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xf7e2bd16, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0xdc5fc1e4, "");
SYMBOL_CRC(drm_panel_init, 0x132e5175, "");
SYMBOL_CRC(drm_panel_add, 0x494d6022, "");
SYMBOL_CRC(drm_panel_remove, 0xff9ba7eb, "");
SYMBOL_CRC(drm_panel_prepare, 0x05c98f95, "");
SYMBOL_CRC(drm_panel_unprepare, 0xc4f574bb, "");
SYMBOL_CRC(drm_panel_enable, 0x07097352, "");
SYMBOL_CRC(drm_panel_disable, 0xcfd54bf6, "");
SYMBOL_CRC(drm_panel_get_modes, 0x360150e5, "");
SYMBOL_CRC(of_drm_find_panel, 0xd0ebbbf0, "");
SYMBOL_CRC(of_drm_get_panel_orientation, 0x54d710ff, "");
SYMBOL_CRC(drm_is_panel_follower, 0x58c6a66e, "");
SYMBOL_CRC(drm_panel_add_follower, 0x1c1b9dca, "");
SYMBOL_CRC(drm_panel_remove_follower, 0xe2412608, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x53a11661, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x0df542b1, "");
SYMBOL_CRC(drm_of_crtc_port_mask, 0xea7bf85d, "");
SYMBOL_CRC(drm_of_find_possible_crtcs, 0x653d4d49, "");
SYMBOL_CRC(drm_of_component_match_add, 0xb2281283, "_gpl");
SYMBOL_CRC(drm_of_component_probe, 0xb7f78aa3, "");
SYMBOL_CRC(drm_of_encoder_active_endpoint, 0x82dbad70, "_gpl");
SYMBOL_CRC(drm_of_find_panel_or_bridge, 0x467df87c, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order, 0x81d612de, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_data_mapping, 0x89334c6e, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count, 0x9f5e0b9d, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count_ep, 0x7256c3b2, "_gpl");
SYMBOL_CRC(drm_of_get_dsi_bus, 0x104d015b, "_gpl");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xdf197d8d, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xf7928b7f, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x14efd658, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x6739511f, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xa88805e0, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x752f35af, "_gpl");
SYMBOL_CRC(__drm_set_edid_firmware_path, 0x31b8a5e3, "");
SYMBOL_CRC(__drm_get_edid_firmware_path, 0x03c63897, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x4e8e96e9, "try_module_get" },
	{ 0x18116564, "anon_inode_getfile" },
	{ 0x2dfdd0f5, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x654c7f6c, "alloc_anon_inode" },
	{ 0x286cae93, "show_class_attr_string" },
	{ 0x79e287e5, "kthread_cancel_work_sync" },
	{ 0x428479f, "is_acpi_device_node" },
	{ 0x5dbc6011, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3a4d737a, "kthread_flush_work" },
	{ 0x40fc5620, "bpf_trace_run4" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x7344405a, "idr_find" },
	{ 0xe8d31da8, "param_ops_ulong" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x297087eb, "of_node_put" },
	{ 0x1d3659bc, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x527a5ad8, "shmem_read_folio_gfp" },
	{ 0xb7b188da, "__folio_batch_release" },
	{ 0x62511192, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd091b1c7, "component_master_add_with_match" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x3400fa19, "dma_resv_init" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xe92d9bcf, "dma_resv_wait_timeout" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xaf301092, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0xe88ba99a, "kthread_flush_worker" },
	{ 0x53df7429, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x30412ff8, "request_firmware" },
	{ 0xcd2f24ad, "class_destroy" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0x82434120, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x392e013c, "idr_replace" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x452abbbd, "ww_mutex_unlock" },
	{ 0x4023a701, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x2fa77c5b, "fd_install" },
	{ 0xcebb21f4, "dma_fence_chain_ops" },
	{ 0xe7b249a8, "of_graph_parse_endpoint" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb42acbc, "component_del" },
	{ 0x8d65fecb, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f768806, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa37944a7, "iput" },
	{ 0x9c8faf78, "seq_lseek" },
	{ 0xbcf286ea, "of_node_get" },
	{ 0xc7c57f4a, "of_graph_get_remote_port_parent" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xc74cdcd7, "of_graph_get_remote_port" },
	{ 0xbbff4ca6, "dma_buf_unmap_attachment_unlocked" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xa6918488, "dma_fence_add_callback" },
	{ 0x55678d16, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd0bceb8a, "get_device" },
	{ 0xea8131af, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x58ac6bb3, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8f61b14e, "of_graph_get_endpoint_by_regs" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x4ffa4272, "wake_up_process" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0xea43dabf, "dma_buf_map_attachment_unlocked" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x74c7bffa, "stack_trace_snprint" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x15cd2dc1, "dma_resv_reset_max_fences" },
	{ 0xc599877f, "ww_mutex_trylock" },
	{ 0x932af16, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x579ed676, "devm_of_find_backlight" },
	{ 0xad4b0887, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x37d7029, "dma_max_mapping_size" },
	{ 0x43c91cae, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x5cc918e2, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0xc721ebc9, "kthread_queue_work" },
	{ 0x93228d66, "idr_get_next" },
	{ 0xc624b289, "debug_check_no_locks_freed" },
	{ 0xf23137f5, "dma_fence_remove_callback" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0xbc188c8c, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5b7a631e, "atomic_dec_and_mutex_lock" },
	{ 0xcecc76da, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x5a4acd0, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0xfb1391ce, "dma_fence_chain_walk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x44bcaf91, "__task_pid_nr_ns" },
	{ 0xa9d1ccc5, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc11c2a7e, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd1426a9b, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xf26f53de, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x89786d5b, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb872726a, "__of_parse_phandle_with_args" },
	{ 0xf87b84aa, "sysfs_remove_link" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x38feb94c, "pid_task" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98b7ea66, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x58802f59, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x55bb0b6a, "noop_llseek" },
	{ 0xc2b0aff4, "dma_fence_signal" },
	{ 0xcaa8862, "folio_mark_accessed" },
	{ 0x58eee597, "dma_resv_fini" },
	{ 0x6aeb9e1e, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xb03c41a7, "dma_buf_get" },
	{ 0x66767fde, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x19ef33f8, "aperture_remove_conflicting_pci_devices" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x1111b1e9, "ww_mutex_lock" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd1f47997, "of_property_count_elems_of_size" },
	{ 0x2f201b9f, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x26080ef9, "dma_buf_fd" },
	{ 0xe561489, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f019506, "of_find_property" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x801d406f, "of_graph_get_next_endpoint" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x1c13d747, "of_device_is_available" },
	{ 0x3e48fa6b, "dma_fence_init" },
	{ 0xae89ea93, "of_graph_get_remote_node" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x8a0c5bb4, "device_register" },
	{ 0x41b638b0, "device_del" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0xee7beb0b, "sg_alloc_table_from_pages_segment" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x9c20a91c, "unregister_acpi_bus_type" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x8920b89, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6bd1aa56, "stack_trace_save" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xc40aabe4, "component_release_of" },
	{ 0x95840665, "devm_aperture_acquire_for_platform_device" },
	{ 0xe46d563b, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x61ec08eb, "check_move_unevictable_folios" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x98ce0703, "bpf_trace_run3" },
	{ 0x2d5680d1, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xea47fcd6, "idr_for_each" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x35360b34, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x913ebd32, "stack_depot_save" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xfa443594, "of_find_mipi_dsi_host_by_node" },
	{ 0x66c7f0a, "dma_map_sgtable" },
	{ 0x9eb23f68, "kthread_destroy_worker" },
	{ 0xd1ae4732, "component_match_add_release" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xb2d880b6, "__dma_fence_unwrap_merge" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5ba2776f, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x801e52f4, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2069f345, "seq_write" },
	{ 0x4154d96c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb519f82c, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x742d77d1, "seq_printf" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x44b14548, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x51a0bc1, "stack_depot_fetch" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x69cc79b8, "i2c_transfer" },
	{ 0xd9461169, "dma_fence_allocate_private_stub" },
	{ 0xfaf3217, "dma_buf_detach" },
	{ 0xe6119936, "dma_fence_signal_timestamp" },
	{ 0x55c2b96b, "dma_fence_chain_init" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6678c0e7, "seq_puts" },
	{ 0xa2ec4229, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x5dbf79d9, "pid_vnr" },
	{ 0xcc132911, "sched_set_fifo" },
	{ 0x518e29da, "of_node_name_eq" },
	{ 0x439b2552, "simple_release_fs" },
	{ 0xb8d8fcdd, "dma_unmap_sg_attrs" },
	{ 0xa5a3cd40, "kill_anon_super" },
	{ 0xd2eb6247, "from_kuid_munged" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xbd60050e, "__devm_add_action" },
	{ 0x81188c30, "match_string" },
	{ 0x200371f1, "component_add" },
	{ 0xfcde64bd, "dma_resv_test_signaled" },
	{ 0x635e0fa2, "srcu_check_nmi_safety" },
	{ 0xa993c729, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc07504e8, "reservation_ww_class" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0x8e7b66c1, "dma_fence_chain_find_seqno" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0xd74b1f9c, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x958328f3, "single_open" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x9db744db, "sync_file_get_fence" },
	{ 0x4a386a6a, "put_pid" },
	{ 0x10d9f317, "stack_depot_init" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85bda9cc, "__dev_fwnode" },
	{ 0x19e35d4f, "pci_bus_type" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xe0bf919f, "class_remove_file_ns" },
	{ 0xd377cc2c, "simple_pin_fs" },
	{ 0x24f04879, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F46F56DF168647C05BF75B1");
