#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0xd626a916, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x23c5ffbc, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x83cdde62, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x33e2db0c, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x94713b2f, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xf463f05c, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x7abdf798, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xa4c11a48, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x9a25545c, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x0f060513, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x4d6d9167, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x57811f30, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x3a6b2f90, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xcf3cc20a, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xfcd14e59, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88d58103, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4e8e96e9, "try_module_get" },
	{ 0x307ea3, "drm_fb_helper_init" },
	{ 0xa2c701f5, "drm_fb_helper_debug_enter" },
	{ 0x1ba6c44a, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x35eb8f7d, "drm_client_buffer_vmap" },
	{ 0x1474ab36, "drm_fb_helper_lastclose" },
	{ 0xba798845, "drm_fb_helper_setcmap" },
	{ 0x31d5b90a, "drm_fb_helper_alloc_info" },
	{ 0x900cb9ec, "drm_helper_disable_unused_functions" },
	{ 0xfbedd3d2, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc1564ea2, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x47c91962, "drm_fb_helper_fini" },
	{ 0x1061d141, "dma_mmap_pages" },
	{ 0x791ae2ae, "drm_client_framebuffer_delete" },
	{ 0x6a7813cc, "dma_free_pages" },
	{ 0xc00c256b, "drm_client_framebuffer_create" },
	{ 0xaf4a6b71, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f768806, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x343f901d, "drm_fb_helper_fill_info" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xca1f9485, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x27df4b8f, "drm_gem_object_init" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0xb22f72f1, "drm_fb_helper_hotplug_event" },
	{ 0x1d0c012f, "fb_sys_write" },
	{ 0xcd845f95, "sys_imageblit" },
	{ 0x1d452f84, "drm_atomic_helper_damage_iter_init" },
	{ 0xfec627a2, "drm_fb_helper_blank" },
	{ 0x72a2237e, "dma_alloc_pages" },
	{ 0x349a203a, "drm_gem_private_object_init" },
	{ 0x74f6c621, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xec0d780b, "sys_fillrect" },
	{ 0xcecc76da, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x9daecd76, "drm_client_init" },
	{ 0x482c00ce, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf3b1ac2d, "drm_gem_vm_open" },
	{ 0x7686674c, "drm_fb_helper_prepare" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb6154dc2, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xc24ec197, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd0abe9a6, "drm_gem_handle_create" },
	{ 0x55fdf30a, "drm_gem_fb_get_obj" },
	{ 0xfb3b712b, "__drm_dev_dbg" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8e04a8ec, "drm_fb_helper_pan_display" },
	{ 0x27374318, "drm_client_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x7fc9fade, "sys_copyarea" },
	{ 0xd65a5549, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x85c19d36, "drm_client_buffer_vunmap" },
	{ 0x8e4b4060, "fb_sys_read" },
	{ 0xfb60248d, "drm_fb_helper_debug_leave" },
	{ 0x7a00dd84, "dma_buf_vmap_unlocked" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x32232d2f, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x133a9457, "dma_get_sgtable_attrs" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xb3bc780d, "drm_fb_helper_initial_config" },
	{ 0x8dbe2be0, "drm_fb_helper_unregister_info" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xc4e7cef8, "drm_fb_helper_ioctl" },
	{ 0xf66ca3a3, "drm_fb_helper_set_par" },
	{ 0x48fd2ea3, "drm_prime_gem_destroy" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");
