#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_fault, 0x11a5ad1d, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x96320c4a, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x65ed3e6f, "");
SYMBOL_CRC(drm_sched_stop, 0xe2093352, "");
SYMBOL_CRC(drm_sched_start, 0xda2d26bb, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x44f74872, "");
SYMBOL_CRC(drm_sched_job_init, 0x30df4935, "");
SYMBOL_CRC(drm_sched_job_arm, 0x1842b384, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x6a61bff5, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0xba20a57a, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x895f763a, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x085a5147, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0xc78395b9, "");
SYMBOL_CRC(drm_sched_pick_best, 0xf53d8395, "");
SYMBOL_CRC(drm_sched_init, 0xfd81fd26, "");
SYMBOL_CRC(drm_sched_fini, 0x325a9cc6, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xeb86d477, "");
SYMBOL_CRC(to_drm_sched_fence, 0x95d27577, "");
SYMBOL_CRC(drm_sched_entity_init, 0x301ee189, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x6b9ad7cb, "");
SYMBOL_CRC(drm_sched_entity_error, 0x1161a082, "");
SYMBOL_CRC(drm_sched_entity_flush, 0xf86962bc, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x3f457d5a, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x6af28841, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0xa2156f03, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xf256985c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2daed3f5, "drm_syncobj_find_fence" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x86dae6f0, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xa6918488, "dma_fence_add_callback" },
	{ 0x56defccb, "dma_fence_set_deadline" },
	{ 0xcb560e20, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xf5cbe68a, "kthread_park" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x4df41c3c, "sched_set_fifo_low" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x8d315f3a, "dma_fence_wait_timeout" },
	{ 0x4ffa4272, "wake_up_process" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xcb35e50f, "dma_resv_iter_next" },
	{ 0xf23137f5, "dma_fence_remove_callback" },
	{ 0xc8d3970e, "kmem_cache_alloc" },
	{ 0xfc03b8ea, "drm_dev_printk" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x1885219c, "kthread_unpark" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1e1a0bcf, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0xc2b0aff4, "dma_fence_signal" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc2045cf4, "kmem_cache_free" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x273db069, "kthread_stop" },
	{ 0x3e48fa6b, "dma_fence_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x612891c6, "bpf_trace_run1" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x9e39d0e, "kthread_create_on_node" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x673f72da, "xa_store" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xed8293cf, "dma_resv_iter_first" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xcf398dfb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "E177508FCAD63C30D6D52D8");
