#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mtd_blktrans_cease_background, "_gpl", "");
KSYMTAB_FUNC(register_mtd_blktrans, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_blktrans, "_gpl", "");
KSYMTAB_FUNC(add_mtd_blktrans_dev, "_gpl", "");
KSYMTAB_FUNC(del_mtd_blktrans_dev, "_gpl", "");

SYMBOL_CRC(mtd_blktrans_cease_background, 0x949b8d3e, "_gpl");
SYMBOL_CRC(register_mtd_blktrans, 0xbf1584bf, "_gpl");
SYMBOL_CRC(deregister_mtd_blktrans, 0x33c1a6f8, "_gpl");
SYMBOL_CRC(add_mtd_blktrans_dev, 0xde347076, "_gpl");
SYMBOL_CRC(del_mtd_blktrans_dev, 0x1e98b532, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xc4ed7474, "unregister_mtd_user" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7dba62e, "flush_dcache_page" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xab5a26f2, "put_disk" },
	{ 0x22cc15b4, "blk_mq_free_tag_set" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7411b80, "__module_get" },
	{ 0x383e0c00, "__get_mtd_device" },
	{ 0xcecc76da, "module_put" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x205901e3, "mtd_table_mutex" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8087b923, "__mtd_next_device" },
	{ 0xa638cb88, "register_mtd_user" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x10a3058b, "blk_update_request" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xe42ca2b8, "blk_mq_start_request" },
	{ 0x7d20e0de, "__blk_mq_end_request" },
	{ 0xa6a03f29, "__put_mtd_device" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xda9c5d36, "sysfs_remove_group" },
	{ 0x999301d5, "del_gendisk" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8295c381, "blk_mq_freeze_queue" },
	{ 0x735171d7, "blk_mq_quiesce_queue" },
	{ 0xf12be876, "blk_mq_unquiesce_queue" },
	{ 0xf0f8a3d7, "blk_mq_unfreeze_queue" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x58d4d0c, "blk_mq_alloc_sq_tag_set" },
	{ 0xe7167cba, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe7ac035e, "set_capacity" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe6f21a4a, "blk_queue_write_cache" },
	{ 0x4cd2c8f8, "blk_queue_logical_block_size" },
	{ 0x1ea382d6, "blk_queue_flag_set" },
	{ 0x3ce1688f, "blk_queue_flag_clear" },
	{ 0x5da4c825, "blk_queue_max_discard_sectors" },
	{ 0x67274971, "device_add_disk" },
	{ 0xd51cdb24, "sysfs_create_group" },
	{ 0x7e66271a, "set_disk_ro" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "6CF7E12C7CBFE90282C89CB");
