#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0xad3637af, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x72b5aaec, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x6aeb8f23, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x771a632c, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0xa074cef8, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x4a658a7d, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x1b216405, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xc6746a80, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x08d033fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x85bda9cc, "__dev_fwnode" },
	{ 0x2184e91d, "fwnode_property_read_u32_array" },
	{ 0xfc2c72e4, "alloc_candev_mqs" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x54968bcb, "free_candev" },
	{ 0x7e4fcbaa, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xace12722, "can_get_echo_skb" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x602ae14, "can_free_echo_skb" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfecb8c8d, "netdev_warn" },
	{ 0x79ea11b, "unregister_candev" },
	{ 0xabc6aaa, "can_rx_offload_del" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc21a4114, "netif_napi_add_weight" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x79d51c38, "devm_clk_get" },
	{ 0x48adda67, "__pm_runtime_resume" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbf21e77c, "phy_power_on" },
	{ 0xcb0d598f, "open_candev" },
	{ 0xd1b61559, "close_candev" },
	{ 0xb779f818, "phy_power_off" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0x7e6711e7, "netdev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa46f74d, "napi_disable" },
	{ 0x44cdee53, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xe642e474, "__pm_runtime_idle" },
	{ 0xc53d57f6, "napi_enable" },
	{ 0xc3e6e810, "register_candev" },
	{ 0x5a284ae9, "of_can_transceiver" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0xf88ccb79, "can_rx_offload_add_manual" },
	{ 0x35707c5f, "netif_tx_wake_queue" },
	{ 0xf9aa984, "alloc_can_skb" },
	{ 0x10c38580, "can_rx_offload_queue_timestamp" },
	{ 0xb4b97c6b, "alloc_canfd_skb" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x29fec214, "__dynamic_netdev_dbg" },
	{ 0x49d70a90, "netif_receive_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x250f611a, "alloc_can_err_skb" },
	{ 0x6df07117, "pinctrl_pm_select_default_state" },
	{ 0x4039f740, "netif_device_attach" },
	{ 0xdfbd7fe9, "can_bus_off" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa4c832d9, "napi_complete_done" },
	{ 0xfa7aa024, "napi_schedule_prep" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xaf8d0be1, "can_rx_offload_threaded_irq_finish" },
	{ 0xcdd36cf7, "__napi_schedule" },
	{ 0x722bb537, "hrtimer_forward" },
	{ 0x8a2352bb, "pinctrl_pm_select_sleep_state" },
	{ 0x4ce69f7b, "netif_device_detach" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xcd59c797, "can_put_echo_skb" },
	{ 0x8741f082, "can_dropped_invalid_skb" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x8dcbeae8, "netdev_printk" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x4d4d1127, "can_change_mtu" },
	{ 0xfb9a7ae3, "ethtool_op_get_ts_info" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "6E35583D1F1D35642984FA2");
