#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0x5c686a28, "");
SYMBOL_CRC(bnxt_unregister_dev, 0xafb6cf74, "");
SYMBOL_CRC(bnxt_send_msg, 0xb42626c5, "");
SYMBOL_CRC(bnxt_register_async_events, 0xdab80778, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xb0cfa2b9, "alloc_etherdev_mqs" },
	{ 0xf3454e92, "flow_block_cb_lookup" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x97c0b961, "pci_save_state" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xd59d061, "device_set_wakeup_enable" },
	{ 0xc78665ab, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe9298432, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb90ffcd4, "pci_find_ext_capability" },
	{ 0x84ada21c, "bpf_prog_put" },
	{ 0xbadb60fc, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xda4b86c9, "__rht_bucket_nested" },
	{ 0xa7ebb781, "devlink_unregister" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0xeea42396, "dma_pool_create" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xa6a6bd98, "pci_wake_from_d3" },
	{ 0x1f1e8d1d, "pci_enable_device" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x1f339b6d, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd68723c, "__napi_alloc_skb" },
	{ 0xabaf95b, "flow_indr_dev_register" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0x6d00663d, "auxiliary_device_init" },
	{ 0x2845fe99, "netdev_update_features" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xdfaa6cd5, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc21a4114, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9313efcb, "pci_vfs_assigned" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x80100722, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xbcf67d66, "bpf_warn_invalid_xdp_action" },
	{ 0x6cfe4342, "ndo_dflt_bridge_getlink" },
	{ 0x3f940485, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x86f62e74, "xdp_features_set_redirect_target" },
	{ 0x53df7429, "finish_wait" },
	{ 0x2f9141f8, "dma_unmap_page_attrs" },
	{ 0x30412ff8, "request_firmware" },
	{ 0x8b5230ce, "devlink_health_reporter_create" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x92bed11a, "__pci_register_driver" },
	{ 0x4a81f037, "devlink_params_unregister" },
	{ 0xaf4a6b71, "dma_sync_single_for_device" },
	{ 0x6f0bcbc3, "pci_num_vf" },
	{ 0xcd852e29, "flow_rule_match_eth_addrs" },
	{ 0xa21f9a7e, "skb_add_rx_frag" },
	{ 0x885a9833, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8b6bb30a, "ptp_clock_index" },
	{ 0xb850279f, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc9668a06, "lockdep_rht_bucket_is_held" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a8692a8, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdacdf4c9, "devlink_register" },
	{ 0x6d9f7c70, "devlink_remote_reload_actions_performed" },
	{ 0x96a3af35, "page_pool_destroy" },
	{ 0xf1efa656, "xdp_do_redirect" },
	{ 0x3a4e32ae, "devlink_free" },
	{ 0x2b3228a0, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x82fb1cd2, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xfecb8c8d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xa548f35, "udp_tunnel_nic_ops" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xdaa1001c, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf4557fe3, "flow_rule_match_ipv4_addrs" },
	{ 0x4182cc5b, "ip_route_output_flow" },
	{ 0x9ae6f08c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xff593473, "rhashtable_walk_enter" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6ded66d3, "pci_ioremap_bar" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xe4c07516, "pci_unregister_driver" },
	{ 0x7e6711e7, "netdev_err" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x4f2db538, "devlink_flash_update_status_notify" },
	{ 0xa904b6c1, "lockdep_rht_mutex_is_held" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0xd6658511, "netdev_port_same_parent_id" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0xc98ba264, "netdev_core_stats_alloc" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x82863b83, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x23e5e5f6, "ptp_find_pin" },
	{ 0x22ef882e, "eth_type_trans" },
	{ 0xcfb48194, "pci_read_config_dword" },
	{ 0xe091fa55, "flow_rule_match_icmp" },
	{ 0x72c59630, "ptp_parse_header" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe06cf811, "dma_map_page_attrs" },
	{ 0xa4c832d9, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x43c91cae, "put_device" },
	{ 0xdd918967, "net_dim" },
	{ 0xcdd36cf7, "__napi_schedule" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x4e623d42, "pci_enable_msix_range" },
	{ 0xa28602fb, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x4ce69f7b, "netif_device_detach" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x65d91e4, "napi_gro_receive" },
	{ 0x4039f740, "netif_device_attach" },
	{ 0xa4e7457, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x9a9d80b6, "flow_indr_dev_unregister" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x47a8e2b1, "eth_get_headlen" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd4026d34, "xdp_rxq_info_is_reg" },
	{ 0x6351cc7f, "ptp_classify_raw" },
	{ 0xebfceaee, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x472118bd, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x9f0884fc, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x7857fa55, "devlink_port_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x5e975c24, "init_net" },
	{ 0x5a593457, "softnet_data" },
	{ 0xe64a8272, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1526bd04, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x790435, "ptp_clock_register" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x94dc79d4, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe69a71b, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x93e6d4cd, "__auxiliary_device_add" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x424725d0, "netif_set_real_num_rx_queues" },
	{ 0xb4c5c0cf, "flow_indr_block_cb_alloc" },
	{ 0x8dcbeae8, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x7d9c535, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78f24c9c, "pci_device_is_present" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xc24ec197, "dma_alloc_attrs" },
	{ 0x66767fde, "debugfs_remove" },
	{ 0xa5fdb705, "pcie_flr" },
	{ 0xfd048bee, "pci_read_config_word" },
	{ 0xc53d57f6, "napi_enable" },
	{ 0x49d70a90, "netif_receive_skb" },
	{ 0x503caa15, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x29b607fc, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd978a5e, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x231d2047, "rhashtable_walk_stop" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xe9bb7dd6, "pci_iounmap" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x827abac, "pci_restore_state" },
	{ 0x35707c5f, "netif_tx_wake_queue" },
	{ 0x41b638b0, "device_del" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x2eb122e0, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x9289b995, "page_pool_create" },
	{ 0x2b7d994f, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x465c4899, "flow_rule_match_ports" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4a1e5eca, "ptp_clock_event" },
	{ 0x16a82174, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x6b1b977, "netif_schedule_queue" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x8b655da, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4030863b, "flow_rule_match_ipv6_addrs" },
	{ 0x14a5f8c5, "netdev_set_tc_queue" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x27b2ee1c, "ptp_clock_unregister" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xa05fc4c6, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2f604ce2, "devl_unlock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x29fec214, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xffc209a1, "dma_set_coherent_mask" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xfbc20f8b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x35360b34, "debugfs_create_file" },
	{ 0xd4677550, "rps_may_expire_flow" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xeef4db4d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x29620f1a, "netdev_reset_tc" },
	{ 0x9e60e3bb, "neigh_destroy" },
	{ 0xd65a5549, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x36beff58, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xc78ee753, "flow_rule_match_enc_ports" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8378d75d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8776eda3, "bpf_prog_add" },
	{ 0x3af93c6c, "pcie_print_link_status" },
	{ 0x34fe58fe, "flow_rule_match_vlan" },
	{ 0x456aa5e7, "xdp_rxq_info_unreg" },
	{ 0xf958d138, "page_pool_alloc_pages" },
	{ 0x770ffb04, "napi_build_skb" },
	{ 0x1f320fc5, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2c54499f, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0xd1170027, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xcea78811, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x42a5ffea, "pci_disable_sriov" },
	{ 0xd32591df, "tcp_gro_complete" },
	{ 0x3c6bde03, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x1dc9c0d1, "dst_release" },
	{ 0x8021f8b6, "netif_carrier_on" },
	{ 0x4c45e4ab, "netdev_set_num_tc" },
	{ 0xb70789e, "__might_fault" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xd7a5c7f5, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x560eaf8e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x78e89b8, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x9ed682c3, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xc0a2a022, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x470dc132, "netif_set_tso_max_size" },
	{ 0xbc822824, "__skb_flow_dissect" },
	{ 0xe0a5d7f9, "pci_vpd_alloc" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x5b3f0431, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xfa7aa024, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa46f74d, "napi_disable" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0x35ce7dbe, "dcb_ieee_delapp" },
	{ 0x80c2ea91, "netdev_notice" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc0fd1e68, "debugfs_create_dir" },
	{ 0xee9ce532, "ptp_schedule_worker" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x4118142e, "hwmon_device_register_with_groups" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xedadb194, "pci_enable_sriov" },
	{ 0xd6b7406e, "rht_bucket_nested" },
	{ 0x3616331b, "skb_clone_tx_timestamp" },
	{ 0x15437646, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xcf7160ee, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x97c6e93e, "pci_write_config_dword" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x864fd989, "netdev_info" },
	{ 0x345144d1, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x5e3e869b, "pci_get_dsn" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1E6DC156F5A6CB679307367");
