#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe929390e, "skb_pull" },
	{ 0x2b610d85, "skb_trim" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6026a710, "mii_check_media" },
	{ 0xdd44043d, "mii_ethtool_gset" },
	{ 0x29fec214, "__dynamic_netdev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x85fa8089, "mii_link_ok" },
	{ 0x4b273127, "usbnet_get_drvinfo" },
	{ 0x7a0aac99, "generic_mii_ioctl" },
	{ 0x173fa01b, "usb_register_driver" },
	{ 0xea05ee0c, "usb_deregister" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xab073e9e, "usbnet_link_change" },
	{ 0xdcb764ad, "memset" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb92498, "usbnet_write_cmd_async" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x447349b9, "skb_copy_expand" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xe27eac04, "usbnet_write_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7c57036f, "usbnet_read_cmd" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x7e6711e7, "netdev_err" },
	{ 0xa339d52a, "usbnet_get_endpoints" },
	{ 0x122c3a7e, "_printk" },
	{ 0xef8f8c91, "mii_nway_restart" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf3b4e00, "usbnet_open" },
	{ 0x9d409df5, "usbnet_stop" },
	{ 0x947f51a, "usbnet_start_xmit" },
	{ 0x2b3228a0, "eth_validate_addr" },
	{ 0x2220091b, "usbnet_change_mtu" },
	{ 0x80a315b7, "usbnet_tx_timeout" },
	{ 0xe83c1401, "dev_get_tstats64" },
	{ 0xa2f2d7d, "usbnet_get_msglevel" },
	{ 0xf76e3bb1, "usbnet_set_msglevel" },
	{ 0x37a01b5f, "usbnet_nway_reset" },
	{ 0xd883b7b3, "usbnet_get_link_ksettings_mii" },
	{ 0x2822334b, "usbnet_set_link_ksettings_mii" },
	{ 0x66347f2b, "usbnet_probe" },
	{ 0xf0fe078c, "usbnet_disconnect" },
	{ 0x21cdf85f, "usbnet_suspend" },
	{ 0xa2d6db4f, "usbnet_resume" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v07AAp9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p6688d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0268d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p8515d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A47p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p8101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p9700d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9621d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9622d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p1269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3427d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "81EDAE61E825248A1C1D81B");
