#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0x4a6d65e7, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0x1c7f9f77, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0xed2efcb1, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x8ec9a028, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0xe7f32c81, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x6e2cfbbf, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0x056763c3, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0xa7def75c, "");
SYMBOL_CRC(rtl92c_dm_init, 0x4c127565, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x62b6b5c3, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0x2b5c2634, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0xcbcf3348, "");
SYMBOL_CRC(rtl92c_download_fw, 0x7163cfaa, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0x64279345, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0x3c3b4272, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0x9e3b796d, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0xef2152da, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0x2d7c376f, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0xf9a36c0f, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0x7331cd69, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0x46d6428e, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x6e4c2b00, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0xd17c1a18, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0xd2077dc2, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0xfc03c034, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0xe12a18af, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x22a68a6d, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0x3dda816f, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0x7f4ef3d9, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0xb4ee1a43, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0x084756cf, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0xcd0fd1a3, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0x3096efd1, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0xe911f6e5, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x621b8b1d, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0x8fcc4271, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0x2c001a7f, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0x35ef2fe5, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0x38569f5f, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0x754c5c35, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0xe74c2e65, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0xca138143, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0x13252bf1, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0xd149255b, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0xc6f092d1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x2b1ea998, "rtl_fw_block_write" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x1d07a58f, "rtl_cmd_send_packet" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x6efb25e3, "rtl_fw_page_write" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x5e6194e4, "rtl_dm_diginit" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "E2786B2FCC1DF924381382A");
