#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x6457fc97, "");
SYMBOL_CRC(rtw_pci_probe, 0xa2995550, "");
SYMBOL_CRC(rtw_pci_remove, 0xa7c896c1, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x3a2bee7f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf6647e1, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcfd0e146, "rtw_tx_queue_mapping" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x174b5a3e, "pcie_capability_read_word" },
	{ 0xc8635c44, "devm_request_threaded_irq" },
	{ 0x1f1e8d1d, "pci_enable_device" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xdfaa6cd5, "pci_iomap" },
	{ 0x51068a6d, "pci_alloc_irq_vectors" },
	{ 0xc21a4114, "netif_napi_add_weight" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0x109cf5bb, "ieee80211_free_hw" },
	{ 0x2f9141f8, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xaf4a6b71, "dma_sync_single_for_device" },
	{ 0xb850279f, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x87e95e96, "dev_kfree_skb_irq_reason" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xdaa1001c, "pci_set_power_state" },
	{ 0x9ae6f08c, "__netif_napi_del" },
	{ 0xdf65a63b, "ieee80211_wake_queue" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe06cf811, "dma_map_page_attrs" },
	{ 0xa4c832d9, "napi_complete_done" },
	{ 0x55f3277f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8dec6bad, "devm_free_irq" },
	{ 0xcdd36cf7, "__napi_schedule" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x143fcb62, "rtw_chip_info_setup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xa68dbc35, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x367a973b, "rtw_unregister_hw" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xe929390e, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6ba311c9, "rtw_tx_fill_tx_desc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc24ec197, "dma_alloc_attrs" },
	{ 0xc53d57f6, "napi_enable" },
	{ 0xc29eaed7, "rtw_core_init" },
	{ 0x899b2dbb, "ieee80211_alloc_hw_nm" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xe9bb7dd6, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2eb122e0, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x9a4547c3, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8b655da, "pci_set_master" },
	{ 0x492b975e, "ieee80211_stop_queue" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0x10175397, "rtw_rx_stats" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x9fbb16de, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xd3c1c5ee, "rtw_register_hw" },
	{ 0xd65a5549, "dma_free_attrs" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8378d75d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xae67a3c1, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9b2f0516, "rtw_core_deinit" },
	{ 0x485d0621, "rtw_ops" },
	{ 0x78e89b8, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa7aa024, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xa46f74d, "napi_disable" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0x171acfdd, "rtw_power_mode_change" },
	{ 0x545f0cfe, "rtw_tx_write_data_h2c_get" },
	{ 0xa5b83c29, "pci_free_irq_vectors" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xad64de71, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4115e82b, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xa182d5e, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");
