#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xc57bb32b, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x5c2c301e, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x5d866e7f, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x7ab64c03, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x420838c7, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x31a0460f, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xe7905ec3, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x3d54e295, "");
SYMBOL_CRC(nd_device_notify, 0x3cdbc38e, "");
SYMBOL_CRC(nvdimm_region_notify, 0x21c2ac30, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x2d7c666e, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x12f44b2e, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x394ec395, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xf801c099, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x0afaaeb9, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x3e47db19, "");
SYMBOL_CRC(nd_device_unregister, 0x6e693b2b, "");
SYMBOL_CRC(__nd_driver_register, 0x38d552c5, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x778080b8, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x5f347cb4, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x2c31340d, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x9bba51d0, "_gpl");
SYMBOL_CRC(to_ndd, 0xc0b9a19c, "");
SYMBOL_CRC(nvdimm_name, 0xdc3d1e0d, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x30cdb055, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x2d9d2e14, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x8f7a3e51, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x0c4f1a44, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x7b5676bb, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x3718da35, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x20e3933c, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xe50e95f1, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x017646a8, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x7f42281c, "_gpl");
SYMBOL_CRC(to_nd_region, 0xd9c8382c, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x8b64b973, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x9f478221, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x168c91a4, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x54fca846, "");
SYMBOL_CRC(nd_region_release_lane, 0xa1ac38fd, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xe897936d, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xcdb401c0, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x1cb44866, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xfbd95d56, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x1f5aecb2, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x7e7ceb96, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xdd7216cc, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x13226b4a, "");
SYMBOL_CRC(pmem_sector_size, 0xf5c59a19, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x115decf6, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x00d1565d, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x64173177, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xda56e9b5, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x54059848, "");
SYMBOL_CRC(devm_namespace_enable, 0x985cf7ad, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x4ee58a90, "_gpl");
SYMBOL_CRC(badrange_init, 0xcfc17620, "_gpl");
SYMBOL_CRC(badrange_add, 0xc394cb08, "_gpl");
SYMBOL_CRC(badrange_forget, 0x52bb9f3a, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xd2f2b99c, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xc0061ec4, "");
SYMBOL_CRC(is_nd_btt, 0xd21ac8f2, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x76838ee7, "");
SYMBOL_CRC(nd_btt_version, 0x58da0a9f, "");
SYMBOL_CRC(nd_btt_probe, 0x906a70af, "");
SYMBOL_CRC(to_nd_pfn, 0x60b4fc58, "");
SYMBOL_CRC(is_nd_pfn, 0xc815be01, "");
SYMBOL_CRC(nd_pfn_validate, 0xcd350acf, "");
SYMBOL_CRC(nd_pfn_probe, 0x730ad5a3, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xfcd57b45, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x18d2fbee, "");
SYMBOL_CRC(is_nd_dax, 0x5cd08083, "");
SYMBOL_CRC(nd_dax_probe, 0xd94f41a9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x7e66271a, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x50dbdaea, "blk_integrity_register" },
	{ 0x4e8e96e9, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0xd32b1c21, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x2397daf2, "devm_memremap" },
	{ 0x62511192, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x852a57a7, "badblocks_set" },
	{ 0xaf301092, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x53df7429, "finish_wait" },
	{ 0x4d95d6d1, "memcpy_flushcache" },
	{ 0xcd2f24ad, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xedc03953, "iounmap" },
	{ 0x4023a701, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x76d71f4d, "down_read_nested" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc9d5fd1a, "badblocks_exit" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c3f8473, "device_for_each_child" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xd0bceb8a, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x1e43a6c7, "kernfs_notify" },
	{ 0x3cc53975, "__release_region" },
	{ 0x6e84f906, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf39e09a9, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x43c91cae, "put_device" },
	{ 0xf0205410, "badblocks_show" },
	{ 0x3830cdb6, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xc50d4ff5, "_dev_info" },
	{ 0xcecc76da, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4c468a0a, "compat_ptr_ioctl" },
	{ 0xbb0158eb, "perf_pmu_migrate_context" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x25595131, "perf_pmu_register" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x187bce4b, "key_put" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x92d1b3d9, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x100bf0d0, "devm_memunmap" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0x89786d5b, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x55bb0b6a, "noop_llseek" },
	{ 0x6aeb9e1e, "class_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xf9a32449, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x3cc535b8, "driver_unregister" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x461019c2, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdccdae30, "device_find_child" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd1a3490c, "adjust_resource" },
	{ 0xe9285424, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7e58b98c, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xac89df18, "__devm_release_region" },
	{ 0x1561aaa2, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9bd6dbe3, "kernfs_put" },
	{ 0x801e52f4, "__register_chrdev" },
	{ 0x5a89e6c7, "cpu_all_bits" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe71e1699, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5d91ec61, "badblocks_check" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xbd60050e, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xe4c5b159, "badblocks_clear" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x6f3c87b0, "devm_init_badblocks" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x2425d9db, "driver_register" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xc920470d, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x3d3a4a16, "__request_region" },
	{ 0x85fa263f, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6A2A0857B179E21D39E97A8");
