#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x3369d333, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x6c2b86ea, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0xdf991b9e, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x37f8e07c, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xeaec2165, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x212990fd, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xbe4b236b, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x81c48948, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x774312ad, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xb18e1751, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x7600a66c, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x1fc7d1ad, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x8b89fd86, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xa9142432, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x32f86e87, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x6f7fb057, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x1955a16a, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x214a76a8, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xb8b3a7c9, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xe1d0aab5, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xe69c13ae, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x936741fc, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x6e1df4d5, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xb3cea12f, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xd4d44e78, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xa12e28cf, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xbfb152bd, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xf586ca3f, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x2edbacf5, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x1c4c0fd7, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x5d0a9aab, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x524d4526, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x194b52d1, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x23acf86c, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xb715c744, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x7d96c85a, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x805a41af, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x135ffb23, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xe6e5529b, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xe5426625, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x1ca80e4e, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x216ad1e4, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x12f5d985, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x2739682e, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x122c3a7e, "_printk" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xe3514063, "vlan_dev_real_dev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x65fbcb52, "iscsi_host_remove" },
	{ 0x29d43bc9, "pci_dev_put" },
	{ 0x59180ac1, "iscsi_host_free" },
	{ 0x430cc900, "pci_dev_get" },
	{ 0x11fa4af1, "iscsi_host_add" },
	{ 0xce8557c4, "iscsi_host_alloc" },
	{ 0x406e8bf8, "scsi_host_put" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xe458b4eb, "cxgbi_ppm_init" },
	{ 0xc0fd3970, "iscsi_conn_queue_xmit" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdb99b0b8, "cxgbi_ppm_ppods_reserve" },
	{ 0xba5c9242, "dma_map_sg_attrs" },
	{ 0x4a62087f, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x12ce64, "cxgbi_ppm_ppod_release" },
	{ 0xb8d8fcdd, "dma_unmap_sg_attrs" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3e135525, "__kfree_skb" },
	{ 0xdcb764ad, "memset" },
	{ 0xa9611ef5, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb5eb52fb, "iscsi_tcp_set_max_r2t" },
	{ 0xe88b2989, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x2d81ef90, "iscsi_tcp_conn_setup" },
	{ 0x64142cd8, "iscsi_session_setup" },
	{ 0x227b1858, "iscsi_tcp_r2tpool_alloc" },
	{ 0x318b8a81, "iscsi_session_teardown" },
	{ 0xaecdf761, "iscsi_tcp_r2tpool_free" },
	{ 0xadb7aec6, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xd74b1f9c, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d6ec5b, "iscsi_host_get_param" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x23d1110e, "iscsi_unregister_transport" },
	{ 0x7babfc81, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x564a6d73, "iscsi_conn_failure" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0xebb1736c, "iscsi_register_transport" },
	{ 0x5e975c24, "init_net" },
	{ 0xc48b985b, "ip6_route_output_flags" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x58b1dc91, "iscsi_lookup_endpoint" },
	{ 0xce45e84d, "iscsi_conn_bind" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0xe19e6608, "iscsi_tcp_hdr_recv_prep" },
	{ 0xa0c3ceca, "iscsi_put_endpoint" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xabee9f3a, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x7108c4ff, "iscsi_tcp_recv_skb" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x255b0f17, "make_kuid" },
	{ 0x4182cc5b, "ip_route_output_flow" },
	{ 0x1dc9c0d1, "dst_release" },
	{ 0x9e60e3bb, "neigh_destroy" },
	{ 0xf6abb121, "__ip_dev_find" },
	{ 0x7b54d2bb, "iscsi_itt_to_ctask" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xb684cf88, "dump_page" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc01a5a81, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4826cef9, "__folio_put" },
	{ 0x9e25811c, "__put_devmap_managed_page_refs" },
	{ 0xcecc76da, "module_put" },
	{ 0x3524fa5e, "iscsi_destroy_endpoint" },
	{ 0x36364778, "ipv6_dev_get_saddr" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xd8a92ddf, "iscsi_create_endpoint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa2a5fac, "param_ops_uint" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
