#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x7bad1e90, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xc56838e8, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x708de114, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x372af2fd, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x1dc9f60f, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x81f78195, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x066bd8a2, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x77fad421, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xf891bd2d, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x9b5fc045, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xb5b74e63, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x9d3acec8, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xd5ce697e, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x71aa3b06, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x481fe5de, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xf3daab8d, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xab7043a5, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0xa064dccd, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xd320f128, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0xa6c21b5e, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0x193f8f24, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x165c6f03, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x4a7ec009, "");
SYMBOL_CRC(fcoe_transport_detach, 0x7a33a4c7, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x9b1507da, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x3b5194dd, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x4064df12, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x82a8a3aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a581206, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa0acef18, "dev_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa2a5fac, "param_ops_uint" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x62511192, "dev_set_name" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xe0112ba1, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb684cf88, "dump_page" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0xaf301092, "device_unregister" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x955f9224, "fc_rport_logoff" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9e25811c, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xe9c9d3fb, "fc_disc_init" },
	{ 0x17c97067, "fc_rport_login" },
	{ 0x14d9a387, "skb_queue_purge_reason" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfafdc83b, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x43c91cae, "put_device" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xe066abf8, "fc_lport_reset" },
	{ 0x92d1b3d9, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xe929390e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x43647b3b, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7efdee90, "fc_lport_set_local_id" },
	{ 0xd1adcc96, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xf3eb1e41, "__ethtool_get_link_ksettings" },
	{ 0x8a0c5bb4, "device_register" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0xd59e0875, "fc_vport_id_lookup" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x2b332d43, "fc_elsct_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa99f0bf2, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0xbbbf2fb4, "fc_fcp_init" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b610d85, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xeef4db4d, "__dev_queue_xmit" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7babfc81, "alloc_pages" },
	{ 0x4826cef9, "__folio_put" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x74e7a3ca, "dev_get_by_name" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xfe8ae214, "fc_seq_els_rsp_send" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe6306a1c, "param_ops_int" },
	{ 0x7223465d, "fc_rport_create" },
	{ 0xd74b1f9c, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xa35e295c, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x85fa263f, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4d196382, "fc_linkup" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A483AEBD89FF2F24E96890B");
