#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x7637f804, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x3893d924, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x39a01bb6, "_gpl");
SYMBOL_CRC(fat_scan, 0x6e5b0a64, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xc5344c12, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x809dea06, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x6d388563, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xeaaec20a, "_gpl");
SYMBOL_CRC(fat_getattr, 0x6ec4135a, "_gpl");
SYMBOL_CRC(fat_setattr, 0x036ed037, "_gpl");
SYMBOL_CRC(fat_attach, 0x0b02d222, "_gpl");
SYMBOL_CRC(fat_detach, 0x55c5d532, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x2847b08e, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x10a15834, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x32ffdb0a, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xcd70d972, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xe6ad2b10, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x77b03eb9, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xd15a81e3, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xac7dc241, "_gpl");
SYMBOL_CRC(fat_update_time, 0xa9e2e57b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6cb16b40, "filemap_fdatawrite" },
	{ 0x6da2602f, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaad72a6, "setattr_prepare" },
	{ 0xe8b2275e, "generic_block_bmap" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7d428a9b, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x10c28982, "make_vfsgid" },
	{ 0x5b3398e2, "blk_start_plug" },
	{ 0x602c7abf, "clear_inode" },
	{ 0xf2f1e4b2, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x1a879f69, "new_inode" },
	{ 0x74546a54, "mark_buffer_dirty" },
	{ 0x775d6adf, "security_inode_setattr" },
	{ 0x39cc45a3, "__find_get_block" },
	{ 0xb02dec4, "filemap_fdatawrite_range" },
	{ 0x411f81df, "inode_needs_sync" },
	{ 0x9e1bd30f, "__blockdev_direct_IO" },
	{ 0xe156fabd, "d_make_root" },
	{ 0xde99ac0c, "__bforget" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x94ddce8, "sb_set_blocksize" },
	{ 0x85b965b5, "block_truncate_page" },
	{ 0x8f99754c, "write_dirty_buffer" },
	{ 0xc9cab65d, "sync_filesystem" },
	{ 0x9556c397, "fsnotify" },
	{ 0xe4176040, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa06ee598, "from_vfsuid" },
	{ 0x56614641, "inode_dio_wait" },
	{ 0xb8e4700e, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x12565e1c, "cont_write_begin" },
	{ 0xa37944a7, "iput" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x4e4fc8ac, "iter_file_splice_write" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x49e1e85d, "generic_file_write_iter" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xcb560e20, "kmem_cache_create" },
	{ 0x7d8cd62f, "sync_inode_metadata" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xc66faade, "make_vfsuid" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xbf32e250, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0x599070df, "block_invalidate_folio" },
	{ 0xed9bba07, "__breadahead" },
	{ 0x9099a2d5, "generic_write_end" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae7d7f3, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xbb26a291, "generic_cont_expand_simple" },
	{ 0x255b0f17, "make_kuid" },
	{ 0xbcfd9877, "truncate_inode_pages_final" },
	{ 0x23ef9a34, "generic_file_mmap" },
	{ 0xbeb42be5, "sync_mapping_buffers" },
	{ 0xa6f2e2f2, "ilookup" },
	{ 0xc8d3970e, "kmem_cache_alloc" },
	{ 0xe2eea30b, "invalidate_inode_buffers" },
	{ 0x693835bf, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaf000715, "mnt_drop_write_file" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xe6f57332, "inode_init_once" },
	{ 0x4c468a0a, "compat_ptr_ioctl" },
	{ 0x9349f604, "__fsnotify_parent" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9c6a727d, "__brelse" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0x7249ec0, "generic_file_read_iter" },
	{ 0xb6842ef3, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x75eb49dd, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc40b7c6, "sync_dirty_buffer" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x6950e5e5, "setattr_copy" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x36914d7d, "__wait_on_buffer" },
	{ 0xfabbf7aa, "set_nlink" },
	{ 0xc2045cf4, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x77a1564, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x84dea055, "from_vfsgid" },
	{ 0x5a776ab, "write_inode_now" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xe3aac63b, "d_obtain_alias" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x86867ac7, "__bread_gfp" },
	{ 0xd909efd2, "block_dirty_folio" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xc46c6f41, "mpage_read_folio" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4f2c5f0e, "__insert_inode_hash" },
	{ 0x6d3aa918, "buffer_migrate_folio" },
	{ 0xca224526, "make_kgid" },
	{ 0xd664af98, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0x47352642, "truncate_setsize" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc7e849c9, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4a43d440, "igrab" },
	{ 0x1a7c7dec, "__getblk_gfp" },
	{ 0xceaa8555, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xc1be8aa2, "mpage_readahead" },
	{ 0x936fc359, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6d1fbffc, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x742d77d1, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x9581a6b0, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x28598e5, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6678c0e7, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x52979c8b, "generic_fh_to_parent" },
	{ 0xc383a9b7, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xd2eb6247, "from_kuid_munged" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x2560b71d, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x3d9c7561, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x252eb325, "__mark_inode_dirty" },
	{ 0x42008ceb, "generic_file_llseek" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x6769ea2e, "unload_nls" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x7dfb64ea, "mark_buffer_dirty_inode" },
	{ 0x93f05886, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xcf398dfb, "kmem_cache_destroy" },
	{ 0x50b096c4, "blkdev_issue_discard" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9410C7029DFD418F3FB2DEB");
