#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x7ea5686a, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x91e6868b, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xfa39197d, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x989da9ff, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xd3997210, "_gpl");
SYMBOL_CRC(br_forward, 0x88a143de, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x2a2b2f7d, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x9bf99679, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x42e02845, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xd2352edd, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x8cb2ca44, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x83bb30c2, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xc1faf8da, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x60e077ee, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xdc6642c4, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x2bb692a0, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x14a530ec, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x0f522895, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xd8b66d8a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x3cd258d6, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x937a2bac, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x1b54ef1b, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x25fdea62, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xdb613f85, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x15d93bde, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x7316ec58, "dev_set_mtu" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa0582f29, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xda4b86c9, "__rht_bucket_nested" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0x7326bdf9, "__nlmsg_put" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x4cf4ad4, "ipv6_mc_check_mld" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x1e83e856, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3cce8b2f, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2845fe99, "netdev_update_features" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf8ff06d6, "__traceiter_br_fdb_add" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x2b770ed1, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xaa6ef98e, "__traceiter_br_fdb_update" },
	{ 0xa561f0de, "dev_uc_del" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x70168687, "netpoll_send_skb" },
	{ 0x4366b0cb, "rtnl_link_register" },
	{ 0xc355078c, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6b7c069a, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd169a5c5, "dev_get_iflink" },
	{ 0xc9668a06, "lockdep_rht_bucket_is_held" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44b842c2, "dev_set_promiscuity" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x82fb1cd2, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x7b71fe11, "unregister_netdevice_queue" },
	{ 0xcb560e20, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x4ff3c888, "netdev_state_change" },
	{ 0xbc6d2dca, "__pskb_copy_fclone" },
	{ 0xe8d1c2b9, "__dev_get_by_name" },
	{ 0xe4c431e4, "ether_setup" },
	{ 0x7e6711e7, "netdev_err" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x6b7ad00f, "register_pernet_subsys" },
	{ 0xab7c18f1, "brioctl_set" },
	{ 0xa904b6c1, "lockdep_rht_mutex_is_held" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x47ea956, "arp_xmit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe2c8e9cd, "__traceiter_br_mdb_full" },
	{ 0xf2e7b82b, "alloc_netdev_mqs" },
	{ 0x33392680, "passthru_features_check" },
	{ 0x993f86e7, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe584c2df, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3fd0375e, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0xc8d3970e, "kmem_cache_alloc" },
	{ 0xe0944e15, "rtnl_set_sk_err" },
	{ 0x3bd06b27, "skb_vlan_pop" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x5a4acd0, "sysfs_create_link" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x36364778, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x2ecc74cb, "nla_reserve_64bit" },
	{ 0x36073535, "__ip_mc_dec_group" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9e464017, "__dev_get_by_index" },
	{ 0xa6c3e25c, "rtnl_link_unregister" },
	{ 0xc2990abe, "try_to_del_timer_sync" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xc991188c, "ipv6_stub" },
	{ 0x6e99446b, "inet_confirm_addr" },
	{ 0xe929390e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf87b84aa, "sysfs_remove_link" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b346f71, "skb_vlan_untag" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa3efacd0, "rtnl_af_unregister" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x94bb1df9, "arp_send" },
	{ 0x75ab9dea, "dev_get_by_index_rcu" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0xbecb6957, "__traceiter_fdb_delete" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x652032cb, "mac_pton" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc2045cf4, "kmem_cache_free" },
	{ 0xb1d9f69, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x308120ba, "netdev_upper_dev_unlink" },
	{ 0x49d70a90, "netif_receive_skb" },
	{ 0xd342850f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5834e949, "llc_mac_hdr_init" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29b607fc, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf966403c, "kobject_init_and_add" },
	{ 0x8a889703, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd60db2c8, "ns_capable" },
	{ 0x3226fe87, "inet_select_addr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd51cdb24, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc02d48aa, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x1967cac2, "arp_create" },
	{ 0xf3eb1e41, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x34d6e841, "stp_proto_register" },
	{ 0x6b799f1f, "rtnl_register_module" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0xb5b1088a, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc503e006, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x16a82174, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xe83c1401, "dev_get_tstats64" },
	{ 0xd40bacae, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x6caee9e8, "ip_mc_check_igmp" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xa05fc4c6, "rhashtable_destroy" },
	{ 0x662aa8d, "netdev_master_upper_dev_link" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x25abcc0c, "kobject_create_and_add" },
	{ 0x2b610d85, "skb_trim" },
	{ 0xb0077e1, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x29fec214, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xbb048572, "__ip_mc_inc_group" },
	{ 0x8681fa1e, "netdev_walk_all_upper_dev_rcu" },
	{ 0xda9c5d36, "sysfs_remove_group" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xb4abf47c, "__traceiter_br_fdb_external_learn_add" },
	{ 0x9d37e0a9, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xfbc20f8b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x938dc009, "__netpoll_setup" },
	{ 0xeef4db4d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd020cb19, "vlan_vid_add" },
	{ 0x9e60e3bb, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x2dd9c92b, "kobject_del" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb019403, "call_netdevice_notifiers" },
	{ 0xbaa40ef0, "is_skb_forwardable" },
	{ 0xce1837a0, "vlan_vid_del" },
	{ 0xf8ec119f, "dev_set_allmulti" },
	{ 0xbf7c5e16, "net_ns_get_ownership" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xae135712, "netdev_master_upper_dev_get" },
	{ 0xc98c915c, "ipv6_dev_mc_inc" },
	{ 0x7c033b9b, "rtnl_notify" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2c54499f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2f9d28dc, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3c6bde03, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x1dc9c0d1, "dst_release" },
	{ 0x8021f8b6, "netif_carrier_on" },
	{ 0x7bdfb667, "kobject_uevent" },
	{ 0xb70789e, "__might_fault" },
	{ 0x52133984, "arp_tbl" },
	{ 0xd3fc6fc7, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4145efcf, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc1fc3efd, "dev_uc_add" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x470dc132, "netif_set_tso_max_size" },
	{ 0x4777d8c4, "dev_disable_lro" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x621083b0, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbe460b73, "dev_get_flags" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x80c2ea91, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x8cddd366, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xcfe37f4e, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x8dacd5a8, "skb_ext_add" },
	{ 0xbc4836c1, "sysfs_remove_bin_file" },
	{ 0xd6b7406e, "rht_bucket_nested" },
	{ 0x54eb8b71, "stp_proto_unregister" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x345144d1, "skb_dump" },
	{ 0x9e6f564e, "neigh_lookup" },
	{ 0xcf398dfb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x4ae85316, "kobject_put" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x7c1b5bf0, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "5711E25AA6510EF11CE5A73");
