#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x7d24eec8, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x62c0ec2b, "");
SYMBOL_CRC(ieee802154_free_hw, 0x154337e5, "");
SYMBOL_CRC(ieee802154_register_hw, 0xa51525fb, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xb3e28f9f, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x344540b0, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xb8202faa, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x32121001, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x31704c69, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d2e51ca, "crypto_skcipher_encrypt" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x40fc5620, "bpf_trace_run4" },
	{ 0x7024cafe, "nl802154_beaconing_done" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0x2cb72ee9, "dev_alloc_name" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0xea99c126, "ieee802154_mac_cmd_push" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9d690b2c, "crypto_alloc_aead" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x86dae6f0, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xfecb8c8d, "netdev_warn" },
	{ 0x61e9bde3, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9b8abd8b, "crypto_aead_decrypt" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x591ed18c, "crypto_skcipher_setkey" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x7b71fe11, "unregister_netdevice_queue" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x4f529314, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x5758e03a, "ieee802154_hdr_peek_addrs" },
	{ 0x6d077e4c, "wpan_phy_unregister" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0xfab659f1, "crypto_destroy_tfm" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf2e7b82b, "alloc_netdev_mqs" },
	{ 0x5c054300, "nl802154_scan_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc7823afc, "nl802154_scan_started" },
	{ 0xd396ba29, "crypto_skcipher_decrypt" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0x447349b9, "skb_copy_expand" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd499112c, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdf1e4922, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7732c513, "wpan_phy_register" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x478d631f, "crypto_aead_encrypt" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc9223031, "ieee802154_hdr_peek" },
	{ 0xf962acc9, "wpan_phy_free" },
	{ 0x49d70a90, "netif_receive_skb" },
	{ 0x20653109, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29b607fc, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x612891c6, "bpf_trace_run1" },
	{ 0x35707c5f, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4b0ddc0, "_dev_warn" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb1f57832, "ieee802154_hdr_pull" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x34e12f06, "nl802154_scan_event" },
	{ 0xd98136c4, "crypto_alloc_sync_skcipher" },
	{ 0x2b610d85, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x29fec214, "__dynamic_netdev_dbg" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x98ce0703, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8b1733db, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc7385496, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4aa2b171, "wpan_phy_new" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc43724a4, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7c1b5bf0, "register_netdevice" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "4C2E548343A2E171D18BAF4");
