#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x91a13fbb, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xea06153c, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xf2237660, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x159703d1, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x57253935, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xab0b56ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe05ba4fb, "nf_ct_ext_add" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xfa872508, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2773bc6c, "nsh_pop" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x31f4119d, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x75f18956, "nf_ct_set_timeout" },
	{ 0xa0acef18, "dev_get_stats" },
	{ 0x6028e57f, "__nla_put" },
	{ 0x4e8e96e9, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4322f1b2, "dev_fill_metadata_dst" },
	{ 0x40fc5620, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0xf584718c, "nf_ct_handle_fragments" },
	{ 0xb446bd80, "eth_mac_addr" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xcf7f3599, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xef0230c6, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe4b4a272, "nf_ct_nat" },
	{ 0xaa031871, "nla_reserve" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x68046804, "skb_eth_pop" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x743cdb85, "skb_gso_validate_mac_len" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xc7a8da14, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xe2ae27eb, "nf_ct_helper" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0xd2fda1c0, "__skb_ext_del" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0x6b6da0fd, "rtnl_delete_link" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4366b0cb, "rtnl_link_register" },
	{ 0x52cd8adb, "nf_connlabels_put" },
	{ 0x24db011a, "genlmsg_put" },
	{ 0xf2858545, "___pskb_trim" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44b842c2, "dev_set_promiscuity" },
	{ 0x5037a3a3, "nf_ct_destroy_timeout" },
	{ 0x911ff3ea, "nf_ct_add_helper" },
	{ 0xaaeb3bd9, "nf_conntrack_helper_put" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xe2ea5a51, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3863a798, "nf_ct_skb_network_trim" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x7b71fe11, "unregister_netdevice_queue" },
	{ 0xcb560e20, "kmem_cache_create" },
	{ 0x8ff82b8b, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0xe4c431e4, "ether_setup" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xed03fc9, "pskb_expand_head" },
	{ 0x84c6f251, "skb_csum_hwoffload_help" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0xfd146ee0, "dev_addr_mod" },
	{ 0xdb86326a, "nf_connlabels_replace" },
	{ 0x22ef882e, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf2e7b82b, "alloc_netdev_mqs" },
	{ 0x993f86e7, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x50c40b9, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xe584c2df, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xce3d821c, "netlink_broadcast" },
	{ 0xe6c39637, "skb_eth_push" },
	{ 0x90fdb98c, "nf_conncount_count" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc8d3970e, "kmem_cache_alloc" },
	{ 0xd6c8f618, "skb_mpls_pop" },
	{ 0x3bd06b27, "skb_vlan_pop" },
	{ 0x61d3c30b, "dst_init" },
	{ 0xcecc76da, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa6c3e25c, "rtnl_link_unregister" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0x8f74e781, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xc991188c, "ipv6_stub" },
	{ 0x39c0e95a, "skb_mpls_update_lse" },
	{ 0xe929390e, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xaf39a5c4, "netlink_unicast" },
	{ 0xd4fc33b, "bpf_trace_run5" },
	{ 0x75ab9dea, "dev_get_by_index_rcu" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc2045cf4, "kmem_cache_free" },
	{ 0x308120ba, "netdev_upper_dev_unlink" },
	{ 0xd342850f, "nla_put" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x7f8ac402, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29b607fc, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8a889703, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xa6a60fa6, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc02d48aa, "ethtool_op_get_link" },
	{ 0xaaff9c64, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x4c998c94, "nf_nat_helper_put" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x327655b, "__pskb_pull_tail" },
	{ 0x4adbbc6d, "nf_ct_delete" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x6ecef602, "nf_conncount_init" },
	{ 0x7f443d22, "skb_vlan_push" },
	{ 0xe83c1401, "dev_get_tstats64" },
	{ 0xd40bacae, "netif_rx" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0x662aa8d, "netdev_master_upper_dev_link" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x100af910, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0xe03ec2a5, "inet_proto_csum_replace16" },
	{ 0x2b610d85, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x548ae91c, "skb_scrub_packet" },
	{ 0xc1edf399, "nf_ct_deliver_cached_events" },
	{ 0x6395b15d, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xf3c4accb, "skb_tx_error" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xeef4db4d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xa8bdbfdf, "__skb_checksum" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x4edc3ac7, "inet_proto_csum_replace4" },
	{ 0x8f183897, "nf_conncount_destroy" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x29e140ad, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xae135712, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x74e7a3ca, "dev_get_by_name" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3c6bde03, "metadata_dst_alloc" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x1dc9c0d1, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe8b32460, "peernet2id_alloc" },
	{ 0xfbf99a18, "nf_ct_get_tuplepr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4145efcf, "netdev_rx_handler_register" },
	{ 0xd4760b6f, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xbacd115d, "genl_unregister_family" },
	{ 0x4777d8c4, "dev_disable_lro" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x9b0c34e5, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff11c8a, "genl_register_family" },
	{ 0xe70aae8d, "nf_ct_tmpl_free" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xf313eae0, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9cdc9467, "__skb_gso_segment" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xe96990be, "skb_mpls_push" },
	{ 0x8df3faf, "register_pernet_device" },
	{ 0x97cad283, "nf_conntrack_in" },
	{ 0xb64cdd73, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x1b11b62f, "kmem_cache_alloc_node" },
	{ 0x345144d1, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcf398dfb, "kmem_cache_destroy" },
	{ 0xbc467424, "__skb_vlan_pop" },
	{ 0x2566cc89, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x7c1b5bf0, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount");


MODULE_INFO(srcversion, "27FF2E1BCA076F2588D7980");
