#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xd6c5a533, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x1ecd0012, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x5f772fd7, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x5908ec28, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xbe139830, "sock_queue_rcv_skb_reason" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc78665ab, "__skb_pad" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x40fc5620, "bpf_trace_run4" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0x4af0225d, "radix_tree_insert" },
	{ 0x8f735f1f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0xd8523d44, "radix_tree_lookup" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb53de176, "kernel_bind" },
	{ 0x5e6bde8e, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xb7411b80, "__module_get" },
	{ 0xfd0af528, "kernel_recvmsg" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x77d6158b, "sk_error_report" },
	{ 0x14d9a387, "skb_queue_purge_reason" },
	{ 0x4b1cc84c, "radix_tree_iter_delete" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xa83c3ac7, "proto_unregister" },
	{ 0x282e9215, "sock_register" },
	{ 0x3ef0cd6a, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0x92f1d78c, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcecc76da, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1e1a0bcf, "__xa_alloc" },
	{ 0xc1f3c423, "sock_no_shutdown" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xc13422f4, "__traceiter_sk_data_ready" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3e40090a, "radix_tree_next_chunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x9cf157aa, "kernel_getsockname" },
	{ 0x8d40c3b5, "do_wait_intr_irq" },
	{ 0x8df0165e, "sk_free" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x427bf355, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x43647b3b, "skb_push" },
	{ 0xc646c416, "sock_no_listen" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xeba1bce5, "lock_sock_nested" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2717937d, "skb_copy_datagram_iter" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xaa22b4b9, "sk_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x40390b11, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9b127ec2, "sock_no_mmap" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x895d1b49, "__netdev_alloc_skb" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x98ce0703, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x52fc343e, "skb_set_owner_w" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x38d3c7e4, "sock_create_kern" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x3c0f3bbf, "skb_recv_datagram" },
	{ 0x61cbc654, "sock_alloc_send_pskb" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x673f72da, "xa_store" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xd060b2d4, "_copy_from_iter" },
	{ 0xac94c006, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa8a07f4d, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1bf14d8a, "iov_iter_revert" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xe882a0f6, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd6813394, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x89b18b3b, "release_sock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "397EFC3C41FD84762A14389");
