#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x0ce267e5, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0xa0b41cf3, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x7bf53745, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x4d8940cd, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xd71ce5e9, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xaf97341b, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x295bf181, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xa949e363, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xb879191a, "");
SYMBOL_CRC(key_type_rxrpc, 0x75e32039, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x0feab616, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x3c998347, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x0597bf34, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x206158ca, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x3e840a56, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xfbbf9df0, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x7d6f1c6c, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xd99a9fc3, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x4b65bfe8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc9415c7b, "key_alloc" },
	{ 0x40fc5620, "bpf_trace_run4" },
	{ 0x6e2f0a14, "skb_copy_bits" },
	{ 0x7344405a, "idr_find" },
	{ 0xa2a5fac, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0xf836cd6d, "udp_sock_create4" },
	{ 0x94e7d4e2, "bpf_trace_run6" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x1cf4fcbe, "skb_dequeue" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x45f807aa, "add_wait_queue_exclusive" },
	{ 0xe9e3798f, "set_user_nice" },
	{ 0x66cb57fb, "up" },
	{ 0xc43e34f, "udpv6_sendmsg" },
	{ 0xba6fc685, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xcba85412, "key_type_keyring" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x86dae6f0, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4182cc5b, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xcb560e20, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x848372d0, "key_instantiate_and_link" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x168a36b5, "register_key_type" },
	{ 0xf444ee5, "proc_create_net_data" },
	{ 0x95b070d3, "put_cmsg" },
	{ 0x4ffa4272, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0x734cb72e, "timer_reduce" },
	{ 0xc68dd818, "register_net_sysctl_sz" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xa83c3ac7, "proto_unregister" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x9ef89400, "ipv6_icmp_error" },
	{ 0x282e9215, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x255b0f17, "make_kuid" },
	{ 0xc48b985b, "ip6_route_output_flags" },
	{ 0x93228d66, "idr_get_next" },
	{ 0xc8d3970e, "kmem_cache_alloc" },
	{ 0x92f1d78c, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x5328a7ed, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x4b3cd3f6, "__var_waitqueue" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xce64340a, "work_busy" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x22321bea, "__sock_recv_timestamp" },
	{ 0x187bce4b, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5e975c24, "init_net" },
	{ 0xe929390e, "skb_pull" },
	{ 0x1d1fbf1f, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x383a8071, "sock_enable_timestamps" },
	{ 0x9b535566, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaa8c0973, "down" },
	{ 0xd4fc33b, "bpf_trace_run5" },
	{ 0x8df0165e, "sk_free" },
	{ 0xfff06b8b, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x9ae20ee3, "kernel_sock_shutdown" },
	{ 0x427bf355, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0xc2045cf4, "kmem_cache_free" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x565c9c98, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xa6a60fa6, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x7c3ee9a9, "cancel_work" },
	{ 0xeba1bce5, "lock_sock_nested" },
	{ 0x273db069, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2717937d, "skb_copy_datagram_iter" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x24877b3a, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x14cf0fb0, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xaa22b4b9, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x612891c6, "bpf_trace_run1" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x769dd8d3, "__sock_recv_wifi_status" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x40390b11, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xca915b32, "key_revoke" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x9b127ec2, "sock_no_mmap" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbca3f13a, "_atomic_dec_and_lock" },
	{ 0x351f5ad8, "key_validate" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x54bd8aea, "setup_udp_tunnel_sock" },
	{ 0x9bf054f1, "proc_remove" },
	{ 0xa1a588b, "udp_sock_create6" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x9e39d0e, "kthread_create_on_node" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x98ce0703, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0xc3372821, "keyring_search" },
	{ 0xe834494a, "ip_sock_set_recverr" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x90128de0, "prepare_to_wait_exclusive" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1561aaa2, "request_key_tag" },
	{ 0x16557a3c, "generic_key_instantiate" },
	{ 0xb519f82c, "radix_tree_tagged" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x8470f313, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x742d77d1, "seq_printf" },
	{ 0xfa62002c, "down_interruptible" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x84b935ab, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6a139f81, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x1dc9c0d1, "dst_release" },
	{ 0xd060b2d4, "_copy_from_iter" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0xac94c006, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x6678c0e7, "seq_puts" },
	{ 0x686850aa, "sock_no_ioctl" },
	{ 0x3fd03a9, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9abc3839, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x46524f79, "bpf_trace_run7" },
	{ 0xe5452b92, "ip_icmp_error" },
	{ 0x1bf14d8a, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xe882a0f6, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8df3faf, "register_pernet_device" },
	{ 0xb3671190, "skb_condense" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd6813394, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0xcf398dfb, "kmem_cache_destroy" },
	{ 0x89b18b3b, "release_sock" },
	{ 0x5597d9d6, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7e0b63e6, "proc_create_net_single_write" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "BFCDD8A38784E67A53FAD9C");
