#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x12212810, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x73da99af, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xb52f03d7, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xdf2c4894, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x5a4f9d31, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x4437c21b, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x66f55696, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x1bd8ffde, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xa4b521b1, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x8c1091b1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x8c0f986e, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x4a7d5869, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xc0cbe803, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xf645481d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x37604843, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x34c808dc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x0752b7a7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x2a21c7e0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x45e7a957, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x79da4176, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x1259f20f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x7b3e2060, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x7a364ef0, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x4c84df48, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x1a03908e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x7c143b08, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xfee141d2, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x35812dca, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x2ade0204, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x5a26d133, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x1bc4523a, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x3acd70ed, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x1a127be4, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x03c295fb, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xf2365042, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x0cb42fee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e6332c0, "vsock_enqueue_accept" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e64a5c8, "_copy_to_iter" },
	{ 0xb10ad678, "vsock_insert_connected" },
	{ 0x8f735f1f, "skb_put" },
	{ 0xfafdb5fd, "consume_skb" },
	{ 0xd38aacc4, "trace_raw_output_prep" },
	{ 0x97236bfc, "__trace_trigger_soft_disabled" },
	{ 0xc288c6ce, "vsock_remove_sock" },
	{ 0x82fdd6f5, "trace_event_printf" },
	{ 0x19e064a1, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x79ad9254, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3f452fb2, "bpf_trace_run8" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x77d6158b, "sk_error_report" },
	{ 0x39b38cf, "trace_event_buffer_commit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x7948c58b, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xd9bd5786, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1ebe7f2, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe929390e, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8df0165e, "sk_free" },
	{ 0x27b8f274, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x20653109, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x84bdbc83, "__skb_recv_datagram" },
	{ 0xeba1bce5, "lock_sock_nested" },
	{ 0x6b965fd7, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xdeacc67e, "vsock_find_connected_socket" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc5e0fbc, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x75143e0e, "bpf_trace_run10" },
	{ 0xf82fa81e, "vsock_core_get_transport" },
	{ 0xb88df835, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x291fb545, "trace_event_buffer_reserve" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xd060b2d4, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4c43d1b3, "kmalloc_trace" },
	{ 0x5b658d5, "vsock_create_connected" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x35b51557, "vsock_assign_transport" },
	{ 0x1bf14d8a, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x251ce688, "kmalloc_caches" },
	{ 0x89b18b3b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9f6b0172, "vsock_data_ready" },
	{ 0xc47ab4e5, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");
